<?php
    include_once("../inc/mct_CDebug.class.php");
    include_once("../src/validlogin.inc.php");
    $debug = new mct_CDebug();

    if( ! $_SESSION["objUser"]->mct_isadmin() )
        mct_redirect("admin_failed.htm");
?>
<html>
<head>
    <title>Config-File &auml;ndern</title>
    <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION["sitestyle"]["mct"]; ?>">
    <?php include_once("../inc/mct_javascr.inc.php"); ?>
</head>
<body>
<script type="text/javascript">
<!--
    function checkEntries()
    {
        var x = '';
        if( document.config_aendern.frm_cfgname.value.length     < 1 ) x += '- CFG Name -> Angabe erforderlich!\n';
        if( document.config_aendern.frm_speicherort.value.length < 1 ) x += '- CFG Speicherort -> Angabe erforderlich!\n';
        if( document.config_aendern.frm_workdir.value.length     < 1 ) x += '- Workdir -> Angabe erforderlich!\n';
        if( document.config_aendern.frm_absmax.value.length      < 1 ) x += '- Absmax -> Angabe erforderlich!\n';
        if( document.config_aendern.frm_maxbytes.value.length    < 1 ) x += '- Maxbytes -> Angabe erforderlich!\n';
        var nochar = /[^0-9]/;
        if(  nochar.exec(document.config_aendern.frm_absmax.value) ) x += '- Absmax -> Muss Ganzzahl sein!\n';
        if(  nochar.exec(document.config_aendern.frm_maxbytes.value) ) x += '- Maxbytes -> Muss Ganzzahl sein!\n';
        if( x != '' )
        {
            alert('Eingabefehler:\n' + x);
            return false;
        }
    }
//-->
</script>
<h5>Config-File &auml;ndern</h5>
<hr>
<!-- Config ausw&auml;hlen -->
<form action="admin_config_aendern.php" method="POST">
    <table border="0">
        <tr valign="top">
            <td>
            <?php
                $objDB = new mct_CDbQuery; //Obj erstellen
                $objDB->mct_setQuery("SELECT `ID`,`Name` FROM tconfigfile ORDER BY `Name`"); //Abfrage vorbereiten
                if( $objDB->mct_execute() == false ) //Abfrage ausf&uuml;hren
                {
                    $objDB->objReturn->mct_print(); //Falls Abfrage fehl schlug
                    include("error.htm");
                    $debug->mct_dump_it();
                    $debug->mct_load_it();
                    exit;
                }
                echo "<select size='1' name='frm_cfgload'>"; //Auswahl der Interfaces in Select ausgeben
                for( $i=0; $i < $objDB->mct_getRecordCount(); $i++ )
                {
                    echo "<option value='" . $objDB->objRow->ID . "' ";
                    if( isset($_REQUEST['frm_cfgload']) && $_REQUEST['frm_cfgload'] > -1 )
                    {
                        //Setzen der Auswahl auf das gew&auml;hlte CFG
                        if( $_REQUEST['frm_cfgload'] == $objDB->objRow->ID ) echo "selected";
                    }
                    echo ">";
                    echo $objDB->objRow->Name;
                    echo "</option>";
                    $objDB->mct_getNext(); //N&auml;chstes CFG laden
                }
                echo "</select>";
            ?>
            </td>
            <td><h4>Config-File ausw&auml;hlen</h4></td>
        </tr>
    </table>
    <p>
    &nbsp;<input id="frm_cfgladen" class="button_fix" type="submit" value="CFG laden">
</form>
<p>
<!-- Config ausw&auml;hlen Ende -->
<?php
    if( isset($_REQUEST['frm_cfgload']) && $_REQUEST['frm_cfgload'] > -1 ) //Wenn die Wahl g&uuml;ltig ist...
    {
        $objCfg = new mct_CConfigFile; //...neues Obj erstellen...
        $objCfg->mct_getfromdb($_REQUEST['frm_cfgload']); // und entsprechendes CFG in Obj abf&uuml;llen
?>
<!-- Config abf&uuml;llen -->
<form name="config_aendern" action="admin_config_action.php?pMode=change" method="POST" onSubmit="return checkEntries()">
    <table border="0">
        <tr>
            <td>
                <table border="0">
                    <tr>
                        <td width="240"><h2>Name des CFG-Files:</h2></td>
                        <td width="384"><input type="text" name="frm_cfgname" size="60" value="<?php echo $objCfg->mct_getName(); ?>" maxlength="255">
                        <input type="hidden" name="frm_id" value="<?php echo $objCfg->mct_getId(); ?>"></td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_cfgname.htm','Help')"></td>
                    </tr>
                    <tr>
                        <td><h2>Speicherort CFG-File:</h2></td>
                        <td><input type="text" name="frm_speicherort" size="60" value="<?php echo $objCfg->mct_getDirectory(); ?>" maxlength="255"></td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_safedircfg.htm','Help')"></td>
                    </tr>
                    <tr>
                        <td><h2>Standard WorkDir[_]:</h2></td>
                        <td><input type="text" name="frm_workdir" size="60" value="<?php echo $objCfg->mct_getWorkDir(); ?>" maxlength="255"></td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_workdir.htm','Help')"></td>
                    </tr>
                    <tr>
                    <td><h4>Standard Refresh[_]:</h4></td>
                    <td>
                        <select name="frm_refresh" size="1">
                            <option value="60" <?php if($objCfg->mct_getRefresh() <= 60) echo "selected"; ?> >60</option>
                            <option value="120" <?php if($objCfg->mct_getRefresh() == 120) echo "selected"; ?> >120</option>
                            <option value="180" <?php if($objCfg->mct_getRefresh() == 180) echo "selected"; ?> >180</option>
                            <option value="240" <?php if($objCfg->mct_getRefresh() == 240) echo "selected"; ?> >240</option>
                            <option value="300" <?php if($objCfg->mct_getRefresh() == 300) echo "selected"; ?> >300</option>
                            <option value="360" <?php if($objCfg->mct_getRefresh() == 360) echo "selected"; ?> >360</option>
                            <option value="420" <?php if($objCfg->mct_getRefresh() == 420) echo "selected"; ?> >420</option>
                            <option value="480" <?php if($objCfg->mct_getRefresh() == 480) echo "selected"; ?> >480</option>
                            <option value="540" <?php if($objCfg->mct_getRefresh() == 540) echo "selected"; ?> >540</option>
                            <option value="600" <?php if($objCfg->mct_getRefresh() == 600) echo "selected"; ?> >600</option>
                            <option value="660" <?php if($objCfg->mct_getRefresh() == 660) echo "selected"; ?> >660</option>
                            <option value="720" <?php if($objCfg->mct_getRefresh() == 720) echo "selected"; ?> >720</option>
                            <option value="780" <?php if($objCfg->mct_getRefresh() == 780) echo "selected"; ?> >780</option>
                            <option value="840" <?php if($objCfg->mct_getRefresh() == 840) echo "selected"; ?> >840</option>
                            <option value="900" <?php if($objCfg->mct_getRefresh() >= 900) echo "selected"; ?> >900</option>
                        </select></td>
                    <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_refresh.htm','Help')">&nbsp;</td>
                    </tr>
                    <td><h4>Standard Interval[_]:</h4></td>
                    <td>
                        <select name="frm_interval" size="1">
                            <option value="1" <?php if($objCfg->mct_getInterval() <= 1) echo "selected"; ?> >1</option>
                            <option value="2" <?php if($objCfg->mct_getInterval() == 2) echo "selected"; ?> >2</option>
                            <option value="3" <?php if($objCfg->mct_getInterval() == 3) echo "selected"; ?> >3</option>
                            <option value="4" <?php if($objCfg->mct_getInterval() == 4) echo "selected"; ?> >4</option>
                            <option value="5" <?php if($objCfg->mct_getInterval() == 5) echo "selected"; ?> >5</option>
                            <option value="6" <?php if($objCfg->mct_getInterval() == 6) echo "selected"; ?> >6</option>
                            <option value="7" <?php if($objCfg->mct_getInterval() == 7) echo "selected"; ?> >7</option>
                            <option value="8" <?php if($objCfg->mct_getInterval() == 8) echo "selected"; ?> >8</option>
                            <option value="9" <?php if($objCfg->mct_getInterval() == 9) echo "selected"; ?> >9</option>
                            <option value="10" <?php if($objCfg->mct_getInterval() == 10) echo "selected"; ?> >10</option>
                            <option value="11" <?php if($objCfg->mct_getInterval() == 11) echo "selected"; ?> >11</option>
                            <option value="12" <?php if($objCfg->mct_getInterval() == 12) echo "selected"; ?> >12</option>
                            <option value="13" <?php if($objCfg->mct_getInterval() == 13) echo "selected"; ?> >13</option>
                            <option value="14" <?php if($objCfg->mct_getInterval() == 14) echo "selected"; ?> >14</option>
                            <option value="15" <?php if($objCfg->mct_getInterval() == 15) echo "selected"; ?> >15</option>
                            <option value="20" <?php if($objCfg->mct_getInterval() == 20) echo "selected"; ?> >20</option>
                            <option value="25" <?php if($objCfg->mct_getInterval() == 25) echo "selected"; ?> >25</option>
                            <option value="30" <?php if($objCfg->mct_getInterval() >= 30) echo "selected"; ?> >30</option>
                        </select></td>
                    <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_interval.htm','Help')">&nbsp;</td>
                    <tr valign="top">
                        <td><h4>Standard WriteExpires[_]:</h4></td>
                        <td><b>Ja &nbsp;</b><input type="radio" name="frm_writeexpires" value="Yes" <?php if($objCfg->mct_getWriteExpires() == "Yes") echo "checked"; ?>>&nbsp;
                            <b>Nein &nbsp;</b><input type="radio" name="frm_writeexpires" value="" <?php if($objCfg->mct_getWriteExpires() != "Yes") echo "checked"; ?>></td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_writeexpires.htm','Help')"></td>
                    </tr>
                    <tr>
                        <td><h4>Standard IconDir[_]:</h4></td>
                        <td><input type="text" name="frm_icondir" size="60" value="<?php echo $objCfg->mct_getIconDir(); ?>" maxlength="255"></td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_icondir.htm','Help')"></td>
                    </tr>
                        <tr><td colspan="3"><hr></td></tr>
                    <tr>
                        <td><h2>Standard MaxBytes[_]:</h2></td>
                        <td><input type="text" name="frm_maxbytes" size="60" value="<?php echo $objCfg->objGlobalInterface->mct_getMaxBytes(); ?>" maxlength="10"></td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_maxbytes.htm','Help')"></td>
                    </tr>
                    <tr>
                        <td><h2>Standard Title[_]:</h2></td>
                        <td><input type="text" name="frm_title" size="60" value="<?php echo $objCfg->objGlobalInterface->mct_getTitle(); ?>" maxlength="255"></td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_title.htm','Help')"></td>
                    </tr>
                    <tr valign="top">
                        <td><h2>Standard PageTop[_]:</h2></td>
                        <td><textarea cols="59" rows="3" name="frm_pagetop"><?php echo $objCfg->objGlobalInterface->mct_getPageTop(); ?></textarea></td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_pagetop.htm','Help')"></td>
                    </tr>
                    <tr valign="top">
                        <td><h4>Standard PageTopPre[^]:</h4></td>
                        <td><textarea cols="59" rows="3" name="frm_pagetoppre"><?php echo $objCfg->objGlobalInterface->mct_getPageTopPre(); ?></textarea></td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_pagetop_pre.htm','Help')"></td>
                    </tr>
                    <tr valign="top">
                        <td><h4>Standard PageTopApp[$]:</h4></td>
                        <td><textarea cols="59" rows="3" name="frm_pagetopapp"><?php echo $objCfg->objGlobalInterface->mct_getPageTopApp(); ?></textarea></td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_pagetop_app.htm','Help')"></td>
                    </tr>
                    <tr>
                        <td><h4>Standard AbsMax[_]:</h4></td>
                        <td><input type="text" name="frm_absmax" size="60" value="<?php echo $objCfg->objGlobalInterface->mct_getAbsMax(); ?>" maxlength="10"></td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_absmax.htm','Help')"></td>
                    </tr>
                    <tr valign="top">
                        <td><h4>Standard AddHead[_]:</h4></td>
                        <td><textarea cols="59" rows="3" name="frm_addhead"><?php echo $objCfg->objGlobalInterface->mct_getAddHead(); ?></textarea></td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_addhead.htm','Help')"></td>
                    </tr>
                    <tr valign="top">
                        <td><h4>Standard Unscaled[_]:</h4></td>
                        <td><b>Jahr&nbsp;</b><input type="checkbox" name="frm_unscaledy" value="y"
                            <?php if( strpos($objCfg->objGlobalInterface->mct_getUnscaled(), "y") !== false ){echo "checked";}?> >&nbsp;
                            <b>Monat&nbsp;</b><input type="checkbox" name="frm_unscaledm" value="m"
                            <?php if( strpos($objCfg->objGlobalInterface->mct_getUnscaled(), "m") !== false ){echo "checked";}?> >&nbsp;
                            <b>Woche&nbsp;</b><input type="checkbox" name="frm_unscaledw" value="w"
                            <?php if( strpos($objCfg->objGlobalInterface->mct_getUnscaled(), "w") !== false ){echo "checked";}?> >&nbsp;
                            <b>Tag&nbsp;</b><input type="checkbox" name="frm_unscaledd" value="d"
                            <?php if( strpos($objCfg->objGlobalInterface->mct_getUnscaled(), "d") !== false ){echo "checked";}?> >&nbsp;</td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_unscaled.htm','Help')"></td>
                    </tr>
                    <tr valign="top">
                        <td><h4>Standard Suppress[_]:</h4></td>
                        <td><b>Jahr&nbsp;</b><input type="checkbox" name="frm_suppressy" value="y"
                            <?php if( strpos($objCfg->objGlobalInterface->mct_getSuppress(), "y") !== false ){echo "checked";}?> >&nbsp;
                            <b>Monat&nbsp;</b><input type="checkbox" name="frm_suppressm" value="m"
                            <?php if( strpos($objCfg->objGlobalInterface->mct_getSuppress(), "m") !== false ){echo "checked";}?> >&nbsp;
                            <b>Woche&nbsp;</b><input type="checkbox" name="frm_suppressw" value="w"
                            <?php if( strpos($objCfg->objGlobalInterface->mct_getSuppress(), "w") !== false ){echo "checked";}?> >&nbsp;
                            <b>Tag&nbsp;</b><input type="checkbox" name="frm_suppressd" value="d"
                            <?php if( strpos($objCfg->objGlobalInterface->mct_getSuppress(), "d") !== false ){echo "checked";}?> >&nbsp;</td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_suppress.htm','Help')"></td>
                    </tr>
                    <tr valign="top">
                        <td><h4>Standard WithPeak[_]:</h4></td>
                        <td><b>Jahr&nbsp;</b><input type="checkbox" name="frm_withpeaky" value="y"
                            <?php if( strpos($objCfg->objGlobalInterface->mct_getWithPeak(), "y") !== false ){echo "checked";}?> >&nbsp;
                            <b>Monat&nbsp;</b><input type="checkbox" name="frm_withpeakm" value="m"
                            <?php if( strpos($objCfg->objGlobalInterface->mct_getWithPeak(), "m") !== false ){echo "checked";}?> >&nbsp;
                            <b>Woche&nbsp;</b><input type="checkbox" name="frm_withpeakw" value="w"
                            <?php if( strpos($objCfg->objGlobalInterface->mct_getWithPeak(), "w") !== false ){echo "checked";}?> >&nbsp;
                            <b>Tag&nbsp;</b><input type="checkbox" name="frm_withpeakd" value="d"
                            <?php if( strpos($objCfg->objGlobalInterface->mct_getWithPeak(), "d") !== false ){echo "checked";}?> >&nbsp;</td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_withpeak.htm','Help')"></td>
                    </tr>
                    <tr>
                        <td colspan="3"><hr></td>
                    </tr>
                </table>
                <table border="0">
                    <tr valign="top">
                        <td width="215"><h4>Standard Colours[_]:</h4></td>
                        <td><input type="radio" name="frm_radiocolor" value="std"
                            <?php if($objCfg->objGlobalInterface->mct_getColors() == ""){echo "checked";} ?> ></td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_colours.htm','Help')"></td>
                    </tr>
                    <tr valign="top">
                        <td><h4>Define spez. Colours:</h4></td>
                        <td width="20">
                            <input type="radio" name="frm_radiocolor" value="spez" align="right"
                            <?php
                                $arrColours = array();
                                $colourstring = $objCfg->objGlobalInterface->mct_getColors();
                                if($colourstring != "") echo "checked";
                                $colourstring = str_replace( "#", "-mct-" , $colourstring );
                                $colourstring = str_replace( ",", "-mct-" , $colourstring );
                                $arrColours = explode( "-mct-", $colourstring);
                             ?> >
                        </td>

                        <?php
                            /****************************************
                            * Berechnung des Farb-Hex-Arrays
                            *****************************************/
                            $farbmin = 0;
                            $farbmax = 255;
                            $zaehler = 0;
                            $arrFarbHexTable = array();
                            for($fblock2 = 0; $fblock2 <= 16711680; $fblock2 = ($fblock2 + 3342336 ))
                            {
                                $fblock1min = $fblock2;
                                $fblock1max = $fblock2 + 65280;
                                for($fblock1 = $fblock1min; $fblock1 <= $fblock1max; $fblock1 = ($fblock1 + 13056))
                                {
                                    $farbmin = $fblock1;
                                    $farbmax = $fblock1 + 255;
                                    for($farbe = $farbmin; $farbe <= $farbmax; $farbe = ($farbe + 51))
                                    {
                                        $farbhex = dechex($farbe);
                                        if(strlen($farbhex) == 1){$farbhex1 = "00000".$farbhex;}
                                        else if (strlen($farbhex) == 2){$farbhex1 = "0000".$farbhex;}
                                        else if (strlen($farbhex) == 3){$farbhex1 = "000".$farbhex;}
                                        else if (strlen($farbhex) == 4){$farbhex1 = "00".$farbhex;}
                                        else if (strlen($farbhex) == 5){$farbhex1 = "0".$farbhex;}
                                        else if (strlen($farbhex) == 6){$farbhex1 = $farbhex;}
                                        $arrFarbHexTable[$zaehler] = $farbhex1;
                                        $zaehler++;
                                    } //For Farbe
                                } //For Fblock1
                            }//For Fblock2
                        ?>

                        <td width="100"><b>1&nbsp;</b>
                            <?php
                                echo "<select name='frm_colour1' size='1'>";
                                echo "<option value=''>default</option>";
                                for($i = 0; $i < count($arrFarbHexTable); $i++)
                                {
                                    echo "<option value='" .$arrFarbHexTable[$i] ."' style='background-color:#" .$arrFarbHexTable[$i] . "'";
                                    if(isset($arrColours[1]) && $arrFarbHexTable[$i] == $arrColours[1]) echo " selected";
                                    echo ">Color ".$i."</option>";
                                }
                                echo "</select>";
                            ?>
                        </td>
                        <td width="100"><b>2&nbsp;</b>
                            <?php
                                echo "<select name='frm_colour2' size='1'>";
                                echo "<option value=''>default</option>";
                                for($i = 0; $i < count($arrFarbHexTable); $i++)
                                {
                                    echo "<option value='" .$arrFarbHexTable[$i] ."' style='background-color:#" .$arrFarbHexTable[$i] . "'";
                                    if(isset($arrColours[3]) && $arrFarbHexTable[$i] == $arrColours[3]) echo " selected";
                                    echo ">Color ".$i."</option>";
                                }
                                echo "</select>";
                            ?>
                        </td>
                        <td width="100"><b>3&nbsp;</b>
                            <?php
                                echo "<select name='frm_colour3' size='1'>";
                                echo "<option value=''>default</option>";
                                for($i = 0; $i < count($arrFarbHexTable); $i++)
                                {
                                    echo "<option value='" .$arrFarbHexTable[$i] ."' style='background-color:#" .$arrFarbHexTable[$i] . "'";
                                    if(isset($arrColours[5]) && $arrFarbHexTable[$i] == $arrColours[5]) echo " selected";
                                    echo ">Color ".$i."</option>";
                                }
                                echo "</select>";
                            ?>
                        </td>
                        <td><b>4&nbsp;</b>
                            <?php
                                echo "<select name='frm_colour4' size='1'>";
                                echo "<option value=''>default</option>";
                                for($i = 0; $i < count($arrFarbHexTable); $i++)
                                {
                                    echo "<option value='" .$arrFarbHexTable[$i] ."' style='background-color:#" .$arrFarbHexTable[$i] . "'";
                                    if(isset($arrColours[7]) && $arrFarbHexTable[$i] == $arrColours[7]) echo " selected";
                                    echo ">Color ".$i."</option>";
                                }
                                echo "</select>";
                            ?>
                        </td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_spez_colours.htm','Help')"></td>
                    </tr>
                                    <tr valign="top">
                        <td><h4>Colour Descriptions:</h4></td>
                        <td>&nbsp;</td>
                        <td>
                            <b>1</b>&nbsp;&nbsp;<input type="text" name="frm_colname1" value='<?php if(isset($arrColours[0])) echo $arrColours[0]; ?>' size="10">
                        </td>
                        <td>
                            <b>2</b>&nbsp;&nbsp;<input type="text" name="frm_colname2" value='<?php if(isset($arrColours[2])) echo $arrColours[2]; ?>' size="10">
                        </td>
                        <td>
                            <b>3</b>&nbsp;&nbsp;<input type="text" name="frm_colname3" value='<?php if(isset($arrColours[4])) echo $arrColours[4]; ?>' size="10">
                        </td>
                        <td>
                            <b>4</b>&nbsp;&nbsp;<input type="text" name="frm_colname4" value='<?php if(isset($arrColours[6])) echo $arrColours[6]; ?>' size="10"></td>
                        <td>
                            <image src="../img/tips.gif" onClick="PopUpWnd('../help/help_spez_colours.htm','Help')">
                        </td>
                    </tr>
                    <tr valign="top">
                        <td><h4>Standard Background[_]:</h4></td>
                        <td>&nbsp;</td>
                        <td>
                            <?php
                                echo "<select name='frm_background' size='1'>";
                                echo "<option value=''>default</option>";
                                for($i = 0; $i < count($arrFarbHexTable); $i++)
                                {
                                    echo "<option value='" .$arrFarbHexTable[$i] ."' style='background-color:#" .$arrFarbHexTable[$i] . "'";
                                    if("#".$arrFarbHexTable[$i] == $objCfg->objGlobalInterface->mct_getBackground()) echo " selected";
                                    echo ">Color ".$i."</option>";
                                }
                                echo "</select>";
                            ?>
                        </td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_background.htm','Help')"></td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    <p>
    <table border="1" cellspacing="0" cellpadding="3">
        <tr valign="top">
          <td><h4>XSize:</h4></td>
          <td><select name="frm_xsize" size="1">
                      <option value="50" <?php if($objCfg->objGlobalInterface->mct_getXSize() <= 50) echo "selected"; ?> >50</option>
                      <option value="100" <?php if($objCfg->objGlobalInterface->mct_getXSize() == 100) echo "selected"; ?> >100</option>
                      <option value="150" <?php if($objCfg->objGlobalInterface->mct_getXSize() == 150) echo "selected"; ?> >150</option>
                      <option value="200" <?php if($objCfg->objGlobalInterface->mct_getXSize() == 200) echo "selected"; ?> >200</option>
                      <option value="250" <?php if($objCfg->objGlobalInterface->mct_getXSize() == 250) echo "selected"; ?> >250</option>
                      <option value="300" <?php if($objCfg->objGlobalInterface->mct_getXSize() == 300) echo "selected"; ?> >300</option>
                      <option value="350" <?php if($objCfg->objGlobalInterface->mct_getXSize() == 350) echo "selected"; ?> >350</option>
                      <option value="400" <?php if($objCfg->objGlobalInterface->mct_getXSize() == 400) echo "selected"; ?> >400</option>
                      <option value="450" <?php if($objCfg->objGlobalInterface->mct_getXSize() == 450) echo "selected"; ?> >450</option>
                      <option value="500" <?php if($objCfg->objGlobalInterface->mct_getXSize() == 500) echo "selected"; ?> >500</option>
                      <option value="550" <?php if($objCfg->objGlobalInterface->mct_getXSize() == 550) echo "selected"; ?> >550</option>
                      <option value="600" <?php if($objCfg->objGlobalInterface->mct_getXSize() >= 600) echo "selected"; ?> >600</option>
               </select></td>
          <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_xsize.htm','Help')">&nbsp;</td>
          <td><h4>XScale:</h4></td>
          <td><select name="frm_xscale" size="1">
                      <option value="1.0" <?php if($objCfg->objGlobalInterface->mct_getXScale() <= 1.0) echo "selected"; ?> >1.0</option>
                      <option value="1.1" <?php if($objCfg->objGlobalInterface->mct_getXScale() == 1.1) echo "selected"; ?> >1.1</option>
                      <option value="1.2" <?php if($objCfg->objGlobalInterface->mct_getXScale() == 1.2) echo "selected"; ?> >1.2</option>
                      <option value="1.3" <?php if($objCfg->objGlobalInterface->mct_getXScale() == 1.3) echo "selected"; ?> >1.3</option>
                      <option value="1.4" <?php if($objCfg->objGlobalInterface->mct_getXScale() == 1.4) echo "selected"; ?> >1.4</option>
                      <option value="1.5" <?php if($objCfg->objGlobalInterface->mct_getXScale() == 1.5) echo "selected"; ?> >1.5</option>
                      <option value="1.6" <?php if($objCfg->objGlobalInterface->mct_getXScale() == 1.6) echo "selected"; ?> >1.6</option>
                      <option value="1.7" <?php if($objCfg->objGlobalInterface->mct_getXScale() == 1.7) echo "selected"; ?> >1.7</option>
                      <option value="1.8" <?php if($objCfg->objGlobalInterface->mct_getXScale() == 1.8) echo "selected"; ?> >1.8</option>
                      <option value="1.9" <?php if($objCfg->objGlobalInterface->mct_getXScale() == 1.9) echo "selected"; ?> >1.9</option>
                      <option value="2.0" <?php if($objCfg->objGlobalInterface->mct_getXScale() >= 2.0) echo "selected"; ?> >2.0</option>
               </select></td>
          <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_xscale.htm','Help')">&nbsp;</td>
          <td><h4>XZoom:</h4></td>
          <td><select name="frm_xzoom" size="1">
                      <option value="1.0" <?php if($objCfg->objGlobalInterface->mct_getXZoom() <= 1.0) echo "selected"; ?> >1.0</option>
                      <option value="1.1" <?php if($objCfg->objGlobalInterface->mct_getXZoom() == 1.1) echo "selected"; ?> >1.1</option>
                      <option value="1.2" <?php if($objCfg->objGlobalInterface->mct_getXZoom() == 1.2) echo "selected"; ?> >1.2</option>
                      <option value="1.3" <?php if($objCfg->objGlobalInterface->mct_getXZoom() == 1.3) echo "selected"; ?> >1.3</option>
                      <option value="1.4" <?php if($objCfg->objGlobalInterface->mct_getXZoom() == 1.4) echo "selected"; ?> >1.4</option>
                      <option value="1.5" <?php if($objCfg->objGlobalInterface->mct_getXZoom() == 1.5) echo "selected"; ?> >1.5</option>
                      <option value="1.6" <?php if($objCfg->objGlobalInterface->mct_getXZoom() == 1.6) echo "selected"; ?> >1.6</option>
                      <option value="1.7" <?php if($objCfg->objGlobalInterface->mct_getXZoom() == 1.7) echo "selected"; ?> >1.7</option>
                      <option value="1.8" <?php if($objCfg->objGlobalInterface->mct_getXZoom() == 1.8) echo "selected"; ?> >1.8</option>
                      <option value="1.9" <?php if($objCfg->objGlobalInterface->mct_getXZoom() == 1.9) echo "selected"; ?> >1.9</option>
                      <option value="2.0" <?php if($objCfg->objGlobalInterface->mct_getXZoom() >= 2.0) echo "selected"; ?> >2.0</option>
               </select></td>
          <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_xzoom.htm','Help')">&nbsp;</td>
        </tr>
        <tr valign="top">
          <td><h4>YSize:</h4></td>
          <td><select name="frm_ysize" size="1">
                      <option value="20" <?php if($objCfg->objGlobalInterface->mct_getYSize() <= 20) echo "selected"; ?> >20</option>
                      <option value="40" <?php if($objCfg->objGlobalInterface->mct_getYSize() == 40) echo "selected"; ?> >40</option>
                      <option value="60" <?php if($objCfg->objGlobalInterface->mct_getYSize() == 60) echo "selected"; ?> >60</option>
                      <option value="80" <?php if($objCfg->objGlobalInterface->mct_getYSize() == 80) echo "selected"; ?> >80</option>
                      <option value="100" <?php if($objCfg->objGlobalInterface->mct_getYSize() == 100) echo "selected"; ?> >100</option>
                      <option value="120" <?php if($objCfg->objGlobalInterface->mct_getYSize() == 120) echo "selected"; ?> >120</option>
                      <option value="140" <?php if($objCfg->objGlobalInterface->mct_getYSize() == 140) echo "selected"; ?> >140</option>
                      <option value="160" <?php if($objCfg->objGlobalInterface->mct_getYSize() == 160) echo "selected"; ?> >160</option>
                      <option value="180" <?php if($objCfg->objGlobalInterface->mct_getYSize() == 180) echo "selected"; ?> >180</option>
                      <option value="200" <?php if($objCfg->objGlobalInterface->mct_getYSize() == 200) echo "selected"; ?> >200</option>
                      <option value="220" <?php if($objCfg->objGlobalInterface->mct_getYSize() == 220) echo "selected"; ?> >220</option>
                      <option value="240" <?php if($objCfg->objGlobalInterface->mct_getYSize() >= 240) echo "selected"; ?> >240</option>
               </select></td>
          <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_ysize.htm','Help')">&nbsp;</td>
          <td><h4>YScale:</h4></td>
          <td><select name="frm_yscale" size="1">
                      <option value="1.0" <?php if($objCfg->objGlobalInterface->mct_getYScale() <= 1.0) echo "selected"; ?> >1.0</option>
                      <option value="1.1" <?php if($objCfg->objGlobalInterface->mct_getYScale() == 1.1) echo "selected"; ?> >1.1</option>
                      <option value="1.2" <?php if($objCfg->objGlobalInterface->mct_getYScale() == 1.2) echo "selected"; ?> >1.2</option>
                      <option value="1.3" <?php if($objCfg->objGlobalInterface->mct_getYScale() == 1.3) echo "selected"; ?> >1.3</option>
                      <option value="1.4" <?php if($objCfg->objGlobalInterface->mct_getYScale() == 1.4) echo "selected"; ?> >1.4</option>
                      <option value="1.5" <?php if($objCfg->objGlobalInterface->mct_getYScale() == 1.5) echo "selected"; ?> >1.5</option>
                      <option value="1.6" <?php if($objCfg->objGlobalInterface->mct_getYScale() == 1.6) echo "selected"; ?> >1.6</option>
                      <option value="1.7" <?php if($objCfg->objGlobalInterface->mct_getYScale() == 1.7) echo "selected"; ?> >1.7</option>
                      <option value="1.8" <?php if($objCfg->objGlobalInterface->mct_getYScale() == 1.8) echo "selected"; ?> >1.8</option>
                      <option value="1.9" <?php if($objCfg->objGlobalInterface->mct_getYScale() == 1.9) echo "selected"; ?> >1.9</option>
                      <option value="2.0" <?php if($objCfg->objGlobalInterface->mct_getYScale() >= 2.0) echo "selected"; ?> >2.0</option>
               </select></td>
          <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_yscale.htm','Help')">&nbsp;</td>
          <td><h4>YZoom:</h4></td>
          <td><select name="frm_yzoom" size="1">
                      <option value="1.0" <?php if($objCfg->objGlobalInterface->mct_getYZoom() <= 1.0) echo "selected"; ?> >1.0</option>
                      <option value="1.1" <?php if($objCfg->objGlobalInterface->mct_getYZoom() == 1.1) echo "selected"; ?> >1.1</option>
                      <option value="1.2" <?php if($objCfg->objGlobalInterface->mct_getYZoom() == 1.2) echo "selected"; ?> >1.2</option>
                      <option value="1.3" <?php if($objCfg->objGlobalInterface->mct_getYZoom() == 1.3) echo "selected"; ?> >1.3</option>
                      <option value="1.4" <?php if($objCfg->objGlobalInterface->mct_getYZoom() == 1.4) echo "selected"; ?> >1.4</option>
                      <option value="1.5" <?php if($objCfg->objGlobalInterface->mct_getYZoom() == 1.5) echo "selected"; ?> >1.5</option>
                      <option value="1.6" <?php if($objCfg->objGlobalInterface->mct_getYZoom() == 1.6) echo "selected"; ?> >1.6</option>
                      <option value="1.7" <?php if($objCfg->objGlobalInterface->mct_getYZoom() == 1.7) echo "selected"; ?> >1.7</option>
                      <option value="1.8" <?php if($objCfg->objGlobalInterface->mct_getYZoom() == 1.8) echo "selected"; ?> >1.8</option>
                      <option value="1.9" <?php if($objCfg->objGlobalInterface->mct_getYZoom() == 1.9) echo "selected"; ?> >1.9</option>
                      <option value="2.0" <?php if($objCfg->objGlobalInterface->mct_getYZoom() >= 2.0) echo "selected"; ?> >2.0</option>
               </select></td>
          <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_yzoom.htm','Help')">&nbsp;</td>
        </tr>
    </table>
    <p>
    <table border="0">
        <tr>
            <td><h4>Standard Options[_]:</h4></td> <!-- Optionen zum CFG anzeigen -->
            <td>&nbsp;</td>
            <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_options.htm','Help')"></td>
        </tr>
    </table>
    <p>

    <?php
        $arr = explode(",", $objCfg->objGlobalInterface->mct_getOptions($_POST['frm_cfgload']));
    ?>
     <table border="1" cellspacing="0" cellpadding="3">
        <tr>
            <td><h4>growright:&nbsp;</h4></td>
            <td><input type="checkbox" name="frm_growright" value="growright"<?php if( strlen($arr[0]) > 0 ) echo "checked";?>></td>
            <td><h4>bits:&nbsp;</h4></td>
            <td><input type="checkbox" name="frm_bits" value="bits"<?php if( strlen($arr[1]) > 0 ) echo "checked";?>></td>
            <td><h4>noinfo:&nbsp;</h4></td>
            <td><input type="checkbox" name="frm_noinfo" value="noinfo"<?php if( strlen($arr[2]) > 0 ) echo "checked";?>></td>
        </tr>
        <tr>
            <td><h4>nopercent:&nbsp;</h4></td>
            <td><input type="checkbox" name="frm_nopercent" value="nopercent"<?php if( strlen($arr[3]) > 0 ) echo "checked";?>></td>
            <td><h4>gauge:&nbsp;</h4></td>
            <td><input type="checkbox" name="frm_gauge" value="gauge"<?php if( strlen($arr[4]) > 0 ) echo "checked";?>></td>
            <td><h4>absolute:&nbsp;</h4></td>
            <td><input type="checkbox" name="frm_absolute" value="absolute"<?php if( strlen($arr[5]) > 0 ) echo "checked";?>></td>
        </tr>
    </table>
    <p>
    <table>
        <tr>
            <td><h4>Standard Legend:</h4></td>
            <td>&nbsp;</td>
            <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_legend.htm','Help')"></td>
        </tr>
    </table>
    <p> <!-- Legenden abf&uuml;llen -->
    <table border="0">
        <tr valign="top">
            <td><h4>Standard YLegend[_]:</h4></td>
            <td><input type="text" name="frm_ylegend" size="60" value="<?php echo $objCfg->objGlobalInterface->mct_getYLegend(); ?>" maxlength="40"></td>
            <td>&nbsp;</td>
        </tr>
        <tr valign="top">
            <td><h4>Standard ShortLegend[_]:</h4></td>
            <td><input type="text" name="frm_shortlegend" size="60" value="<?php echo $objCfg->objGlobalInterface->mct_getShortLegend(); ?>" maxlength="40"></td>
            <td>&nbsp;</td>
        </tr>
        <tr valign="top">
            <td><h4>Standard Legend1[_]:</h4></td>
            <td><input type="text" name="frm_legend1" size="60" value="<?php echo $objCfg->objGlobalInterface->mct_getLegend1(); ?>" maxlength="40"></td>
            <td>&nbsp;</td>
        </tr>
        <tr valign="top">
            <td><h4>Standard Legend2[_]:</h4></td>
            <td><input type="text" name="frm_legend2" size="60" value="<?php echo $objCfg->objGlobalInterface->mct_getLegend2(); ?>" maxlength="40"></td>
            <td>&nbsp;</td>
        </tr>
        <tr valign="top">
            <td><h4>Standard Legend3[_]:</h4></td>
            <td><input type="text" name="frm_legend3" size="60" value="<?php echo $objCfg->objGlobalInterface->mct_getLegend3(); ?>" maxlength="40"></td>
            <td>&nbsp;</td>
        </tr>
        <tr valign="top">
            <td><h4>Standard Legend4[_]:</h4></td>
            <td><input type="text" name="frm_legend4" size="60" value="<?php echo $objCfg->objGlobalInterface->mct_getLegend4(); ?>" maxlength="40"></td>
            <td>&nbsp;</td>
        </tr>
        <tr valign="top">
            <td><h4>Standard LegendI[_]:</h4></td>
            <td><input type="text" name="frm_legendi" size="60" value="<?php echo $objCfg->objGlobalInterface->mct_getLegendI(); ?>" maxlength="40"></td>
            <td>&nbsp;</td>
        </tr>
        <tr valign="top">
            <td><h4>Standard LegendO[_]:</h4></td>
            <td><input type="text" name="frm_legendo" size="60" value="<?php echo $objCfg->objGlobalInterface->mct_getLegendO(); ?>" maxlength="40"></td>
            <td>&nbsp;</td>
        </tr>
    </table>
    <p>
    <input class="button" type="submit" name="submit" value="Jetzt &auml;ndern">
</form>
<?php
        $objCfg->mct_free(); //Objekt zerst&ouml;ren
    }    //if
?>
</body>
</html>
<?php
    $debug->mct_dump_it();
    $debug->mct_load_it();
?>
