<?php
    include_once("../inc/mct_CDebug.class.php");
    include_once("../src/validlogin.inc.php");
    $debug = new mct_CDebug();

    if( ! $_SESSION["objUser"]->mct_isadmin() )
        mct_redirect("admin_failed.htm");
?>
<?php
  $loctype = "";
  if($type == "global")  $loctype = "Globallocation";
  elseif($type == "local") $loctype = "Location";
  elseif($type == "sublocal") $loctype = "Sublocation";
  else mct_redirect("error.htm");
?>
<html>
<head>
    <title>Location</title>
    <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION["sitestyle"]["mct"]; ?>">
    <?php include_once("../inc/mct_javascr.inc.php"); ?>
</head>
<body>

<?php
    // Modus erfassen / l&ouml;schen
    if ( $pMode == "new" or $pMode == "change")
    {
        // Globale Location erfassen / l&ouml;schen
        if ( $type == "global")
        {
            // Pr&uuml;fung, ob Globallocation bereits existiert
            $objLocGlobal = new mct_CDbQuery;
            $objLocGlobal->mct_setQuery("SELECT `Name` FROM tgloballocation WHERE `Name` = '" . $_POST['frm_name'] . "'");
            $objLocGlobal->mct_execute();
            if( $objLocGlobal->mct_getRecordCount() > 0 )
            {
                if($pMode == "change")
                {
                  echo "<h5>Fehler beim &Auml;ndern</h5>".
                  "<hr>".
                  "<h4>Sie haben eine Globallocation gew&auml;hlt, die in der Datenbank bereits existiert.<br>".
                  "Bitte w&auml;hlen sie einen noch nicht vorhandenen Namen.</h4>".
                  "<p><img border='0' src='../img/failled.gif' width='188' height='186'></p>".
                  "<input id=\"Btn_ComChange\" class=\"button\" type=\"button\" value=\"Zu Stammdaten\" onClick=\"FrameWnd('admin_stammdaten.php')\">";
                }
                else
                { echo "<h5>Fehler beim Erfassen</h5>".
                  "<hr>".
                  "<h4>Sie haben eine Globallocation gew&auml;hlt, die in der Datenbank bereits existiert.<br>".
                  "Bitte w&auml;hlen sie einen noch nicht vorhandenen Namen.</h4>".
                  "<p><img border='0' src='../img/failled.gif' width='188' height='186'></p>".
                  "<input id=\"Btn_ComNeu\" class=\"button\" type=\"button\" value=\"Zur&uuml;ck\" onClick=\"FrameWnd('admin_loc_neu.php?type=global')\">";
                }
            }
            else
            {
              $objGlobalLoc = new mct_CLocation(1);
              {
                  if($pMode == "change")
                  {
                  $objGlobalLoc->mct_getfromdb($locationID);
                  }
                  $objGlobalLoc->mct_setName($_POST['frm_name']);
                  $objGlobalLoc->mct_setDescription($_POST['frm_descr']);
                  $objGlobalLoc->mct_writedb();
              }

              if($pMode == "change")
                echo "<h5>Globallocation ge&auml;ndert</h5>";
              else echo "<h5>Globallocation erfasst</h5>".
                 "<hr>".
                  "<h4>Die Globallocation " .$_POST['frm_name']. " wurde erfolgreich erfasst.</h4>".
                  "<p><img border='0' src='../img/ok.gif' width='188' height='186'></p>".
                  "<input id=\"Btn_Stammdaten\" class=\"button\" type=\"button\" value=\"Zu Stammdaten\" onClick=\"FrameWnd('admin_stammdaten.php')\">&nbsp;".
                  "<input id=\"Btn_Com\" class=\"button\" type=\"button\" value=\"Weitere Globallocation\" onClick=\"FrameWnd('admin_loc_neu.php?type=global')\">";
            }
        }
        // Location erfassen
        else if ( $type == "local")
        {
            // Pr&uuml;fung, ob Globallocation mit Location bereits existiert
            $objGlobalLocation = new mct_CDbQuery;
            $objGlobalLocation->mct_setQuery("SELECT `ID`,`Name` FROM tgloballocation WHERE `ID` = " . $_POST['frm_loc']);
            $objGlobalLocation->mct_execute();
            $GlobalLocID = $objGlobalLocation->objRow->ID;

            $objLocation = new mct_CDbQuery;
            $objLocation->mct_setQuery("SELECT `Name` FROM tlocation WHERE `Name` = '" . $_POST['frm_name'] . "' and `fkGlobalLocationID` = $GlobalLocID");
            $objLocation->mct_execute();
            if( $objLocation->mct_getRecordCount() > 0)
            {
                if($pMode == "change")
                    echo "<h5>Fehler beim &Auml;ndern</h5>";
                else echo "<h5>Fehler beim Erfassen</h5>";

                echo "<hr>".
                    "<h4>Sie haben eine Globallocation / Location - Konstellation gew&auml;hlt, die in der Datenbank bereits existiert.<br>".
                    "Bitte w&auml;hlen sie einen noch nicht vorhandenen Namen oder ordnen sie die Location einer anderen Globallocation zu.</h4>".
                    "<p><img border='0' src='../img/failled.gif' width='188' height='186'></p>".
                    "<input id=\"Btn_ComNeu\" class=\"button\" type=\"button\" value=\"Zur&uuml;ck\" onClick=\"FrameWnd('admin_loc_neu.php?type=local')\">";
            }
            else
            {
                $objLoc = new mct_CLocation(2);
                if($pMode == "change")
                    $objLoc->mct_getfromdb($locationID);
                $objLoc->mct_setName($_POST['frm_name']);
                $objLoc->mct_setDescription($_POST['frm_descr']);
                $objLoc->mct_setParentLocationID(intval($GlobalLocID));
                $objLoc->mct_writedb();

                if($pMode == "change")
                    echo "<h5>Location ge&auml;ndert</h5>";
                else echo "<h5>Location erfasst</h5>";

                echo "<hr>".
                    "<h4>Die Location " .$_POST['frm_name']. " wurde erfolgreich erfasst.</h4>".
                    "<p><img border='0' src='../img/ok.gif' width='188' height='186'></p>".
                    "<input id=\"Btn_Stammdaten\" class=\"button\" type=\"button\" value=\"Zu Stammdaten\" onClick=\"FrameWnd('admin_stammdaten.php')\">&nbsp;".
                    "<input id=\"Btn_Com\" class=\"button\" type=\"button\" value=\"Weitere Location\" onClick=\"FrameWnd('admin_loc_neu.php?type=local')\">";
            }
        }
        // Sublocation erfassen
        else if ( $type == "sublocal")
        {
            $objSubLocation = new mct_CDbQuery;
            $objSubLocation->mct_setQuery("SELECT sc.ID as scID, sc.Name as scName, lc.Id as lcID, lc.Name as lcName, gc.ID as gcID, gc.Name as gcName
                                         FROM (tgloballocation gc INNER JOIN tlocation lc ON lc.fkGlobalLocationID = gc.ID)
                                           INNER JOIN tsublocation sc ON sc.fkLocationID = lc.ID
                                         WHERE sc.Name = '" . $_POST['frm_name'] . "' and sc.fkLocationID = " . $_POST['frm_loc'] . " and lc.fkGlobalLocationID = gc.ID");
            $objSubLocation->mct_execute();

            if( $objSubLocation->mct_getRecordCount() > 0)
            {
                if($pMode == "change")
                    echo "<h5>Fehler beim &Auml;ndern</h5>";
                else echo "<h5>Fehler beim Erfassen</h5>";

                echo "<hr>".
                    "<h4>Sie haben eine Globallocation / Location / Sublocation - Konstellation gew&auml;hlt, die in der Datenbank bereits existiert.<br>".
                    "Bitte w&auml;hlen sie einen noch nicht vorhandenen Namen oder ordnen sie die Sublocation einer anderen Location zu.</h4>".
                    "<p><img border='0' src='../img/failled.gif' width='188' height='186'></p>".
                    "<input id=\"Btn_ComNeu\" class=\"button\" type=\"button\" value=\"Zur&uuml;ck\" onClick=\"FrameWnd('admin_loc_neu.php?type=sublocal')\">";
            }
            else
            {
                $objSubLoc = new mct_CLocation(3);
                if($pMode == "change")
                    $objSubLoc->mct_getfromdb($locationID);
                $objSubLoc->mct_setName($_POST['frm_name']);
                $objSubLoc->mct_setDescription($_POST['frm_descr']);
                $objSubLoc->mct_setParentLocationID(intval($_POST['frm_loc']));
                $objSubLoc->mct_writedb();

                if($pMode == "change")
                    echo "<h5>Sublocation ge&auml;ndert</h5>";
                else echo "<h5>Sublocation erfasst</h5>";

                echo "<hr>".
                    "<h4>Die Subocation " . $_POST['frm_name'] . " wurde erfolgreich erfasst.</h4>".
                    "<p><img border='0' src='../img/ok.gif' width='188' height='186'></p>".
                    "<input id=\"Btn_Stammdaten\" class=\"button\" type=\"button\" value=\"Zu Stammdaten\" onClick=\"FrameWnd('admin_stammdaten.php')\">&nbsp;".
                    "<input id=\"Btn_Com\" class=\"button\" type=\"button\" value=\"Weitere Sublocation\" onClick=\"FrameWnd('admin_loc_neu.php?type=sublocal')\">";
            }
        }
        // Bei Fehler
        else mct_redirect ( "error.htm");
      }
    // Mouds l&ouml;schen
    else if ( $pMode == "delete" )
    {
        // Globale Location l&ouml;schen
        if ( $type == "global")
        {
            $objLocGlobal = new mct_CDbQuery;
            $objLocGlobal->mct_setQuery("SELECT `Name` FROM tlocation WHERE `fkGlobalLocationID` = " . $_GET['frm_glocloeschid']);
            $objLocGlobal->mct_execute();
            if( $objLocGlobal->mct_getRecordCount() > 0)
            {
                echo "<h5>Fehler beim L&ouml;schen</h5>".
                    "<hr>".
                    "<h4>Sie haben eine Globallocation gew&auml;hlt, der noch eine oder mehrere Loctions zugeordnet sind.<br>".
                    "Bitte l&ouml;schen Sie zuerst die Locations und deren zugeordnete Sublocations</h4>".
                    "<p><img border='0' src='../img/failled.gif' width='188' height='186'></p>".
                    "<input id=\"Btn_gLocDel\" class=\"button\" type=\"button\" value=\"Zur&uuml;ck\" onClick=\"FrameWnd('admin_stammdaten.php')\">";
            }
            else
            {
                $objGlobalLoc = new mct_CLocation(1);
                $objGlobalLoc->mct_getfromdb(intval($_GET['frm_glocloeschid']));
                if($objGlobalLoc->mct_deletefromdb())
                {
                    echo "<h5>Globallocation gel&ouml;scht</h5>".
                        "<hr>".
                        "<h4>Die Globallocation wurde erfolgreich gel&ouml;scht.</h4>".
                        "<p><img border='0' src='../img/ok.gif' width='188' height='186'></p>".
                        "<input id=\"Btn_Stammdaten\" class=\"button\" type=\"button\" value=\"Zu Stammdaten\" onClick=\"FrameWnd('admin_stammdaten.php')\">";
                }
                else mct_redirect ( "error.htm");
            }
        }
        // Location l&ouml;schen
        else if ( $type == "local")
        {
            $objLocalLoc = new mct_CDbQuery;
            $objLocalLoc->mct_setQuery("SELECT `Name` FROM tsublocation WHERE `fkLocationID` = " . $_GET['frm_llocloeschid']);
            $objLocalLoc->mct_execute();
            if( $objLocalLoc->mct_getRecordCount() > 0)
            {
                echo "<h5>Fehler beim L&ouml;schen</h5>".
                    "<hr>".
                    "<h4>Sie haben eine Location gew&auml;hlt, der noch eine oder mehrere Subloctions zugeordnet sind.<br>".
                    "Bitte l&ouml;schen Sie zuerst die Sublocations und deren zugeordnete Interfaces</h4>".
                    "<p><img border='0' src='../img/failled.gif' width='188' height='186'></p>".
                    "<input id=\"Btn_gLocDel\" class=\"button\" type=\"button\" value=\"Zur&uuml;ck\" onClick=\"FrameWnd('admin_stammdaten.php')\">";
            }
            else
            {
                $objLocalLoc = new mct_CLocation(2);
                $objLocalLoc->mct_getfromdb(intval($_GET['frm_llocloeschid']));
                if($objLocalLoc->mct_deletefromdb())
                {
                    echo "<h5>Location gel&ouml;scht</h5>".
                        "<hr>".
                        "<h4>Die Location wurde erfolgreich gel&ouml;scht.</h4>".
                        "<p><img border='0' src='../img/ok.gif' width='188' height='186'></p>".
                        "<input id=\"Btn_Stammdaten\" class=\"button\" type=\"button\" value=\"Zu Stammdaten\" onClick=\"FrameWnd('admin_stammdaten.php')\">";
                }
                else mct_redirect ( "error.htm");
            }
        }
        // Sublocation l&ouml;schen
        else if ( $type == "sublocal")
        {
            $objSubLoc = new mct_CDbQuery;
            $objSubLoc->mct_setQuery("SELECT `ID` FROM tinterface WHERE `fkSubLocationID` = " . $_GET['frm_slocloeschid']);
            $objSubLoc->mct_execute();
            if( $objSubLoc->mct_getRecordCount() > 0)
            {
                echo "<h5>Fehler beim L&ouml;schen</h5>".
                    "<hr>".
                    "<h4>Sie haben eine Sublocation gew&auml;hlt, der noch eine oder mehrere Interfaces zugeordnet sind.<br>".
                    "Bitte l&ouml;schen Sie zuerst die Interfaces oder ordnen sie diese einer anderen Sublocation zu</h4>".
                    "<p><img border='0' src='../img/failled.gif' width='188' height='186'></p>".
                    "<input id=\"Btn_gLocDel\" class=\"button\" type=\"button\" value=\"Zur&uuml;ck\" onClick=\"FrameWnd('admin_stammdaten.php')\">";
            }
            else
            {
                $objSubLoc = new mct_CLocation(3);
                $objSubLoc->mct_getfromdb(intval($_GET['frm_slocloeschid']));
                if($objSubLoc->mct_deletefromdb())
                {
                    echo "<h5>Sublocation gel&ouml;scht</h5>".
                        "<hr>".
                        "<h4>Die Sublocation wurde erfolgreich gel&ouml;scht.</h4>".
                        "<p><img border='0' src='../img/ok.gif' width='188' height='186'></p>".
                        "<input id=\"Btn_Stammdaten\" class=\"button\" type=\"button\" value=\"Zu Stammdaten\" onClick=\"FrameWnd('admin_stammdaten.php')\">";
                }
                else mct_redirect ("error.htm");
            }
        }
        else mct_redirect ("error.htm");
    }
    else mct_redirect ("error.htm");
?>
</body>
</html>
<?php
    $debug->mct_dump_it();
    $debug->mct_load_it();
?>
