<?php
    include_once("../inc/mct_CDebug.class.php");
    include_once("../src/validlogin.inc.php");
    $debug = new mct_CDebug();

    if( ! $_SESSION["objUser"]->mct_isadmin() )
        mct_redirect("admin_failed.htm");
?>
<html>
<head>
    <title>MCT Task erfassen</title>
    <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION["sitestyle"]["mct"]; ?>">
    <?php include_once("../inc/mct_javascr.inc.php"); ?>
</head>
<body>
<h1>MCT Task</h1>
<hr>
<?php
    //Pr&uuml;fung ob Taskname bereits existiert
    $objTaskvorh = new mct_CDbQuery; //Obj erstellen
    $objTaskvorh->mct_setQuery("SELECT `Name` FROM ttask WHERE `Name` = '" . $_POST['frm_taskname'] . "'");
    $objTaskvorh->mct_execute();
    if( $objTaskvorh->mct_getRecordCount() > 0 )
    {
        echo "<h4>Beim Erfassen des Tasks ist ein Fehler aufgetreten.<br>"
                ."Der Taskname existiert bereits und kann nicht mehr verwendet werden</h4><p>"
                ."<img border='0' src='../img/failled.gif' width='188' height='186'><p>"
                ."<input id=\"Btn_zurueck\" class=\"button\" type=\"button\" value=\"Zur&uuml;ck\" onClick=\"FrameWnd('admin_task_neu.php')\">";
    }
    else
    {
        $objTasknew = new mct_CTask;
        $returnb = 1;
        if($_POST['frm_taskname'] == "") $returnb = -1; //Taskname pr&uuml;fen
        else $objTasknew->mct_setName($_POST['frm_taskname']);
        if($_POST['input3'] == "") $returnb = -1;
        else { $objTasknew->mct_setStarttime($_POST['input3']); }  //Starttime pr&uuml;fen
        $objTasknew->mct_setOdw($_POST['radio_ausf']); //Ausf&uuml;hrung setzen
        if($_POST['radio_mrtg'] == "mrtgtask") //Wenn MRTG-Task, dann...
        {
            $objTasknew->mct_setTasktyp($_POST['radio_mrtg']);  //Art des Tasks
            if($_POST['frm_cfg'] == "") $returnb = -1;
            else $objTasknew->mct_setCfgname($_POST['frm_cfg']);
            if($_POST['frm_cfgpfad'] == "") $returnb = -1;
            else $objTasknew->mct_setCfgpfad($_POST['frm_cfgpfad']);
            if($_POST['frm_perlpfad'] == "") $returnb = -1;
            else $objTasknew->mct_setPerlpfad($_POST['frm_perlpfad']);
            if($_POST['frm_mrtgpfad'] == "") $returnb = -1;
            else $objTasknew->mct_setMrtgpfad($_POST['frm_mrtgpfad']);
        }
        else
        {
            $objTasknew->mct_setTasktyp($_POST['radio_mrtg']);
            if($_POST['frm_prgname'] == "") $returnb = -1;
            else $objTasknew->mct_setPrgname($_POST['frm_prgname']);
            if($_POST['frm_prgpfad'] == "") $returnb = -1;
            else $objTasknew->mct_setPrgpfad($_POST['frm_prgpfad']);
            $objTasknew->mct_setParameter($_POST['frm_parameter']);
        }

        if($_POST['radio_ausf'] == "once") {}
        else if($_POST['radio_ausf'] == "daily") $objTasknew->mct_setIntervalday(intval($_POST['frm_intervalday']));
        else
        {
            $WDays = "";
            if( isset($_POST['frm_intervalwmo']) ) $WDays .= $_POST['frm_intervalwmo'] . ",";
            if( isset($_POST['frm_intervalwdi']) ) $WDays .= $_POST['frm_intervalwdi'] . ",";
            if( isset($_POST['frm_intervalwmi']) ) $WDays .= $_POST['frm_intervalwmi'] . ",";
            if( isset($_POST['frm_intervalwdo']) ) $WDays .= $_POST['frm_intervalwdo'] . ",";
            if( isset($_POST['frm_intervalwfr']) ) $WDays .= $_POST['frm_intervalwfr'] . ",";
            if( isset($_POST['frm_intervalwsa']) ) $WDays .= $_POST['frm_intervalwsa'] . ",";
            if( isset($_POST['frm_intervalwso']) ) $WDays .= $_POST['frm_intervalwso'] . ",";

            $objTasknew->mct_setIntervalweek(intval($_POST['frm_intervalweek']));
            if( strlen($WDays) > 0 )
            {
                // Letztes Komma abschneiden
                $WDays = substr($WDays, 0, strlen($WDays)-1);
                $objTasknew->mct_setWday($WDays);
            }
            else $returnb = -1;
        }
        if( isset($_POST['frm_logcheck']) )
            $objTasknew->mct_setLogact(1);
        else $objTasknew->mct_setLogact(0);
        $objTasknew->mct_setLogpfad($_POST['frm_logpfad']);
        $objTasknew->mct_setLogname($_POST['frm_logname']);
        $objTasknew->mct_setCreator($_SESSION["objUser"]->mct_getName());
        $objTasknew->mct_setAccount($_POST['frm_account']);
        $objTasknew->mct_setPwd($_POST['frm_pwd']);
        $objTasknew->mct_setComment($_POST['frm_comment']);
        $objTasknew->mct_setWorkpath($_POST['frm_workpath']);
        if($returnb > 0)
        {
            if( $objTasknew->mct_writedb() ) //Eintrag in DB
            {
                if ($_POST['frm_activate'] == "y") // Wenn Task aktiviert werden soll
                {
                    if( $objTasknew->mct_addtask() )
                    {
                        echo "<h4>Der Task ".$_POST['frm_taskname']." wurde erfolgreich erfasst</h4><p>"
                              ."<img border='0' src='../img/ok.gif' width='188' height='186'><p>";
                        echo "<input id=\"Btn_zurueck\" class=\"button\" type=\"button\" value=\"Zu Task &Uuml;bersicht\" onClick=\"FrameWnd('admin_task.php')\">"
                              ." <input id=\"Btn_neuTask\" class=\"button\" type=\"button\" value=\"Weiterer Task\" onClick=\"FrameWnd('admin_task_neu.php')\">";
                    }
                    else
                    {
                        echo "<h4>Beim Erfassen des Tasks ist ein Fehler aufgetreten.<br>"
                                ."Bitte &uuml;berpr&uuml;fen Sie die Angaben</h4><p>"
                                ."<img border='0' src='../img/failled.gif' width='188' height='186'><p>"
                                ."<input id=\"Btn_zurueck\" class=\"button\" type=\"button\" value=\"Zur&uuml;ck\" onClick=\"FrameWnd('admin_task_neu.php')\">";
                    }
                }
                else if ($_POST['frm_activate'] == "")
                    {
                        echo "<h4>Der Task ".$_POST['frm_taskname']." wurde erfolgreich erfasst</h4><p>"
                              ."<img border='0' src='../img/ok.gif' width='188' height='186'><p>";
                        echo "<input id=\"Btn_zurueck\" class=\"button\" type=\"button\" value=\"Zu Task &Uuml;bersicht\" onClick=\"FrameWnd('admin_task.php')\">"
                              ." <input id=\"Btn_neuTask\" class=\"button\" type=\"button\" value=\"Weiterer Task\" onClick=\"FrameWnd('admin_task_neu.php')\">";
                    }

            }
            else
            {
                echo "<h4>Beim schreiben des Task in die Datenbank ist ein Fehler aufgetreten.</h4><p>"
                     ."<img border='0' src='../img/failled.gif' width='188' height='186'><p>"
                     ."<input id=\"Btn_zurueck\" class=\"button\" type=\"button\"' value= \"Zur&uuml;ck\" onClick=\"FrameWnd('admin_task_aendern.php?frm_aendernid=". $_GET['frm_changeid'] ."')\">";
            }
        }
        else
        {
            echo "<h4>Beim Erfassen des Tasks wurden notwendige Angaben vermisst.<br>"
                    ."Bitte &uuml;berpr&uuml;fen Sie die Angaben</h4><p>"
                    ."<img border='0' src='../img/failled.gif' width='188' height='186'><p>"
                    ."<input id=\"Btn_zurueck\" class=\"button\" type=\"button\" value=\"Zur&uuml;ck\" onClick=\"FrameWnd('admin_task_neu.php')\">";
        }
    } // else Task vorh
?>
</body>
</html>
<?php
    $debug->mct_dump_it();
    $debug->mct_load_it();
?>

