<?php
    include_once("../inc/mct_general.inc.php");
    include_once("../inc/mct_func.inc.php");
    include_once("../inc/mct_CDbQuery.class.php");
    session_start();
?>
<html>
<head>
    <title>MCT Initial (Datenbank)</title>
    <link rel="stylesheet" type="text/css" href="../css/mct.css">
</head>

<body>
<h5>MCT Initial (Datenbank)</h5>
<hr>

<h3>Willkommen beim MRTG Configuration Tool</h3>
<p>Dies ist eine Initialseite von MCT. Sie wird gebraucht, um die Datenbank zu generieren.<br>
<p><b>Hinweis:</b> Haben Sie die Datei '<b>mct.config.php</b>' bereits korrekt eingestellt?<br>
   <b>Hinweis:</b> Haben Sie das '<b>MCT.ini</b>' welches in der Datei 'mct.config.php' definiert wurde bereits korrekt eingestellt?</p>

<?php
    function write_msg($str, $color="red")
    {
        echo "<font color='" . $color . "'><b>" . $str . "</b></font><br><br>";
    }

    // check for POST-Back
    if( isset($_POST['frmPostBack']) )
    {
        if( isset($_POST['frmDB']) && $_POST['frmDB'] == "MCTTestDB" )
        {
            write_msg("Test Modus aktiviert!", "blue");
            define("_TEST_MODE_",  true);
        }

        $tblCom     = "";
        $tblCfg     = "";
        $tblIf      = "";
        $tblLog     = "";
        $tblTsk     = "";
        $tblUsr     = "";
        $tblIfCfg   = "";
        $tblGC      = "";
        $tblLC      = "";
        $tblSC      = "";

        $qry = new mct_CDbQuery;

        if( $qry->mct_getAccessMode() == "mysql" )
        {
            $tblCom .= "CREATE TABLE `tcommunity` (";
            $tblCom .= "  `ID` int(11) NOT NULL ,";
            $tblCom .= "  `Name` varchar(255) NOT NULL ,";
            $tblCom .= "  PRIMARY KEY  (`ID`)";
            $tblCom .= ") TYPE=MyISAM;";

            $tblCfg .= "CREATE TABLE `tconfigfile` (";
            $tblCfg .= "  `ID` int(11) NOT NULL ,";
            $tblCfg .= "  `Name` varchar(255) NOT NULL ,";
            $tblCfg .= "  `CreationDate` date NOT NULL ,";
            $tblCfg .= "  `LastChangeDate` date NOT NULL ,";
            $tblCfg .= "  `Directory` varchar(255) NULL ,";
            $tblCfg .= "  `WorkDir` varchar(255) NULL ,";
            $tblCfg .= "  `Refresh` int(11) NULL ,";
            $tblCfg .= "  `Interval` int(11) NULL ,";
            $tblCfg .= "  `WriteExpires` char(3) NULL ,";
            $tblCfg .= "  `IconDir` varchar(255) NULL ,";
            $tblCfg .= "  `fkCreatorUserID` int(11) NULL ,";
            $tblCfg .= "  `fkLastChangerUserID` int(11) NULL ,";
            $tblCfg .= "  `fkGlobalInterfaceID` int(11) NULL ,";
            $tblCfg .= "  PRIMARY KEY  (`ID`)";
            $tblCfg .= ") TYPE=MyISAM;";

            $tblIf .= "CREATE TABLE `tinterface` (";
            $tblIf .= "  `ID` int(11) NOT NULL ,";
            $tblIf .= "  `Name` varchar(255) NOT NULL ,";
            $tblIf .= "  `Ipaddr` varchar(255) NOT NULL ,";
            $tblIf .= "  `Index` varchar(255) NOT NULL ,";
            $tblIf .= "  `Title` varchar(255) NULL ,";
            $tblIf .= "  `PageTopPre` longtext,";
            $tblIf .= "  `PageTopApp` longtext,";
            $tblIf .= "  `PageTop` longtext,";
            $tblIf .= "  `MaxBytes` bigint(20) NULL ,";
            $tblIf .= "  `Unscaled` varchar(4) NULL ,";
            $tblIf .= "  `Suppress` varchar(4) NULL ,";
            $tblIf .= "  `AbsMax` bigint(20) NULL ,";
            $tblIf .= "  `AddHead` varchar(255) NULL ,";
            $tblIf .= "  `WithPeak` varchar(4) NULL ,";
            $tblIf .= "  `XSize` int(11) NULL ,";
            $tblIf .= "  `YSize` int(11) NULL ,";
            $tblIf .= "  `XScale` float NULL ,";
            $tblIf .= "  `YScale` float NULL ,";
            $tblIf .= "  `XZoom` float NULL ,";
            $tblIf .= "  `YZoom` float NULL ,";
            $tblIf .= "  `Directory` varchar(255) NULL ,";
            $tblIf .= "  `Options` varchar(255) NULL ,";
            $tblIf .= "  `Colors` varchar(255) NULL ,";
            $tblIf .= "  `Background` varchar(255) NULL ,";
            $tblIf .= "  `YLegend` varchar(255) NULL ,";
            $tblIf .= "  `ShortLegend` varchar(255) NULL ,";
            $tblIf .= "  `Legend1` varchar(255) NULL ,";
            $tblIf .= "  `Legend2` varchar(255) NULL ,";
            $tblIf .= "  `Legend3` varchar(255) NULL ,";
            $tblIf .= "  `Legend4` varchar(255) NULL ,";
            $tblIf .= "  `LegendI` varchar(255) NULL ,";
            $tblIf .= "  `LegendO` varchar(255) NULL ,";
            $tblIf .= "  `CommExt` varchar(255) NULL ,";
            $tblIf .= "  `GlobalIf` tinyint(1) NOT NULL ,";
            $tblIf .= "  `fkCommunityID` int(11) NOT NULL ,";
            $tblIf .= "  `fkSubLocationID` int(11) NOT NULL ,";
            $tblIf .= "  PRIMARY KEY  (`ID`)";
            $tblIf .= ") TYPE=MyISAM;";

            $tblTsk .= "CREATE TABLE `ttask` (";
            $tblTsk .= "  `ID` int(11) NOT NULL ,";
            $tblTsk .= "  `Name` varchar(255) NOT NULL ,";
            $tblTsk .= "  `Creator` varchar(255) NOT NULL ,";
            $tblTsk .= "  `Comment` varchar(255) NULL ,";
            $tblTsk .= "  `Parameter` varchar(255) NULL ,";
            $tblTsk .= "  `Workpath` varchar(255) NULL ,";
            $tblTsk .= "  `Odw` varchar(255) NOT NULL ,";
            $tblTsk .= "  `Wday` varchar(25) NULL ,";
            $tblTsk .= "  `Logname` varchar(255) NULL ,";
            $tblTsk .= "  `Logpfad` varchar(255) NULL ,";
            $tblTsk .= "  `Perlpfad` varchar(255) NULL ,";
            $tblTsk .= "  `Mrtgpfad` varchar(255) NULL ,";
            $tblTsk .= "  `Tasktyp` varchar(10) NOT NULL ,";
            $tblTsk .= "  `Intervalday` int(3) NULL ,";
            $tblTsk .= "  `Intervalweek` int(3) NULL ,";
            $tblTsk .= "  `Cfgname` varchar(255) NULL ,";
            $tblTsk .= "  `Cfgpfad` varchar(255) NULL ,";
            $tblTsk .= "  `Prgname` varchar(255) NULL ,";
            $tblTsk .= "  `Prgpfad` varchar(255) NULL ,";
            $tblTsk .= "  `Starttime` varchar(255) NULL ,";
            $tblTsk .= "  `Account` varchar(20) NULL ,";
            $tblTsk .= "  `Pwd` varchar(255) NULL ,";
            $tblTsk .= "  `logact` tinyint(1) NULL ,";
            $tblTsk .= "  PRIMARY KEY  (`Id`)";
            $tblTsk .= ") TYPE=MyISAM;";

            $tblUsr .= "CREATE TABLE `tuser` (";
            $tblUsr .= "  `ID` int(11) NOT NULL ,";
            $tblUsr .= "  `Name` varchar(255) NOT NULL ,";
            $tblUsr .= "  `Password` varchar(255) NOT NULL ,";
            $tblUsr .= "  `Rights` int(11) NOT NULL ,";
            $tblUsr .= "  PRIMARY KEY  (`ID`)";
            $tblUsr .= ") TYPE=MyISAM;";

            $tblIfCfg .= "CREATE TABLE `tz_ifcfg` (";
            $tblIfCfg .= "  `ID` int(11) NOT NULL ,";
            $tblIfCfg .= "  `fkInterfaceID` int(11) NOT NULL ,";
            $tblIfCfg .= "  `fkConfigFileID` int(11) NOT NULL ,";
            $tblIfCfg .= "  PRIMARY KEY  (`ID`)";
            $tblIfCfg .= ") TYPE=MyISAM;";

            $tblGC .= "CREATE TABLE `tgloballocation` (";
            $tblGC .= "  `ID` int(11) NOT NULL PRIMARY KEY ,";
            $tblGC .= "  `Name` varchar(50) NOT NULL ,";
            $tblGC .= "  `Description` varchar(100)";
            $tblGC .= ") TYPE=MyISAM;";

            $tblLC .= "CREATE TABLE `tlocation` (";
            $tblLC .= "  `ID` int(11) NOT NULL PRIMARY KEY ,";
            $tblLC .= "  `Name` varchar(50) NOT NULL ,";
            $tblLC .= "  `Description` varchar(100) NULL ,";
            $tblLC .= "  `fkGlobalLocationID` int(11) NOT NULL";
            $tblLC .= ") TYPE=MyISAM;";

            $tblSC .= "CREATE TABLE `tsublocation` (";
            $tblSC .= "  `ID` int(11) NOT NULL PRIMARY KEY ,";
            $tblSC .= "  `Name` varchar(50) NOT NULL ,";
            $tblSC .= "  `Description` varchar(100) NULL ,";
            $tblSC .= "  `fkLocationID` int(11) NOT NULL";
            $tblSC .= ") TYPE=MyISAM;";
        }
        else if( $qry->mct_getAccessMode() == "odbc" )
        {
            $tblCom .= "CREATE TABLE [tcommunity] (";
            $tblCom .= "  [ID] int NOT NULL ,";
            $tblCom .= "  [Name] varchar(255) NOT NULL ,";
            $tblCom .= "  PRIMARY KEY ([ID])";
            $tblCom .= ");";

            $tblCfg .= "CREATE TABLE [tconfigfile] (";
            $tblCfg .= "  [ID] int NOT NULL ,";
            $tblCfg .= "  [Name] varchar(255) NOT NULL ,";
            $tblCfg .= "  [CreationDate] datetime NOT NULL ,";
            $tblCfg .= "  [LastChangeDate] datetime NOT NULL ,";
            $tblCfg .= "  [Directory] varchar(255) NULL ,";
            $tblCfg .= "  [WorkDir] varchar(255) NULL ,";
            $tblCfg .= "  [Refresh] int NULL ,";
            $tblCfg .= "  [Interval] int NULL ,";
            $tblCfg .= "  [WriteExpires] varchar(3) NULL ,";
            $tblCfg .= "  [IconDir] varchar(255) NULL ,";
            $tblCfg .= "  [fkCreatorUserID] int NULL ,";
            $tblCfg .= "  [fkLastChangerUserID] int NULL ,";
            $tblCfg .= "  [fkGlobalInterfaceID] int NULL ,";
            $tblCfg .= "  PRIMARY KEY ([ID])";
            $tblCfg .= ");";

            $tblIf .= "CREATE TABLE [tinterface] (";
            $tblIf .= "  [ID] int NOT NULL ,";
            $tblIf .= "  [Name] varchar(255) NOT NULL ,";
            $tblIf .= "  [Ipaddr] varchar(255) NOT NULL ,";
            $tblIf .= "  [Index] varchar(255) NOT NULL ,";
            $tblIf .= "  [Title] varchar(255) NULL ,";
            $tblIf .= "  [PageTopPre] longtext NULL ,";
            $tblIf .= "  [PageTopApp] longtext NULL ,";
            $tblIf .= "  [PageTop] longtext NULL ,";
            $tblIf .= "  [MaxBytes] int NULL ,";
            $tblIf .= "  [Unscaled] varchar(4) NULL ,";
            $tblIf .= "  [Suppress] varchar(4) NULL ,";
            $tblIf .= "  [AbsMax] int NULL ,";
            $tblIf .= "  [AddHead] varchar(255) NULL ,";
            $tblIf .= "  [WithPeak] varchar(4) NULL ,";
            $tblIf .= "  [XSize] int NULL ,";
            $tblIf .= "  [YSize] int NULL ,";
            $tblIf .= "  [XScale] float NULL ,";
            $tblIf .= "  [YScale] float NULL ,";
            $tblIf .= "  [XZoom] float NULL ,";
            $tblIf .= "  [YZoom] float NULL ,";
            $tblIf .= "  [Directory] varchar(255) NULL ,";
            $tblIf .= "  [Options] varchar(255) NULL ,";
            $tblIf .= "  [Colors] varchar(255) NULL ,";
            $tblIf .= "  [Background] varchar(255) NULL ,";
            $tblIf .= "  [YLegend] varchar(255) NULL ,";
            $tblIf .= "  [ShortLegend] varchar(255) NULL ,";
            $tblIf .= "  [Legend1] varchar(255) NULL ,";
            $tblIf .= "  [Legend2] varchar(255) NULL ,";
            $tblIf .= "  [Legend3] varchar(255) NULL ,";
            $tblIf .= "  [Legend4] varchar(255) NULL ,";
            $tblIf .= "  [LegendI] varchar(255) NULL ,";
            $tblIf .= "  [LegendO] varchar(255) NULL ,";
            $tblIf .= "  [CommExt] varchar(255) NULL ,";
            $tblIf .= "  [GlobalIf] bit NOT NULL ,";
            $tblIf .= "  [fkCommunityID] int NOT NULL ,";
            $tblIf .= "  [fkSubLocationID] int NOT NULL ,";
            $tblIf .= "  PRIMARY KEY ([ID])";
            $tblIf .= ");";

            $tblTsk .= "CREATE TABLE [ttask] (";
            $tblTsk .= "  [ID] int NOT NULL ,";
            $tblTsk .= "  [Name] varchar(255) NOT NULL ,";
            $tblTsk .= "  [Creator] varchar(255) NOT NULL ,";
            $tblTsk .= "  [Comment] varchar(255) NULL ,";
            $tblTsk .= "  [Parameter] varchar(255) NULL ,";
            $tblTsk .= "  [Workpath] varchar(255) NULL ,";
            $tblTsk .= "  [Odw] varchar(255) NOT NULL ,";
            $tblTsk .= "  [Wday] varchar(25) NULL ,";
            $tblTsk .= "  [Logname] varchar(255) NULL ,";
            $tblTsk .= "  [Logpfad] varchar(255) NULL ,";
            $tblTsk .= "  [Perlpfad] varchar(255) NULL ,";
            $tblTsk .= "  [Mrtgpfad] varchar(255) NULL ,";
            $tblTsk .= "  [Tasktyp] varchar(10) NOT NULL ,";
            $tblTsk .= "  [Intervalday] int NULL ,";
            $tblTsk .= "  [Intervalweek] int NULL ,";
            $tblTsk .= "  [Cfgname] varchar(255) NULL ,";
            $tblTsk .= "  [Cfgpfad] varchar(255) NULL ,";
            $tblTsk .= "  [Prgname] varchar(255) NULL ,";
            $tblTsk .= "  [Prgpfad] varchar(255) NULL ,";
            $tblTsk .= "  [Starttime] varchar(255) NULL ,";
            $tblTsk .= "  [Account] varchar(20) NULL ,";
            $tblTsk .= "  [Pwd] varchar(255) NULL ,";
            $tblTsk .= "  [logact] bit NULL ,";
            $tblTsk .= "  PRIMARY KEY  ([Id])";
            $tblTsk .= ");";

            $tblUsr .= "CREATE TABLE [tuser] (";
            $tblUsr .= "  [ID] int NOT NULL ,";
            $tblUsr .= "  [Name] varchar(255) NOT NULL ,";
            $tblUsr .= "  [Password] varchar(255) NOT NULL ,";
            $tblUsr .= "  [Rights] int NOT NULL ,";
            $tblUsr .= "  PRIMARY KEY ([ID])";
            $tblUsr .= ");";

            $tblIfCfg .= "CREATE TABLE [tz_ifcfg] (";
            $tblIfCfg .= "  [ID] int NOT NULL ,";
            $tblIfCfg .= "  [fkInterfaceID] int NOT NULL ,";
            $tblIfCfg .= "  [fkConfigFileID] int NOT NULL ,";
            $tblIfCfg .= "  PRIMARY KEY ([ID])";
            $tblIfCfg .= ");";

            $tblGC .= "CREATE TABLE [tgloballocation] (";
            $tblGC .= "  [ID] int NOT NULL PRIMARY KEY ,";
            $tblGC .= "  [Name] varchar(50) NOT NULL ,";
            $tblGC .= "  [Description] varchar(100)";
            $tblGC .= ");";

            $tblLC .= "CREATE TABLE [tlocation] (";
            $tblLC .= "  [ID] int NOT NULL PRIMARY KEY ,";
            $tblLC .= "  [Name] varchar(50) NOT NULL ,";
            $tblLC .= "  [Description] varchar(100) NULL ,";
            $tblLC .= "  [fkGlobalLocationID] INT NOT NULL";
            $tblLC .= ");";

            $tblSC .= "CREATE TABLE [tsublocation] (";
            $tblSC .= "  [ID] int NOT NULL PRIMARY KEY ,";
            $tblSC .= "  [Name] varchar(50) NOT NULL ,";
            $tblSC .= "  [Description] varchar(100) NULL ,";
            $tblSC .= "  [fkLocationID] INT NOT NULL";
            $tblSC .= ");";
        }
        else mct_redirect("../src/error.htm");

        $bSucceeded = true;

        //----------------------------------------------
        //--- tCommunity
        //----------------------------------------------
        $qry = new mct_CDbQuery;
        $qry->mct_setQuery($tblCom);
        if( $qry->mct_execute() )
            write_msg("Tabelle <b>tCommunity</b> wurde erfolgreich erstellt!", "blue");
        else
        {
            write_msg("Tabelle <b>tCommunity</b> konnte nicht erstellt werden!", "red");
            $bSucceeded = false;
        }
        $qry->mct_free();


        //----------------------------------------------
        //--- tConfigFile
        //----------------------------------------------
        $qry = new mct_CDbQuery;
        $qry->mct_setQuery($tblCfg);
        if( $qry->mct_execute() )
            write_msg("Tabelle <b>tConfigFile</b> wurde erfolgreich erstellt!", "blue");
        else
        {
            write_msg("Tabelle <b>tConfigFile</b> konnte nicht erstellt werden!", "red");
            $bSucceeded = false;
        }
        $qry->mct_free();


        //----------------------------------------------
        //--- tInterface
        //----------------------------------------------
        $qry = new mct_CDbQuery;
        $qry->mct_setQuery($tblIf);
        if( $qry->mct_execute() )
            write_msg("Tabelle <b>tInterface</b> wurde erfolgreich erstellt!", "blue");
        else
        {
            write_msg("Tabelle <b>tInterface</b> konnte nicht erstellt werden!", "red");
            $bSucceeded = false;
        }
        $qry->mct_free();


        //----------------------------------------------
        //--- tTask
        //----------------------------------------------
        $qry = new mct_CDbQuery;
        $qry->mct_setQuery($tblTsk);
        if( $qry->mct_execute() )
            write_msg("Tabelle <b>tTask</b> wurde erfolgreich erstellt!", "blue");
        else
        {
            write_msg("Tabelle <b>tTask</b> konnte nicht erstellt werden!", "red");
            $bSucceeded = false;
        }
        $qry->mct_free();


        //----------------------------------------------
        //--- tUser
        //----------------------------------------------
        $qry = new mct_CDbQuery;
        $qry->mct_setQuery($tblUsr);
        if( $qry->mct_execute() )
            write_msg("Tabelle <b>tUser</b> wurde erfolgreich erstellt!", "blue");
        else
        {
            write_msg("Tabelle <b>tUser</b> konnte nicht erstellt werden!", "red");
            $bSucceeded = false;
        }
        $qry->mct_free();


        //----------------------------------------------
        //--- tz_ifcfg
        //----------------------------------------------
        $qry = new mct_CDbQuery;
        $qry->mct_setQuery($tblIfCfg);
        if( $qry->mct_execute() )
            write_msg("Tabelle <b>tz_ifcfg</b> wurde erfolgreich erstellt!", "blue");
        else
        {
            write_msg("Tabelle <b>tz_ifcfg</b> konnte nicht erstellt werden!", "red");
            $bSucceeded = false;
        }
        $qry->mct_free();


        //----------------------------------------------
        //--- tGloballocation
        //----------------------------------------------
        $qry = new mct_CDbQuery;
        $qry->mct_setQuery($tblGC);
        if( $qry->mct_execute() )
            write_msg("Tabelle <b>tGloballocation</b> wurde erfolgreich erstellt!", "blue");
        else
        {
            write_msg("Tabelle <b>tGloballocation</b> konnte nicht erstellt werden!", "red");
            $bSucceeded = false;
        }
        $qry->mct_free();


        //----------------------------------------------
        //--- tLocation
        //----------------------------------------------
        $qry = new mct_CDbQuery;
        $qry->mct_setQuery($tblLC);
        if( $qry->mct_execute() )
            write_msg("Tabelle <b>tLocation</b> wurde erfolgreich erstellt!", "blue");
        else
        {
            write_msg("Tabelle <b>tLocation</b> konnte nicht erstellt werden!", "red");
            $bSucceeded = false;
        }
        $qry->mct_free();


        //----------------------------------------------
        //--- tSublocation
        //----------------------------------------------
        $qry = new mct_CDbQuery;
        $qry->mct_setQuery($tblSC);
        if( $qry->mct_execute() )
            write_msg("Tabelle <b>tSublocation</b> wurde erfolgreich erstellt!", "blue");
        else
        {
            write_msg("Tabelle <b>tSublocation</b> konnte nicht erstellt werden!", "red");
            $bSucceeded = false;
        }
        $qry->mct_free();

        // check success
        if( $bSucceeded )
        {
                echo "<a class='dotnet' href='../src/initial_createVal.php?pMode=" . $_POST['frmDB'] . "'>Initialdaten erstellen</a>";
                echo "</body>";
                echo "</html>";
                exit;
        }
        else write_msg("Internal Error on Execute!");
    }
?>


<?php
    $qryView = new mct_CDbQuery;
?>
<form action="initial_createDB.php" method="post">
    <input type="hidden" name="frmPostBack" value="1">

    <table border="0">
        <tr>
            <td>Datenbank</td>
            <td><select name="frmDB">
                <option value="MCTDB" selected>MCT DB</option>
                <option value="MCTTestDB">MCT Test-DB</option>
            </select></td>
        </tr>
        <tr>
            <td valign='top'>Aktuelle Datenbank</td>
            <td>
            <?php
                echo "<b>Modus:</b> " . $qryView->mct_getAccessMode() . "<br>";
                if( $qryView->mct_getAccessMode() == "odbc" )
                {
                    echo "<b>DSN:</b> " . $qryView->mct_getOdbcDsn() . "<br>";
                }
                else
                {
                    echo "<b>Host:</b> " . $qryView->mct_getHost() . "<br>";
                    echo "<b>DB:</b> " . $qryView->mct_getDb() . "<br>";
                }
            ?>
            </td>
        </tr>
    </table>
    <input class='dotnet' type='submit' name='cmdsubmit' value='Generate'>
</form>
<?php
    $qryView->mct_free();
?>

</body>
</html>