<?php
    include_once("../inc/mct_CDebug.class.php");
    include_once("../src/validlogin.inc.php");
    $debug = new mct_CDebug();
?>
<html>
<head>
    <title>Interface &auml;ndern</title>
    <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION["sitestyle"]["mct"]; ?>">
    <?php include_once("../inc/mct_javascr.inc.php"); ?>
</head>
<body>
<script type="text/javascript">
<!--
    function checkEntries()
    {
        var x = '';
        if( document.interface_aendern.frm_ip.value.length        < 1 ) x += '- IP / Hostname -> Angabe erforderlich!\n';
        if( document.interface_aendern.frm_index.value.length     < 1 ) x += '- Index -> Angabe erforderlich!\n';
        if( document.interface_aendern.frm_community.value.length < 1 ) x += '- Community -> Angabe erforderlich!\n';
        if( document.interface_aendern.frm_maxbytes.value.length  < 1 ) x += '- Maxbytes -> Angabe erforderlich!\n';
        if( document.interface_aendern.frm_absmax.value.length    < 1 ) x += '- Absmax -> Angabe erforderlich!\n';
        var nochar = /[^0-9]/;
        if(  nochar.exec(document.interface_aendern.frm_maxbytes.value) ) x += '- Maxbytes -> Muss Ganzzahl sein!\n';
        if(  nochar.exec(document.interface_aendern.frm_absmax.value) ) x += '- Absmax -> Muss Ganzzahl sein!\n';
        if( x != '' )
        {
            alert('Eingabefehler:\n' + x);
            return false;
        }
    }
//-->
</script>
<h5>Interface &auml;ndern</h5>
<hr>
<p>

<?php
    if( isset($_GET['frm_interid']) && intval($_GET['frm_interid']) > -1 ) //Objekt mit gew&auml;hltem Interface erstellen
    {
        $objInterface = new mct_CInterface;
        $objInterface->mct_getfromdb(intval($_GET['frm_interid']));
        $arrTexte = mct_table2arr($objInterface->mct_getPageTop(), $gstrHtmlTable);
?>
<!-- Geladenes Interface anzeigen -->
<form name="interface_aendern" action="interface_action.php?pMode=change" method="POST" onSubmit="return checkEntries()">
    <table border="0">
        <tr valign="top">
            <td>
                <table border="0">
                    <tr>
                        <td><h2>IP / Hostname:</h2></td>
                        <td><input type="hidden"
                            name="frm_id" value="<?php echo $objInterface->mct_getId(); ?>"
                            maxlength="255">
                            <input type="text"
                            name="frm_ip" size="60"
                            value="<?php echo $objInterface->mct_getIpaddr(); ?>"></td>
                        <td><image src="../img/tips.gif"
                            onClick="PopUpWnd('../help/help_ip.htm','Help')"></td>
                    </tr>
                    <tr>
                        <td><h2>Index:</h2></td>
                        <td><input type="text"
                            name="frm_index"
                            size="60"
                            value="<?php echo $objInterface->mct_getIndex(); ?>"
                            maxlength="255"></td>
                        <td><image src="../img/tips.gif"
                            onClick="PopUpWnd('../help/help_index.htm','Help')"></td>
                    </tr>
                    <tr valign="top">
                        <td>&nbsp;</td>
                        <td><input id="Btn_index_suchen"
                            class="button"
                            type="button"
                            value="Index suchen"
                            onClick="PopUpWnd('int_index_suchen.php','Index')"></td>
                        <td><image src="../img/tips.gif"
                            onClick="PopUpWnd('../help/help_int_index_suchen.htm','Help')"></td>
                    </tr>
                    <!-- Community in Select ausgeben -->
                    <?php
                         $objCom = new mct_CDbQuery;
                         $objCom->mct_setQuery("SELECT `ID`,`Name` FROM tcommunity");
                         if( $objCom->mct_execute() == false )
                         {
                             $objCom->objReturn->mct_print();
                             include("error.htm");
                             $debug->mct_dump_it();
                             $debug->mct_load_it();
                             exit;
                         }
                    ?>
                    <tr>
                        <td><h2>Community:</h2></td>
                        <td>
                        <?php
                             echo "<select size='1' name='frm_community'>";
                             for( $i=0; $i < $objCom->mct_getRecordCount(); $i++ )
                              {
                                  echo "<option value='" . $objCom->objRow->ID . "' ";
                                  if( $objCom->objRow->ID == $objInterface->objCommunity->mct_getID() )
                                    echo "selected";
                                  echo ">";
                                  echo ($i+1) . ") " . $objCom->objRow->Name;
                                  echo "</option>";
                                  $objCom->mct_getNext();
                              }
                              echo "</select>";
                              $objCom->mct_free();
                        ?>
                        </td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_community.htm','Help')"></td>

                 <!-- Auswahl Location -->
                 <?php
                    $objLoc = new mct_CDbQuery;
                    $qry = "SELECT gc.ID as gcID, gc.Name as gcName, lc.ID as lcID, lc.Name as lcName, sc.ID as scID, sc.Name as scName"
                        ."    FROM (tgloballocation gc"
                        ."        LEFT JOIN tlocation lc ON lc.fkGlobalLocationID = gc.ID)"
                        ."            LEFT JOIN tsublocation sc ON sc.fkLocationID = lc.ID"
                        ."                 Where lc.ID is not NULL and sc.ID is not NULL"
                        ."    ORDER BY gc.Name, lc.Name, sc.Name";
                    $objLoc->mct_setQuery($qry); //Query auf DB
                    if( $objLoc->mct_execute() == false )
                    {
                        $objLoc->objReturn->mct_print();
                        include("error.htm"); //Bei Fehler
                        $debug->mct_dump_it();
                        $debug->mct_load_it();
                        exit;
                    }
                 ?>
                <tr valign="top">
                    <td><h2>Location-Pfad:</h2></td>
                    <td>
                        <?php
                            echo "<select size='1' name='frm_ScID'>"; //Ausgabe der Locations in Select
                            for( $i=0; $i < $objLoc->mct_getRecordCount(); $i++ )
                            {
                                echo "<option value='" .$objLoc->objRow->scID . "' ";
                                if( isset($_GET['frm_locationpath']) && $_GET['frm_locationpath'] > -1 )
                                {
                                    if($_GET['frm_locationpath'] == $objLoc->objRow->scID  )
                                        echo "selected";
                                }
                                echo ">";
                                echo $objLoc->objRow->gcName." - ".$objLoc->objRow->lcName." - ".$objLoc->objRow->scName;
                                echo "</option>";
                                $objLoc->mct_getNext();
                            }
                            echo "</select>";
                            $objLoc->mct_free();
                        ?>
                        <!-- Ende Select Location Pfad -->
                        </td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_locationpath.htm','Help')"></td>
                    </tr>
                    <tr><td colspan="3"><hr></td></tr>
                    <!-- Ausgabe Texte -->
                    <tr>
                        <td><h4>Text 1 Bez.:</h4></td>
                        <td><input type="text" name="frm_text1bez" size="60" value="<?php echo $arrTexte[0][0]; ?>" maxlength="255"></td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_text_textb.htm','Help')"></td>
                    </tr>
                    <tr>
                        <td><h4>Text 1:</h4></td>
                        <td><input type="text" name="frm_text1" size="60" value="<?php echo $arrTexte[0][1]; ?>" maxlength="255"></td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_text_textb.htm','Help')"></td>
                    </tr>
                    <tr>
                        <td><h4>Text 2 Bez.:</h4></td>
                        <td><input type="text" name="frm_text2bez" size="60" value="<?php echo $arrTexte[1][0]; ?>" maxlength="255"></td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_text_textb.htm','Help')"></td>
                    </tr>
                    <tr>
                        <td><h4>Text 2:</h4></td>
                        <td><input type="text" name="frm_text2" size="60" value="<?php echo $arrTexte[1][1]; ?>" maxlength="255"></td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_text_textb.htm','Help')"></td>
                    </tr>
                    <tr>
                        <td><h4>Text 3 Bez.:</h4></td>
                        <td><input type="text" name="frm_text3bez" size="60" value="<?php echo $arrTexte[2][0]; ?>" maxlength="255"></td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_text_textb.htm','Help')"></td>
                    </tr>
                    <tr>
                        <td><h4>Text 3:</h4></td>
                        <td><input type="text" name="frm_text3" size="60" value="<?php echo $arrTexte[2][1]; ?>" maxlength="255"></td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_text_textb.htm','Help')"></td>
                    </tr>
                    <tr>
                        <td><h4>Text 4 Bez.:</h4></td>
                        <td><input type="text" name="frm_text4bez" size="60" value="<?php echo $arrTexte[3][0]; ?>" maxlength="255"></td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_text_textb.htm','Help')"></td>
                    </tr>
                    <tr>
                        <td><h4>Text 4:</h4></td>
                        <td><input type="text" name="frm_text4" size="60" value="<?php echo $arrTexte[3][1]; ?>" maxlength="255"></td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_text_textb.htm','Help')"></td>
                    </tr>
                    <!-- Ausgabe Werte -->
                    <tr>
                        <td><h2>MaxBytes:</h2></td>
                        <td><input type="text" name="frm_maxbytes" size="60" value="<?php echo $objInterface->mct_getMaxBytes(); ?>" maxlength="10"></td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_maxbytes.htm','Help')"></td>
                    </tr>
                    <tr>
                        <td><h2>Title:</h2></td>
                        <td><input type="text" name="frm_title" size="60" value="<?php echo $objInterface->mct_getTitle(); ?>" maxlength="255"></td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_title.htm','Help')"></td>
                    </tr>
                    <tr valign="top">
                        <td><h4>PageTop:</h4></td>
                        <!-- Pagetop zusammensetzen -->
                        <td>
                            <textarea cols="59" rows="3" name="frm_pagetop"><?php
                                $ipos = strpos($objInterface->mct_getPageTop(), $gstrHtmlTable);
                                echo substr($objInterface->mct_getPageTop(), 0, $ipos);
                            ?></textarea>
                        </td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_pagetop.htm','Help')"></td>
                    </tr>
                    <tr>
                        <td><h4>AbsMax:</h4></td>
                        <td><input type="text" name="frm_absmax" size="60" value="<?php echo $objInterface->mct_getAbsMax(); ?>" maxlength="10"></td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_absmax.htm','Help')"></td>
                    </tr>
                    <tr valign="top">
                        <td><h4>AddHead:</h4></td>
                        <td><textarea cols="59" rows="3" name="frm_addhead"><?php echo $objInterface->mct_getAddHead(); ?></textarea></td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_addhead.htm','Help')"></td>
                    </tr>
                    <tr>
                        <td><h4>Directory:</h4></td>
                        <td><input type="text" name="frm_directory" size="60" value="<?php echo $objInterface->mct_getDirectory(); ?>" maxlength="255"></td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_directory.htm','Help')"></td>
                    </tr>
                    <tr>
                        <td colspan="3"><hr></td>
                    </tr>
            </table>
            <?php
                $commExt = $objInterface->mct_getCommExt();
                $arrCommExt = explode(":", $commExt);
            ?>
            <table border="0" cellspacing="0" cellpadding="3">
                <tr valign="top">
                    <td width="130"><h4>CommExt:</h4></td>
                    <td width="52"><b>Port</b></td>
                    <td width="66"><b>Timeout</b></td>
                    <td width="54"><b>Retries</b></td>
                    <td width="58"><b>Backoff</b></td>
                    <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_commext.htm','Help')"></td>
                </tr>
                <tr valign="top">
                    <td>&nbsp;</td>
                    <td><input type="text" name="frm_cePort" value="<?php if($arrCommExt[0] == "")echo "161"; else echo $arrCommExt[0]; ?>" size="4" maxlength="4"></td>
                    <td><select name="frm_ceTimeout" size="1">
                      <option value="1" <?php if($arrCommExt[1] <= 1) echo "selected"; ?>>1</option>
                      <option value="2" <?php if($arrCommExt[1] > 1 and $arrCommExt[1] <= 2) echo "selected"; ?>>2</option>
                      <option value="3" <?php if($arrCommExt[1] > 2 and $arrCommExt[1] <= 3) echo "selected"; ?>>3</option>
                      <option value="4" <?php if($arrCommExt[1] > 3 and $arrCommExt[1] <= 4) echo "selected"; ?>>4</option>
                      <option value="5" <?php if($arrCommExt[1] > 4 and $arrCommExt[1] <= 5) echo "selected"; ?>>5</option>
                      <option value="6" <?php if($arrCommExt[1] > 5 and $arrCommExt[1] <= 6) echo "selected"; ?>>6</option>
                      <option value="7" <?php if($arrCommExt[1] > 6 and $arrCommExt[1] <= 7) echo "selected"; ?>>7</option>
                      <option value="8" <?php if($arrCommExt[1] > 7 and $arrCommExt[1] <= 8) echo "selected"; ?>>8</option>
                      <option value="9" <?php if($arrCommExt[1] > 8 and $arrCommExt[1] <= 9) echo "selected"; ?>>9</option>
                      <option value="10" <?php if($arrCommExt[1] > 9 and $arrCommExt[1] <= 10) echo "selected"; ?>>10</option>
                      <option value="11" <?php if($arrCommExt[1] > 10 and $arrCommExt[1] <= 11) echo "selected"; ?>>11</option>
                      <option value="12" <?php if($arrCommExt[1] > 11 and $arrCommExt[1] <= 12) echo "selected"; ?>>12</option>
                      <option value="13" <?php if($arrCommExt[1] > 12 and $arrCommExt[1] <= 13) echo "selected"; ?>>13</option>
                      <option value="14" <?php if($arrCommExt[1] > 13 and $arrCommExt[1] <= 14) echo "selected"; ?>>14</option>
                      <option value="15" <?php if($arrCommExt[1] > 14 and $arrCommExt[1] <= 15) echo "selected"; ?>>15</option>
                      <option value="16" <?php if($arrCommExt[1] > 15 and $arrCommExt[1] <= 16) echo "selected"; ?>>16</option>
                      <option value="17" <?php if($arrCommExt[1] > 16 and $arrCommExt[1] <= 17) echo "selected"; ?>>17</option>
                      <option value="18" <?php if($arrCommExt[1] > 17 and $arrCommExt[1] <= 18) echo "selected"; ?>>18</option>
                      <option value="19" <?php if($arrCommExt[1] > 18 and $arrCommExt[1] <= 19) echo "selected"; ?>>19</option>
                      <option value="20" <?php if($arrCommExt[1] >= 19) echo "selected"; ?>>20</option></select>
                    </td>
                    <td><select name="frm_ceRetries" size="1">
                      <option value="1" <?php if($arrCommExt[2] <= 1) echo "selected"; ?>>1</option>
                      <option value="2" <?php if($arrCommExt[2] > 1 and $arrCommExt[2] <= 2) echo "selected"; ?>>2</option>
                      <option value="3" <?php if($arrCommExt[2] > 2 and $arrCommExt[2] <= 3) echo "selected"; ?>>3</option>
                      <option value="4" <?php if($arrCommExt[2] > 3 and $arrCommExt[2] <= 4) echo "selected"; ?>>4</option>
                      <option value="5" <?php if($arrCommExt[2] > 4 and $arrCommExt[2] <= 5) echo "selected"; ?>>5</option>
                      <option value="6" <?php if($arrCommExt[2] > 5 and $arrCommExt[2] <= 6) echo "selected"; ?>>6</option>
                      <option value="7" <?php if($arrCommExt[2] > 6 and $arrCommExt[2] <= 7) echo "selected"; ?>>7</option>
                      <option value="8" <?php if($arrCommExt[2] > 7 and $arrCommExt[2] <= 8) echo "selected"; ?>>8</option>
                      <option value="9" <?php if($arrCommExt[2] > 8 and $arrCommExt[2] <= 9) echo "selected"; ?>>9</option>
                      <option value="10" <?php if($arrCommExt[2] >= 10) echo "selected"; ?>>10</option></select>
                    </td>
                    <td><select name="frm_ceBackoff" size="1">
                      <option value="1" <?php if($arrCommExt[3] <= 1) echo "selected"; ?>>1</option>
                      <option value="2" <?php if($arrCommExt[3] > 1 and $arrCommExt[3] <= 2) echo "selected"; ?>>2</option>
                      <option value="3" <?php if($arrCommExt[3] > 2 and $arrCommExt[3] <= 3) echo "selected"; ?>>3</option>
                      <option value="4" <?php if($arrCommExt[3] > 3 and $arrCommExt[3] <= 4) echo "selected"; ?>>4</option>
                      <option value="5" <?php if($arrCommExt[3] > 4 and $arrCommExt[3] <= 5) echo "selected"; ?>>5</option>
                      <option value="6" <?php if($arrCommExt[3] > 5 and $arrCommExt[3] <= 6) echo "selected"; ?>>6</option>
                      <option value="7" <?php if($arrCommExt[3] > 6 and $arrCommExt[3] <= 7) echo "selected"; ?>>7</option>
                      <option value="8" <?php if($arrCommExt[3] > 7 and $arrCommExt[3] <= 8) echo "selected"; ?>>8</option>
                      <option value="9" <?php if($arrCommExt[3] > 8 and $arrCommExt[3] <= 9) echo "selected"; ?>>9</option>
                      <option value="10" <?php if($arrCommExt[3] >= 9) echo "selected"; ?>>10</option></select>
                    </td>
                    <td>&nbsp;</td>
                </tr>
                </tr>
                    <tr><td colspan="6"><hr></td>
                </tr>
            </table>
            <table>
                    <tr valign="top">
                        <td width="98"><h4>Unscaled:</h4></td>
                        <td><b>Jahr&nbsp;</b><input type="checkbox" name="frm_unscaledy" value="y"
                            <?php if( strpos($objInterface->mct_getUnscaled(), "y") !== false ){echo "checked";}?>>&nbsp;
                            <b>Monat&nbsp;</b><input type="checkbox" name="frm_unscaledm" value="m"
                            <?php if( strpos($objInterface->mct_getUnscaled(), "m") !== false ){echo "checked";}?>>&nbsp;
                            <b>Woche&nbsp;</b><input type="checkbox" name="frm_unscaledw" value="w"
                            <?php if( strpos($objInterface->mct_getUnscaled(), "w") !== false ){echo "checked";}?>>&nbsp;
                            <b>Tag&nbsp;</b><input type="checkbox" name="frm_unscaledd" value="d"
                            <?php if( strpos($objInterface->mct_getUnscaled(), "d") !== false ){echo "checked";}?>>&nbsp;</td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_unscaled.htm','Help')"></td>
                    </tr>
                    <tr valign="top">
                        <td><h4>Suppress:</h4></td>
                        <td><b>Jahr&nbsp;</b><input type="checkbox" name="frm_suppressy" value="y"
                            <?php if( strpos($objInterface->mct_getSuppress(), "y") !== false ){echo "checked";}?>>&nbsp;
                            <b>Monat&nbsp;</b><input type="checkbox" name="frm_suppressm" value="m"
                            <?php if( strpos($objInterface->mct_getSuppress(), "m") !== false ){echo "checked";}?>>&nbsp;
                            <b>Woche&nbsp;</b><input type="checkbox" name="frm_suppressw" value="w"
                            <?php if( strpos($objInterface->mct_getSuppress(), "w") !== false ){echo "checked";}?>>&nbsp;
                            <b>Tag&nbsp;</b><input type="checkbox" name="frm_suppressd" value="d"
                            <?php if( strpos($objInterface->mct_getSuppress(), "d") !== false ){echo "checked";}?>>&nbsp;</td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_suppress.htm','Help')"></td>
                    </tr>
                    <tr valign="top">
                        <td><h4>WithPeak:</h4></td>
                        <td><b>Jahr&nbsp;</b><input type="checkbox" name="frm_withpeaky" value="y"
                            <?php if( strpos($objInterface->mct_getWithPeak(), "y") !== false ){echo "checked";}?>>&nbsp;
                            <b>Monat&nbsp;</b><input type="checkbox" name="frm_withpeakm" value="m"
                            <?php if( strpos($objInterface->mct_getWithPeak(), "m") !== false ){echo "checked";}?>>&nbsp;
                            <b>Woche&nbsp;</b><input type="checkbox" name="frm_withpeakw" value="w"
                            <?php if( strpos($objInterface->mct_getWithPeak(), "w") !== false ){echo "checked";}?>>&nbsp;
                            <b>Tag&nbsp;</b><input type="checkbox" name="frm_withpeakd" value="d"
                            <?php if( strpos($objInterface->mct_getWithPeak(), "d") !== false ){echo "checked";}?>>&nbsp;</td>
                        <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_withpeak.htm','Help')"></td>
                    </tr>
                    <tr>
                        <td colspan="3"><hr></td>
                    </tr>
                </table>
                <!-- Interface Zuordnungen Anzeigen -->
            <td valign="top">
                <table  border="1" cellspacing="0" cellpadding="3">
                    <tr>
                        <td><h4>Zuordnung</h4></td>
                        <td><h4>&nbsp;</h4></td>
                    </tr>
                    <?php
                         $objDB = new mct_CDbQuery; //Neues Objekt f&uuml;r Config-Files
                         $objDB->mct_setQuery("SELECT `ID`,`Name` FROM tconfigfile");
                         if( $objDB->mct_execute() )
                         {
                             for( $i=0; $i < $objDB->mct_getRecordCount(); $i++ )
                              {
                                  echo "<tr>";
                                  echo "<td>" . $objDB->objRow->Name . "</td>"; //CFG-Namen in Tabelle ausgeben
                                  echo "<td><input type='checkbox' name='frm_cfg" . ($i+1) . "' value='" . $objDB->objRow->ID . "'";
                                  if( in_array($objDB->objRow->ID, $objInterface->arrConfigFiles) )
                                      echo " checked"; //F&uuml;r alle CFGs, denen das Interface zugeordnet ist
                                  echo "></td>";
                                  echo "</tr>";
                                  $objDB->mct_getNext(); //N&auml;chstes CFG anzeigen
                              }
                         }
                         else $objDB->objReturn->mct_print();
                         echo "<input type='hidden' name='frm_cfgcount' value='" . $objDB->mct_getRecordCount() . "'>";
                         $objDB->mct_free(); //Objekt leeren
                    ?>
                </table>
            </td>
    </table>
    <table border="1" cellspacing="0" cellpadding="3">
        <tr valign="top">
          <td><h4>XSize:</h4></td>
          <td><select name="frm_xsize" size="1">
                          <option value="50" <?php if($objInterface->mct_getXSize() <= 50) echo "selected"; ?> >50</option>
                          <option value="100" <?php if($objInterface->mct_getXSize() == 100) echo "selected"; ?> >100</option>
                          <option value="150" <?php if($objInterface->mct_getXSize() == 150) echo "selected"; ?> >150</option>
                          <option value="200" <?php if($objInterface->mct_getXSize() == 200) echo "selected"; ?> >200</option>
                          <option value="250" <?php if($objInterface->mct_getXSize() == 250) echo "selected"; ?> >250</option>
                          <option value="300" <?php if($objInterface->mct_getXSize() == 300) echo "selected"; ?> >300</option>
                          <option value="350" <?php if($objInterface->mct_getXSize() == 350) echo "selected"; ?> >350</option>
                          <option value="400" <?php if($objInterface->mct_getXSize() == 400) echo "selected"; ?> >400</option>
                          <option value="450" <?php if($objInterface->mct_getXSize() == 450) echo "selected"; ?> >450</option>
                          <option value="500" <?php if($objInterface->mct_getXSize() == 500) echo "selected"; ?> >500</option>
                          <option value="550" <?php if($objInterface->mct_getXSize() == 550) echo "selected"; ?> >550</option>
                          <option value="600" <?php if($objInterface->mct_getXSize() >= 600) echo "selected"; ?> >600</option>
               </select></td>
          <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_xsize.htm','Help')">&nbsp;</td>
          <td><h4>XScale:</h4></td>
          <td><select name="frm_xscale" size="1">
                          <option value="1.0" <?php if($objInterface->mct_getXScale() <= 1.0) echo "selected"; ?> >1.0</option>
                          <option value="1.1" <?php if($objInterface->mct_getXScale() == 1.1) echo "selected"; ?> >1.1</option>
                          <option value="1.2" <?php if($objInterface->mct_getXScale() == 1.2) echo "selected"; ?> >1.2</option>
                          <option value="1.3" <?php if($objInterface->mct_getXScale() == 1.3) echo "selected"; ?> >1.3</option>
                          <option value="1.4" <?php if($objInterface->mct_getXScale() == 1.4) echo "selected"; ?> >1.4</option>
                          <option value="1.5" <?php if($objInterface->mct_getXScale() == 1.5) echo "selected"; ?> >1.5</option>
                          <option value="1.6" <?php if($objInterface->mct_getXScale() == 1.6) echo "selected"; ?> >1.6</option>
                          <option value="1.7" <?php if($objInterface->mct_getXScale() == 1.7) echo "selected"; ?> >1.7</option>
                          <option value="1.8" <?php if($objInterface->mct_getXScale() == 1.8) echo "selected"; ?> >1.8</option>
                          <option value="1.9" <?php if($objInterface->mct_getXScale() == 1.9) echo "selected"; ?> >1.9</option>
                          <option value="2.0" <?php if($objInterface->mct_getXScale() >= 2.0) echo "selected"; ?> >2.0</option>
               </select></td>
          <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_xscale.htm','Help')">&nbsp;</td>
          <td><h4>XZoom:</h4></td>
          <td><select name="frm_xzoom" size="1">
                          <option value="1.0" <?php if($objInterface->mct_getXZoom() <= 1.0) echo "selected"; ?> >1.0</option>
                          <option value="1.1" <?php if($objInterface->mct_getXZoom() == 1.1) echo "selected"; ?> >1.1</option>
                          <option value="1.2" <?php if($objInterface->mct_getXZoom() == 1.2) echo "selected"; ?> >1.2</option>
                          <option value="1.3" <?php if($objInterface->mct_getXZoom() == 1.3) echo "selected"; ?> >1.3</option>
                          <option value="1.4" <?php if($objInterface->mct_getXZoom() == 1.4) echo "selected"; ?> >1.4</option>
                          <option value="1.5" <?php if($objInterface->mct_getXZoom() == 1.5) echo "selected"; ?> >1.5</option>
                          <option value="1.6" <?php if($objInterface->mct_getXZoom() == 1.6) echo "selected"; ?> >1.6</option>
                          <option value="1.7" <?php if($objInterface->mct_getXZoom() == 1.7) echo "selected"; ?> >1.7</option>
                          <option value="1.8" <?php if($objInterface->mct_getXZoom() == 1.8) echo "selected"; ?> >1.8</option>
                          <option value="1.9" <?php if($objInterface->mct_getXZoom() == 1.9) echo "selected"; ?> >1.9</option>
                          <option value="2.0" <?php if($objInterface->mct_getXZoom() >= 2.0) echo "selected"; ?> >2.0</option>
               </select></td>
          <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_xzoom.htm','Help')">&nbsp;</td>
        </tr>
        <tr valign="top">
          <td><h4>YSize:</h4></td>
          <td><select name="frm_ysize" size="1">
                          <option value="20" <?php if($objInterface->mct_getYSize() <= 20) echo "selected"; ?> >20</option>
                          <option value="40" <?php if($objInterface->mct_getYSize() == 40) echo "selected"; ?> >40</option>
                          <option value="60" <?php if($objInterface->mct_getYSize() == 60) echo "selected"; ?> >60</option>
                          <option value="80" <?php if($objInterface->mct_getYSize() == 80) echo "selected"; ?> >80</option>
                          <option value="100" <?php if($objInterface->mct_getYSize() == 100) echo "selected"; ?> >100</option>
                          <option value="120" <?php if($objInterface->mct_getYSize() == 120) echo "selected"; ?> >120</option>
                          <option value="140" <?php if($objInterface->mct_getYSize() == 140) echo "selected"; ?> >140</option>
                          <option value="160" <?php if($objInterface->mct_getYSize() == 160) echo "selected"; ?> >160</option>
                          <option value="180" <?php if($objInterface->mct_getYSize() == 180) echo "selected"; ?> >180</option>
                          <option value="200" <?php if($objInterface->mct_getYSize() == 200) echo "selected"; ?> >200</option>
                          <option value="220" <?php if($objInterface->mct_getYSize() == 220) echo "selected"; ?> >220</option>
                          <option value="240" <?php if($objInterface->mct_getYSize() >= 240) echo "selected"; ?> >240</option>
               </select></td>
          <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_ysize.htm','Help')">&nbsp;</td>
          <td><h4>YScale:</h4></td>
          <td><select name="frm_yscale" size="1">
                          <option value="1.0" <?php if($objInterface->mct_getYScale() <= 1.0) echo "selected"; ?> >1.0</option>
                          <option value="1.1" <?php if($objInterface->mct_getYScale() == 1.1) echo "selected"; ?> >1.1</option>
                          <option value="1.2" <?php if($objInterface->mct_getYScale() == 1.2) echo "selected"; ?> >1.2</option>
                          <option value="1.3" <?php if($objInterface->mct_getYScale() == 1.3) echo "selected"; ?> >1.3</option>
                          <option value="1.4" <?php if($objInterface->mct_getYScale() == 1.4) echo "selected"; ?> >1.4</option>
                          <option value="1.5" <?php if($objInterface->mct_getYScale() == 1.5) echo "selected"; ?> >1.5</option>
                          <option value="1.6" <?php if($objInterface->mct_getYScale() == 1.6) echo "selected"; ?> >1.6</option>
                          <option value="1.7" <?php if($objInterface->mct_getYScale() == 1.7) echo "selected"; ?> >1.7</option>
                          <option value="1.8" <?php if($objInterface->mct_getYScale() == 1.8) echo "selected"; ?> >1.8</option>
                          <option value="1.9" <?php if($objInterface->mct_getYScale() == 1.9) echo "selected"; ?> >1.9</option>
                          <option value="2.0" <?php if($objInterface->mct_getYScale() >= 2.0) echo "selected"; ?> >2.0</option>
               </select></td>
          <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_yscale.htm','Help')">&nbsp;</td>
          <td><h4>YZoom:</h4></td>
          <td><select name="frm_yzoom" size="1">
                          <option value="1.0" <?php if($objInterface->mct_getYZoom() <= 1.0) echo "selected"; ?> >1.0</option>
                          <option value="1.1" <?php if($objInterface->mct_getYZoom() == 1.1) echo "selected"; ?> >1.1</option>
                          <option value="1.2" <?php if($objInterface->mct_getYZoom() == 1.2) echo "selected"; ?> >1.2</option>
                          <option value="1.3" <?php if($objInterface->mct_getYZoom() == 1.3) echo "selected"; ?> >1.3</option>
                          <option value="1.4" <?php if($objInterface->mct_getYZoom() == 1.4) echo "selected"; ?> >1.4</option>
                          <option value="1.5" <?php if($objInterface->mct_getYZoom() == 1.5) echo "selected"; ?> >1.5</option>
                          <option value="1.6" <?php if($objInterface->mct_getYZoom() == 1.6) echo "selected"; ?> >1.6</option>
                          <option value="1.7" <?php if($objInterface->mct_getYZoom() == 1.7) echo "selected"; ?> >1.7</option>
                          <option value="1.8" <?php if($objInterface->mct_getYZoom() == 1.8) echo "selected"; ?> >1.8</option>
                          <option value="1.9" <?php if($objInterface->mct_getYZoom() == 1.9) echo "selected"; ?> >1.9</option>
                          <option value="2.0" <?php if($objInterface->mct_getYZoom() >= 2.0) echo "selected"; ?> >2.0</option>
               </select></td>
          <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_yzoom.htm','Help')">&nbsp;</td>
        </tr>
    </table>
    <p>
    <!-- Options laden -->
    <table border="0">
        <tr>
            <td><h4>Options:</h4></td>
            <td>&nbsp;</td>
            <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_options.htm','Help')"></td>
        </tr>
    </table><p>
    <!-- Ausgabe der Options -->
    <?php
        $objInterface->mct_getOptions();     //= optionen vom interface holen
        $arr = explode(",", $objInterface->mct_getOptions());
    ?>
     <table border="1" cellspacing="0" cellpadding="3">
        <tr>
            <td><h4>growright:&nbsp;</h4></td>
            <td><input type="checkbox" name="frm_growright" value="growright"<?php if( array_key_exists(0,$arr) && strlen($arr[0]) > 0 ) echo "checked";?>></td>
            <td><h4>bits:&nbsp;</h4></td>
            <td><input type="checkbox" name="frm_bits" value="bits"<?php if( array_key_exists(1,$arr) && strlen($arr[1]) > 0 ) echo "checked";?>></td>
            <td><h4>noinfo:&nbsp;</h4></td>
            <td><input type="checkbox" name="frm_noinfo" value="noinfo"<?php if( array_key_exists(2,$arr) && strlen($arr[2]) > 0 ) echo "checked";?>></td>
        </tr>
        <tr>
            <td><h4>nopercent:&nbsp;</h4></td>
            <td><input type="checkbox" name="frm_nopercent" value="nopercent"<?php if( array_key_exists(3,$arr) && strlen($arr[3]) > 0 ) echo "checked";?>></td>
            <td><h4>gauge:&nbsp;</h4></td>
            <td><input type="checkbox" name="frm_gauge" value="gauge"<?php if( array_key_exists(4,$arr) && strlen($arr[4]) > 0 ) echo "checked";?>></td>
            <td><h4>absolute:&nbsp;</h4></td>
            <td><input type="checkbox" name="frm_absolute" value="absolute"<?php if( array_key_exists(5,$arr) && strlen($arr[5]) > 0 ) echo "checked";?>></td>
        </tr>
    </table>
    <p>
    <!-- Ende Options laden -->
    <input class="button" type="submit" name="submit" value="Jetzt &auml;ndern">
</form>
<?php
        //$objInterface->mct_free();
    }    //if
?>
</body>
</html>
<?php
    $debug->mct_dump_it();
    $debug->mct_load_it();
?>
