<?php
    include_once("../inc/mct_CDebug.class.php");
    include_once("../src/validlogin.inc.php");
    $debug = new mct_CDebug();
?>

<html>
  <head>
    <title>Startseite</title>
    <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION["sitestyle"]["mct"]; ?>">
    <?php include_once("../inc/mct_javascr.inc.php"); ?>
  </head>
<body>
<h5>MCT Index</h5>
<a class="dotnet" href="javascript:location.reload();">Reload</a>
<hr>

<?php
    $qry  = "SELECT it.Name, it.Ipaddr, it.Index, it.Directory, cf.Name as CFName, cf.WorkDir, gc.Name as GCName, lc.Name as LCName, sc.Name as SCName";
    $qry .= "    FROM ((((tInterface it";
    $qry .= "        INNER JOIN tz_ifcfg tz on tz.fkInterfaceID = it.id)";
    $qry .= "        INNER JOIN tConfigFile cf on cf.id = tz.fkConfigFileID)";
    $qry .= "        INNER JOIN tSubLocation sc on sc.id = it.fkSubLocationID)";
    $qry .= "        INNER JOIN tLocation lc on lc.id = sc.fkLocationID)";
    $qry .= "        INNER JOIN tGlobalLocation gc on gc.id = lc.fkGlobalLocationID";
    $qry .= "    WHERE it.GlobalIf = 0";
    $qry .= "    ORDER BY gc.Name, lc.Name, sc.Name, it.Ipaddr, it.Index";

    $DbLst = new mct_CDbQuery();
    $DbLst->mct_setQuery($qry);
    if( $DbLst->mct_execute() ) // Wenn Ausfuehrung des Querys OK dann...
    {
        $bHasRecords = false;
        if( $DbLst->mct_getRecordCount() > 0 ) // Wenn ein Interface gefunen wurde
        {
            echo "<table border='1'cellspacing='0' cellpadding='3'>"; // Ausgabe Tabellenkopf
            echo "<tr>";
            echo "  <td class=level0><h4>Globallocation</h4></td>";
            echo "  <td class=level0><h4>Location</h4></td>";
            echo "  <td class=level0><h4>Sublocation</h4></td>";
            echo "  <td class=level0><h4>Interfaces (MRTG)</h4></td>";
            echo "  <td class=level0><h4>Index</h4></td>";
            echo "  <td class=level0><h4>CFG</h4></td>";
            echo "</tr>";
            do
            {
                $memGCName = $DbLst->objRow->GCName; // Ausgabe Name Globallocation, merke Globalloc-Name
                echo "<tr><td class=level1><h4>" . $DbLst->objRow->GCName . "</h4></td>";
                echo "  <td class=level1>&nbsp;</td>";
                echo "  <td class=level1>&nbsp;</td>";
                echo "  <td class=level1>&nbsp;</td>";
                echo "  <td class=level1>&nbsp;</td>";
                echo "  <td class=level1>&nbsp;</td>";
                echo "</tr>";
                do
                {
                    if( $memGCName != $DbLst->objRow->GCName ) break;
                    $memLCName = $DbLst->objRow->LCName; // Ausgabe Name Location, merke Loc-Name
                    echo "<tr><td class=level2>&nbsp;</td>";
                    echo "  <td class=level2><b>" . $DbLst->objRow->LCName . "</b></td>";
                    echo "  <td class=level2>&nbsp;</td>";
                    echo "  <td class=level2>&nbsp;</td>";
                    echo "  <td class=level2>&nbsp;</td>";
                    echo "  <td class=level2>&nbsp;</td>";
                    echo "</tr>";
                    do
                    {
                        if( $memLCName != $DbLst->objRow->LCName ) break;
                        $memSCName = $DbLst->objRow->SCName; // Ausgabe Name Sublocation, Merke Subloc-Name
                        echo "<tr><td class=level3>&nbsp;</td>";
                        echo "  <td class=level3>&nbsp;</td>";
                        echo "  <td class=level3><b>" . $DbLst->objRow->SCName . "</b></td>";
                        echo "  <td class=level3>&nbsp;</td>";
                        echo "  <td class=level3>&nbsp;</td>";
                        echo "  <td class=level3>&nbsp;</td>";
                        echo "</tr>";
                        do
                        {
                            if( $memSCName != $DbLst->objRow->SCName) break;
                            // Get Directory
                            $dir = $gArrMctIni["General"]["WWWRoot"] . $DbLst->objRow->WorkDir . $DbLst->objRow->Directory;
                            if( $DbLst->objRow->Directory != "" ) $dir .= "/";

                            $search = $DbLst->objRow->Ipaddr . "." . $DbLst->objRow->Index . ".html";

                            // Scan Directory
                            if( $res = @opendir($dir) )
                            {
                                $bfound = false;
                                $file = readdir($res);  // Pre-Read
                                while( strlen($file) > 0 )
                                {
                                    if( $file == $search )
                                    {
                                        $bfound = true;
                                        $fwd = "";
                                        if( $DbLst->objRow->Directory != "" ) $fwd = "/";

                                        echo "<tr>";
                                        echo "  <td class=level3>&nbsp;</td>";
                                        echo "  <td class=level3>&nbsp;</td>";
                                        echo "  <td class=level3>&nbsp;</td>";
                                        echo "  <td class=level3><a href='//". $gArrMctIni["General"]["WWWServer"]. $DbLst->objRow->WorkDir . $DbLst->objRow->Directory . $fwd . $search . "'>" . $DbLst->objRow->Ipaddr . "</a></td>";
                                        echo "  <td class=level3><b>";
                                        if (strlen($DbLst->objRow->Index) > 16)
                                            $strInterIndexCut = substr($DbLst->objRow->Index, 0, 16)."...";
                                        else $strInterIndexCut = $DbLst->objRow->Index;
                                        echo $strInterIndexCut."</b><img src='../img/fz.gif' hight='16' width='16' alt='".$DbLst->objRow->Index."'></td>";
                                        echo "<td class=level3><b>".$DbLst->objRow->CFName."</b></td>";
                                        echo "</tr>";
                                        break;
                                    }
                                    $file = readdir($res);
                                }
                                if( ! $bfound )
                                {
                                    echo "<tr>";
                                    echo "  <td class=level3>&nbsp;</td>";
                                    echo "  <td class=level3>&nbsp;</td>";
                                    echo "  <td class=level3>&nbsp;</td>";
                                    echo "  <td class=level3><font color='yellow'>" . $DbLst->objRow->Ipaddr . " (MRTG-Data not found!)</font></td>";
                                    echo "  <td class=level3><b>";
                                    if (strlen($DbLst->objRow->Index) > 16)
                                        $strInterIndexCut = substr($DbLst->objRow->Index, 0, 16)."...";
                                    else $strInterIndexCut = $DbLst->objRow->Index;
                                    echo $strInterIndexCut."</b><img src='../img/fz.gif' hight='16' width='16' alt='".$DbLst->objRow->Index."'></td>";
                                    echo "<td class=level3><b>".$DbLst->objRow->CFName."</b></td>";
                                    echo "</tr>";
                                }
                                closedir($res);
                            }
                            else
                            {
                                echo "<tr>";
                                echo "  <td class=level3>&nbsp;</td>";
                                echo "  <td class=level3>&nbsp;</td>";
                                echo "  <td class=level3>&nbsp;</td>";
                                echo "  <td class=level3><font color='yellow'>" . $DbLst->objRow->Ipaddr . " (Directory not found!)</font></td>";
                                echo "  <td class=level3><b>";
                                if (strlen($DbLst->objRow->Index) > 16)
                                    $strInterIndexCut = substr($DbLst->objRow->Index, 0, 16)."...";
                                else $strInterIndexCut = $DbLst->objRow->Index;
                                echo $strInterIndexCut."</b><img src='../img/fz.gif' hight='16' width='16' alt='".$DbLst->objRow->Index."'></td>";
                                echo "<td class=level3><b>".$DbLst->objRow->CFName."</b></td>";
                                echo "</tr>";
                                if( defined("_DEBUG_MODE_") && isset($debug) )
                                    $debug->mct_add_warning("MCT Index: Directory '<b>" . $dir . "</b>' could not be opend for scanning!", __FILE__, __LINE__);
                            }
                            // GET NEXT RECORD and Save State to bHasRecords
                            $bHasRecords = $DbLst->mct_getNext();

                            if( $memLCName != $DbLst->objRow->LCName) break;
                            if( $memGCName != $DbLst->objRow->GCName) break;
                        } while( $bHasRecords );
                        if( $memGCName != $DbLst->objRow->GCName) break;
                    } while( $bHasRecords );

                } while( $bHasRecords );
            } while( $bHasRecords );
            echo "</table>";
        }
    }
    else $DbLst->objReturn->mct_print();
    $DbLst->mct_free();
?>
</body>
</html>
<?php
    $debug->mct_dump_it();
    $debug->mct_load_it();
?>
