<?php
    include_once("../inc/mct_CDebug.class.php");
    include_once("../src/validlogin.inc.php");
    $debug = new mct_CDebug();
?>
<html>
<head>
    <title>MCT &Uuml;bersicht</title>
    <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION["sitestyle"]["mct"]; ?>">
    <?php include_once("../inc/mct_javascr.inc.php"); ?>
</head>
<body>
<h5>MCT &Uuml;bersicht</h5>
<hr>
<p>
<h4>&Uuml;bersicht w&auml;hlen</h4>
<br>
<table>
    <tr>
        <!-- &Uuml;bersicht Configfiles mit zugeordeten Interfaces -->
        <td>
            <a class="dotnet" href="overview_all.php?type=cfgint">CFG - IF</a>
        </td>
        <!-- &Uuml;bersicht Standorte und Interfaces -->
        <td>
            <a class="dotnet" href="overview_all.php?type=locint">Loc - IF</a>
        </td>
        <!-- &Uuml;bersicht Interfaces und zu welchen CFGs sie geh&ouml;ren -->
        <td>
            <a class="dotnet" href="overview_all.php?type=intcfg">IF - CFG</a>
        </td>
        <!-- &Uuml;bersicht nur CFGs -->
        <td>
            <a class="dotnet" href="overview_all.php?type=cfg">CFG</a>
        </td>
        <!-- &Uuml;bersicht nur Interfaces -->
        <td>
            <a class="dotnet" href="overview_all.php?type=int">IF</a>
        </td>
        <!-- &Uuml;bersicht nur Communitys und Interfaces -->
        <td>
            <a class="dotnet" href="overview_all.php?type=comint">Com - IF</a>
        </td>
    </tr>
</table>
<p>
<?php
    ///////////////
    // CFG - Int //
    ///////////////

    // Config-Files und zugeordnete Interfaces auflisten
    if ( isset( $_REQUEST['type'] ) and ( $_REQUEST['type'] ) == "cfgint" )
    {
        $objcfgint = new mct_CDbQuery;
        $objcfgint->mct_setQuery("SELECT cfg.ID as cfgID, cfg.Name as cfgName, tz.fkConfigfileID as tzCfgID, tz.fkInterfaceID as tzIntID,"
                                ."  inter.ID as interID, inter.ipaddr as interIP, inter.index as interIndex"
                                ."  FROM (tconfigfile cfg"
                                ."      LEFT JOIN tz_ifcfg tz ON tz.fkConfigfileID = cfg.ID)"
                                ."          LEFT JOIN tinterface inter ON inter.ID = tz.fkInterfaceID"
                                ."  ORDER BY cfg.Name, inter.ipaddr, inter.index, inter.ID");
        if( $objcfgint->mct_execute() == false ) //Abfrage ausf&uuml;hren
        {
            $objcfgint->objReturn->mct_print(); //Falls Abfrage fehl schlug
            include("error.htm");
            $debug->mct_dump_it();
            $debug->mct_load_it();
            exit;
        }
        echo "<h4> &Uuml;bersicht Config Files mit zugeordneten Interfaces </h4><p>";
        echo "<Table border='1'cellspacing='0' cellpadding='3'>";
        echo "<tr>"
                  . "<td class=level0><h4>Config File</h4></td>"
                  . "<td class=level0><h4>Interface</h4></td>"
                  . "<td class=level0><h4>&Auml;ndern</h4></td>"
                  . "<td class=level0><h4>L&ouml;schen</h4></td>"
                  . "<td class=level0><h4>Detail</h4></td>"
              . "</tr>";
        if( $objcfgint->mct_getRecordCount() > 0 )
        {
            $bOK = false;   // Variable zur Erkennung vom objRow-Ende
            do
            {
                echo "<tr><td class=level2><h4>".$objcfgint->objRow->cfgName."</h4>";
                echo "<td class=level2>&nbsp;</td>";
                if( $_SESSION["objUser"]->mct_isadmin() ) //Anzeige bei Admin
                {
                    echo "<td class=level2 align='center'><a class='dotnet' href='admin_config_aendern.php?pSource=ovcfgint&frm_cfgload=" . $objcfgint->objRow->cfgID . "'>Go!</a></td>";
                    echo "<td class=level2 align='center'><a class='dotnet' href='admin_config_loeschen.php?pSource=ovcfgint&frm_cfgloeschen=" . $objcfgint->objRow->cfgID . "'>Go!</a></td>";
                }
                else
                {
                    echo "<td class=level2 align=center>&nbsp;</td>";
                    echo "<td class=level2 align=center>&nbsp;</td>";
                }
                echo "<td class=level2 align=center>"
                     ."  <input id=\"Btn_cfgdetail\""
                     ."     type=\"button\""
                     ."     class=\"button\""
                     ."     value=\"Go!\""
                     ."     onClick=\"PopUpWnd('cfg_detail.php?frm_cfgdetid=".$objcfgint->objRow->cfgID."&frm_cfgdetname=".$objcfgint->objRow->cfgName."','cfg')\">"
                     ."</td></tr>";
                $cfgID = $objcfgint->objRow->cfgID;

                $objsubloc = new mct_CDbQuery;
                do
                {
                    if( $cfgID != $objcfgint->objRow->cfgID )
                        break;

                    if( $objcfgint->objRow->interID == null )
                        $bOK = $objcfgint->mct_getNext();
                    else
                    {
                        // Abfrage von Sublocation ID
                        $objsubloc->mct_setQuery("SELECT fkSubLocationID FROM tinterface WHERE ID = ".$objcfgint->objRow->interID."");
                        $objsubloc->mct_execute();
                        echo "<tr>"
                              . "<td class=level4>&nbsp;</td>"
                              . "<td class=level4><b>". $objcfgint->objRow->interIP ." - ";
                        if (strlen($objcfgint->objRow->interIndex) > 16)
                            {
                            $strInterIndexCut = substr($objcfgint->objRow->interIndex, 0, 16)."...";
                            }
                        else
                            {
                            $strInterIndexCut = $objcfgint->objRow->interIndex;
                            }
                              echo $strInterIndexCut."</b></td>"
                              . "<td class=level4 align=center><a class='dotnet' href='interface_laden.php?pSource=ovcfgint&frm_interid=".$objcfgint->objRow->interID."&frm_locationpath=".$objsubloc->objRow->fkSubLocationID."'>Go!</a></td>"
                              . "<td class=level4 align=center><a class='dotnet' href='interface_delete.php?pSource=ovcfgint&frm_interid=".$objcfgint->objRow->interID."&frm_locationpath=".$objsubloc->objRow->fkSubLocationID."'>Go!</a></td>"
                              . "<td class=level4 align=center>"
                              . "    <input id=\"Btn_ldetail\""
                              . "     type=\"button\""
                              . "     class=\"button\""
                              . "     value=\"Go!\""
                              . "     onClick=\"PopUpWnd('int_detail.php?frm_intdetid=".$objcfgint->objRow->interID."&frm_intdetname=".$objcfgint->objRow->interIP."','int')\">"
                              . "</td></tr>";
                        $bOK = $objcfgint->mct_getNext();
                    }
                } while($bOK);   // Kontrollvariable auf true pr&uuml;fen
                $objsubloc->mct_free();
            } while($bOK);   // Kontrollvariable auf true pr&uuml;fen
        }
        echo "</table>";
    }
    // &Uuml;bersicht Locations und zugeordnete Interfaces

    ///////////////
    // Loc - Int //
    ///////////////
    else if ( isset ($_REQUEST['type']) and $_REQUEST['type'] == "locint" )
    {
        $objLocation = new mct_CDbQuery; //Obj erstellen
        $qry = "SELECT gc.ID as gcID, gc.Name as gcName,"
                       . "  lc.ID as lcID, lc.Name as lcName,"
                       . "  sc.ID as scID, sc.Name as scName,"
                       . "  inter.ID as interID, inter.ipaddr as interIP, inter.Index as interIndex"
                       . "  FROM ((tgloballocation gc"
                       . "      LEFT JOIN tlocation lc ON lc.fkGlobalLocationID = gc.ID)"
                       . "          LEFT JOIN tsublocation sc ON sc.fkLocationID = lc.ID)"
                       . "              LEFT JOIN tinterface inter ON inter.fkSubLocationID = sc.ID"
                       . "  ORDER BY gc.Name, lc.Name, sc.Name, inter.Name, inter.index, inter.ID";
        $objLocation->mct_setQuery($qry); //Abfrage vorbereiten
        if( $objLocation->mct_execute() == false ) //Abfrage ausf&uuml;hren
        {
            $objLocation->objReturn->mct_print(); //Falls Abfrage fehl schlug
            include("error.htm");
            $debug->mct_dump_it();
            $debug->mct_load_it();
            exit;
        }
        echo "<h4> &Uuml;bersicht Locations mit zugeordneten Interfaces </h4><p>";
        // Tabellenkopf erstellen
        echo "<Table border='1'cellspacing='0' cellpadding='3'>";
        echo "<tr>"
                  . "<td class=level0><h4>Globallocation</h4></td>"
                  . "<td class=level0><h4>Location</h4></td>"
                  . "<td class=level0><h4>Sublocation</h4></td>"
                  . "<td class=level0><h4>Interfaces</h4></td>"
                  . "<td class=level0><h4>&Auml;ndern</h4></td>"
                  . "<td class=level0><h4>L&ouml;schen</h4></td>"
                  . "<td class=level0><h4>Detail</h4></td>"
              . "</tr>";
        // Eintr&auml;ge der Globallocations in Tabelle einf&uuml;gen
        if( $objLocation->mct_getRecordCount() > 0 )
        {
            $bOK = false;   // Variable zur Erkennung vom objRow-Ende
            do
            {
                echo "<tr><td class=level1><h4>".$objLocation->objRow->gcName."</h4>"
                          . "<td class=level1>&nbsp;</td>"
                          . "<td class=level1>&nbsp;</td>"
                          . "<td class=level1>&nbsp;</td>";
                if( $_SESSION["objUser"]->mct_isadmin() ) //Anzeige bei Admin
                {
                    echo "<td class=level1 align=center>"
                          . "<input id=\"Btn_glocaendern\""
                          . " type=\"button\""
                          . " class=\"button\""
                          . " value=\"Go!\""
                          . " onClick=\"FrameWnd('admin_loc_aendern.php?pSource=ovlocint&frm_glocaendernid=".$objLocation->objRow->gcID."&type=global&pMode=change')\"></td>"
                       . "<td class=level1 align=center>"
                          . "<input id=\"Btn_gloeschen\""
                          . " type=\"button\""
                          . " class=\"button\""
                          . " value=\"Go!\""
                          . " onClick=\"FrameWnd('admin_loc_action.php?pSource=ovlocint&frm_glocloeschid=".$objLocation->objRow->gcID."&pMode=delete&type=global')\"></td>";
                }
                else
                {
                    echo "<td class=level1 align=center>&nbsp;</td>"
                       . "<td class=level1 align=center>&nbsp;</td>";
                }
                echo "<td class=level1 align=center>"
                       . " <input id=\"Btn_gdetail\""
                       . " type=\"button\""
                       . " class=\"button\""
                       . " value=\"Go!\""
                       . " onClick=\"PopUpWnd('loc_detail.php?pSource=ovlocint&frm_glocdetid=".$objLocation->objRow->gcID."&type=global','gloc')\">"
                       . " </td></tr>";
                // ID der Location merken
                $gcID = $objLocation->objRow->gcID;
                // Wenn Location vorhanden, dann diese einf&uuml;llen
                do
                {
                    // Pr&uuml;fen, ob LocationID der Location immer noch zum aktuellen Record geh&ouml;rt
                    if( $gcID != $objLocation->objRow->gcID )
                        break;  // Innerer DO-Loop verlassen, wenn es eine neue Location ist
                    // Pr&uuml;fen, ob die SubLocation ID NULL ist (LEFT-JOIN)
                    if( $objLocation->objRow->lcID == null )
                        $bOK = $objLocation->mct_getNext();
                    else
                    {
                        echo "<tr>"
                              . "<td class=level2>&nbsp;</td>"
                              . "<td class=level2><b>". $objLocation->objRow->lcName ."</b></td>"
                              . "<td class=level2>&nbsp;</td>"
                              . "<td class=level2>&nbsp;</td>";
                        if( $_SESSION["objUser"]->mct_isadmin() ) //Anzeige bei Admin
                        {
                            echo "<td class=level2 align=center>"
                                    . "<input id=\"Btn_locaendern\""
                                     . " type=\"button\""
                                     . " class=\"button\""
                                     . " value=\"Go!\""
                                     . " onClick=\"FrameWnd('admin_loc_aendern.php?pSource=ovlocint&frm_llocaendernid=".$objLocation->objRow->lcID."&type=local&pMode=change')\"></td>"
                                  . "<td class=level2 align=center>"
                                      . "<input id=\"Btn_lloeschen\""
                                       . " type=\"button\""
                                       . " class=\"button\""
                                       . " value=\"Go!\""
                                       . " onClick=\"FrameWnd('admin_loc_action.php?pSource=ovlocint&frm_llocloeschid=".$objLocation->objRow->lcID."&pMode=delete&type=local')\"></td></td>";
                        }
                        else
                        {
                            echo "<td class=level2 align=center>&nbsp;</td>"
                               . "<td class=level2 align=center>&nbsp;</td>";
                        }
                        echo "<td class=level2 align=center>"
                             . "<input id=\"Btn_ldetail\""
                             . " type=\"button\""
                             . " class=\"button\""
                             . " value=\"Go!\""
                             . " onClick=\"PopUpWnd('loc_detail.php?frm_llocdetid=".$objLocation->objRow->lcID."&type=local','lloc')\">"
                             . "</td></tr>";
                        // Location-ID merken
                        $lcID = $objLocation->objRow->lcID;
                        // Wenn Sublocation vorhanden, dann diese einf&uuml;llen
                        do
                        {
                            // Pr&uuml;fen ob SublocationID der Sublocation immmer noch zum aktuellen Record geh&ouml;rt
                            if( $lcID != $objLocation->objRow->lcID )
                               break;
                            if( $objLocation->objRow->scID == null )
                            $bOK = $objLocation->mct_getNext();
                            else
                            {
                                echo "<tr>"
                                      . "<td class=level3>&nbsp;</td>"
                                      . "<td class=level3>&nbsp;</td>"
                                      . "<td class=level3><b>". $objLocation->objRow->scName ."</b></td>"
                                      . "<td class=level3>&nbsp;</td>";
                            if( $_SESSION["objUser"]->mct_isadmin() ) //Anzeige bei Admin
                            {
                                echo  "<td class=level3 align=center>"
                                        . "<input id=\"Btn_slocaendern\""
                                        . " type=\"button\""
                                        . " class=\"button\""
                                        . " value=\"Go!\""
                                        . " onClick=\"FrameWnd('admin_loc_aendern.php?pSource=ovlocint&frm_slocaendernid=".$objLocation->objRow->scID."&type=sublocal&pMode=change')\"></td>"
                                    . "<td class=level3 align=center>"
                                        . "<input id=\"Btn_sloeschen\""
                                        . " type=\"button\""
                                        . " class=\"button\""
                                        . " value=\"Go!\""
                                        . " onClick=\"FrameWnd('admin_loc_action.php?pSource=ovlocint&frm_slocloeschid=".$objLocation->objRow->scID."&pMode=delete&type=sublocal')\"></td></td>";
                            }
                            else
                            {
                                echo "<td class=level3 align=center>&nbsp;</td>"
                                   . "<td class=level3 align=center>&nbsp;</td>";
                            }
                              echo   "<td class=level3 align=center>"
                                          . "<input id=\"Btn_sdetail\""
                                          . " type=\"button\""
                                          . " class=\"button\""
                                          . " value=\"Go!\""
                                          . " onClick=\"PopUpWnd('loc_detail.php?frm_slocdetid=".$objLocation->objRow->scID."&type=sublocal','sloc')\">"
                                      . "</td></tr>";
                                // Sublocation-ID merken
                                $scID = $objLocation->objRow->scID;
                                do
                                {
                                    if( $scID != $objLocation->objRow->scID )
                                        break;
                                    if( $objLocation->objRow->interID == null )
                                        $bOK = $objLocation->mct_getNext();
                                    else
                                    {
                                        echo "<tr>"
                                            . "<td class=level4>&nbsp;</td>"
                                            . "<td class=level4>&nbsp;</td>"
                                            . "<td class=level4>&nbsp;</td>"
                                            . "<td class=level4><b>". $objLocation->objRow->interIP. " - ";
                                            if (strlen($objLocation->objRow->interIndex) > 16)
                                                {
                                                $strInterIndexCut = substr($objLocation->objRow->interIndex, 0, 16)."...";
                                                }
                                            else
                                                {
                                                $strInterIndexCut = $objLocation->objRow->interIndex;
                                                }
                                            echo $strInterIndexCut."</b></td>"
                                            . "<td class=level4 align=center >"
                                                 . "<input id=\"Btn_iaendern\""
                                                 . "type=\"button\""
                                                 . "class=\"button\""
                                                 . "value=\"Go!\""
                                                 . "onClick=\"FrameWnd('interface_laden.php?pSource=ovlocint&frm_interid=".$objLocation->objRow->interID."&frm_locationpath=".$objLocation->objRow->scID."')\"></td>"
                                            . "<td class=level4 align=center>"
                                                 . "<input id=\"Btn_iloeschen\""
                                                 . "type=\"button\""
                                                 . "class=\"button\""
                                                 . "value=\"Go!\""
                                                 . "onClick=\"FrameWnd('interface_delete.php?pSource=ovlocint&frm_interid=".$objLocation->objRow->interID."&frm_locationpath=".$objLocation->objRow->scID."')\"></td>"
                                            . "<td class=level4 align=center>"
                                                 . "<input id=\"Btn_idetail\""
                                                 . "type=\"button\""
                                                 . "class=\"button\""
                                                 . "value=\"Go!\""
                                                 . "onClick=\"PopUpWnd('int_detail.php?frm_intdetid=".$objLocation->objRow->interID."&frm_intdetname=".$objLocation->objRow->interIP."','int')\"></td>"
                                        . "</tr>";
                                        // N&auml;chsten Record holen und Return der Methode in Kontrollvariable speichern (false = hat keine Records mehr)
                                        $bOK = $objLocation->mct_getNext();
                                      }
                                } while($bOK);
                            }
                        } while($bOK);   // Kontrollvariable auf true pr&uuml;fen
                    }
                } while($bOK);   // Kontrollvariable auf true pr&uuml;fen
            } while($bOK);   // Kontrollvariable auf true pr&uuml;fen
        }
        echo "</table>";
    }
    ///////////////
    // Int - Cfg //
    ///////////////
    else if ( isset ($_REQUEST['type']) and $_REQUEST['type'] == "intcfg" )
    {
    $objintcfg = new mct_CDbQuery;
    $objintcfg->mct_setQuery("SELECT inter.ID as interID,"
                            ."  inter.ipaddr as interIP,"
                            ."  inter.index as interIndex,"
                            ."  tz.fkConfigfileID as tzCfgID,"
                            ."  tz.fkInterfaceID as tzIntID,"
                            ."  cfg.ID as cfgID,"
                            ."  cfg.Name as cfgName"
                            ."  FROM (tinterface inter"
                            ."      LEFT JOIN tz_ifcfg tz ON  tz.fkInterfaceID = inter.ID)"
                            ."          LEFT JOIN tconfigfile cfg ON  cfg.ID = tz.fkConfigFileID"
                            ."  WHERE inter.globalif = 0"
                            ."  ORDER BY inter.ipaddr, cfg.ID");
    if( $objintcfg->mct_execute() == false ) //Abfrage ausf&uuml;hren
    {
        $objintcfg->objReturn->mct_print(); //Falls Abfrage fehl schlug
        include("error.htm");
        $debug->mct_dump_it();
        $debug->mct_load_it();
        exit;
    }
    echo "<h4> &Uuml;bersicht Interfaces und zugeordnete Config-Files </h4><p>";
    echo "<Table border='1'cellspacing='0' cellpadding='3'>";
    echo "<tr>"
              . "<td class=level0><h4>ID</h4></td>"
              . "<td class=level0><h4>Interface</h4></td>"
              . "<td class=level0><h4>Config-File</h4></td>"
              . "<td class=level0><h4>&Auml;ndern</h4></td>"
              . "<td class=level0><h4>L&ouml;schen</h4></td>"
              . "<td class=level0><h4>Detail</h4></td>"
          . "</tr>";
    if( $objintcfg->mct_getRecordCount() > 0 )
    {
        $bOK = false;   // Variable zur Erkennung vom objRow-Ende
        do
        {
            echo "<tr><td class=level2><h4>".$objintcfg->objRow->interID."</h4>"
                    ."<td class=level2><h4>".$objintcfg->objRow->interIP." - ";
                if (strlen($objintcfg->objRow->interIndex) > 16)
                    {
                    $strInterIndexCut = substr($objintcfg->objRow->interIndex, 0, 16)."...";
                    }
                else
                    {
                    $strInterIndexCut = $objintcfg->objRow->interIndex;
                    }
                echo $strInterIndexCut."</h4>"
                    . "<td class=level2>&nbsp;</td>";
           // Abfrage von Sublocation ID
           $objsubloc = new mct_CDbQuery;
           $objsubloc->mct_setQuery("SELECT fkSubLocationID FROM tinterface WHERE ID = ".$objintcfg->objRow->interID."");
           $objsubloc->mct_execute();
           echo "<td class=level2 align=center><a class='dotnet' href='interface_laden.php?pSource=ovintcfg&frm_interid=".$objintcfg->objRow->interID."&frm_locationpath=".$objsubloc->objRow->fkSubLocationID."'>Go!</a></td>"
               ."<td class=level2 align=center><a class='dotnet' href='interface_delete.php?pSource=ovintcfg&frm_interid=".$objintcfg->objRow->interID."&frm_locationpath=".$objsubloc->objRow->fkSubLocationID."'>Go!</a></td>";
           echo "<td class=level2 align=center>"
                ."  <input id=\"Btn_intdetail\""
                ."     type=\"button\""
                ."     class=\"button\""
                ."     value=\"Go!\""
                ."     onClick=\"PopUpWnd('int_detail.php?frm_intdetid=".$objintcfg->objRow->interID."&frm_intdetname=".$objintcfg->objRow->interIP."','int')\">"
                ."</td></tr>";
            $interID = $objintcfg->objRow->interID;
            do
            {
                if( $interID != $objintcfg->objRow->interID )
                    break;

                if( $objintcfg->objRow->cfgID == null )
                    $bOK = $objintcfg->mct_getNext();
                else
                {
                    echo "<tr>"
                         ."  <td class=level4>&nbsp;</td>"
                         ."  <td class=level4>&nbsp;</td>"
                         ."<td class=level4><b>". $objintcfg->objRow->cfgName ."</b></td>";



                     if( $_SESSION["objUser"]->mct_isadmin() ) //Anzeige bei Admin
                     {
                       echo "<td class=level4 align='center'><a class='dotnet' href='admin_config_aendern.php?pSource=ovintcfg&frm_cfgload=".$objintcfg->objRow->cfgID."'>Go!</a></td>"
                           ."<td class=level4 align='center'><a class='dotnet' href='admin_config_loeschen.php?pSource=ovintcfg&frm_cfgloeschen=".$objintcfg->objRow->cfgID."'>Go!</a></td>";
                     }
                     else
                     {
                        echo "<td class=level4 align=center>&nbsp;</td>"
                            ."<td class=level4 align=center>&nbsp;</td>";
                     }

                    echo "<td class=level4 align=center>"
                         ."  <input id=\"Btn_ldetail\""
                         ."     type=\"button\""
                         ."     class=\"button\""
                         ."     value=\"Go!\""
                         ."     onClick=\"PopUpWnd('cfg_detail.php?frm_cfgdetid=".$objintcfg->objRow->cfgID."&frm_cfgdetname=".$objintcfg->objRow->cfgName."','cfg')\">"
                         ." </td></tr>";
                $bOK = $objintcfg->mct_getNext();
                }
            }while($bOK);   // Kontrollvariable auf true pr&uuml;fen
        }while($bOK);   // Kontrollvariable auf true pr&uuml;fen
    }
    echo "</table>";
    }
    /////////
    // Cfg //
    /////////

    else if ( isset ($_REQUEST['type']) and $_REQUEST['type'] == "cfg" )
    {
        $objcfg = new mct_CDbQuery;
        $objcfg->mct_setQuery("SELECT Name, ID FROM tconfigfile ORDER BY Name");
        if( $objcfg->mct_execute() == false ) //Abfrage ausf&uuml;hren
        {
            $objcfg->objReturn->mct_print(); //Falls Abfrage fehl schlug
            include("error.htm");
            $debug->mct_dump_it();
            $debug->mct_load_it();
            exit;
        }
        echo "<h4> &Uuml;bersicht Config Files </h4><p>";
        echo "<Table border='1'cellspacing='0' cellpadding='3'>";
        echo "<tr>";
        echo "<td class=level0><h4>Config File</h4></td>";
        if( $_SESSION["objUser"]->mct_isadmin() ) //Anzeige bei Admin
        {
            echo "<td class=level0><h4>&Auml;ndern</h4></td>"
                ."<td class=level0><h4>L&ouml;schen</h4></td>";
        }
        echo "<td class=level0><h4>Detail</h4></td>";
        echo "</tr>";
        if( $objcfg->mct_getRecordCount() > 0 )
        {
            $bOK = false;   // Variable zur Erkennung vom objRow-Ende
            do
            {
                echo "<tr><td class=level4><b>".$objcfg->objRow->Name."</b></td>";
                if( $_SESSION["objUser"]->mct_isadmin() ) //Anzeige bei Admin
                {
                   echo "<td class=level4 align=center>"
                        ."  <input id=\"Btn_cfgaendern\""
                        ."     type=\"button\""
                        ."     class=\"button\""
                        ."     value=\"Go!\""
                        ."     onClick=\"FrameWnd('admin_config_aendern.php?pSource=ovcfg&frm_cfgload=".$objcfg->objRow->ID."')\">"
                        ."</td>"
                        ."<td class=level4 align=center>"
                        ."  <input id=\"Btn_cfgloeschen\""
                        ."     type=\"button\""
                        ."     class=\"button\""
                        ."     value=\"Go!\""
                        ."     onClick=\"FrameWnd('admin_config_loeschen.php?pSource=ovcfg&frm_cfgloeschen=".$objcfg->objRow->ID."')\">"
                        ."</td>";
                }
                echo "<td class=level4 align=center>"
                    ."  <input id=\"Btn_cfgdetail\""
                    ."     type=\"button\""
                    ."     class=\"button\""
                    ."     value=\"Go!\""
                    ."     onClick=\"PopUpWnd('cfg_detail.php?frm_cfgdetid=".$objcfg->objRow->ID."&frm_cfgdetname=".$objcfg->objRow->Name."','cfg')\">"
                    ."</td></tr>";
                $bOK = $objcfg->mct_getNext();
             }while($bOK);   // Kontrollvariable auf true pr&uuml;fen
        echo "</table>";
        }
    }
    ////////
    // IF //
    ////////
    else if ( isset ($_REQUEST['type']) and $_REQUEST['type'] == "int" )
    {
        $objint = new mct_CDbQuery;
        $objint->mct_setQuery("SELECT inter.ID, inter.Ipaddr, inter.index as interind, inter.fkSubLocationID"
                              ."    FROM tinterface inter WHERE GlobalIF = 0"
                              ."    ORDER BY inter.Ipaddr, inter.index, inter.ID");
        if( $objint->mct_execute() == false ) //Abfrage ausf&uuml;hren
        {
            $objint->objReturn->mct_print(); //Falls Abfrage fehl schlug
            include("error.htm");
            $debug->mct_dump_it();
            $debug->mct_load_it();
            exit;
        }
        echo "<h4> &Uuml;bersicht Interfaces </h4><p>";
        echo "<Table border='1'cellspacing='0' cellpadding='3'>";
        echo "<tr>"
            ."   <td class=level0><h4>ID</h4></td>"
            ."   <td class=level0><h4>Hostname / IP</h4></td>"
            ."   <td class=level0><h4>Index</h4></td>"
            ."   <td class=level0><h4>&Auml;ndern</h4></td>"
            ."   <td class=level0><h4>L&ouml;schen</h4></td>"
            ."   <td class=level0><h4>Detail</h4></td>"
            ."</tr>";
        if( $objint->mct_getRecordCount() > 0 )
        {
            $bOK = false;   // Variable zur Erkennung vom objRow-Ende
            do
            {
                echo "<tr><td class=level4><b>".$objint->objRow->ID."</b></td>"
                    ."    <td class=level4><b>".$objint->objRow->Ipaddr."</b></td>"
                    ."    <td class=level4><b>";
                if (strlen($objint->objRow->interind) > 16)
                    {
                    $strInterIndexCut = substr($objint->objRow->interind, 0, 16)."...";
                    }
                else
                    {
                    $strInterIndexCut = $objint->objRow->interind;
                    }
                echo $strInterIndexCut."</b></td>"
                    ."    <td class=level4 align=center>"
                    ."        <input id=\"Btn_intaendern\""
                    ."         type=\"button\""
                    ."         class=\"button\""
                    ."         value=\"Go!\""
                    ."         onClick=\"FrameWnd('interface_laden.php?pSource=ovint&frm_interid=".$objint->objRow->ID."&frm_locationpath=".$objint->objRow->fkSubLocationID."')\">"
                    ."    </td>"
                    ."    <td class=level4 align=center>"
                    ."        <input id=\"Btn_intloeschen\""
                    ."         type=\"button\""
                    ."         class=\"button\""
                    ."         value=\"Go!\""
                    ."         onClick=\"FrameWnd('interface_delete.php?pSource=ovint&frm_interid=".$objint->objRow->ID."')\">"
                    ."    </td>";
                  echo "<td class=level4 align=center>"
                    ."      <input id=\"Btn_ldetail\""
                    ."       type=\"button\""
                    ."       class=\"button\""
                    ."       value=\"Go!\""
                    ."       onClick=\"PopUpWnd('int_detail.php?frm_intdetid=".$objint->objRow->ID."&frm_intdetname=".$objint->objRow->Ipaddr."','int')\">"
                    ."  </td>"
                    ."</tr>";
                      $bOK = $objint->mct_getNext();
             }while($bOK);   // Kontrollvariable auf true pr&uuml;fen
        echo "</table>";
        }
    }
    //////////////
    // Com - IF //
    //////////////

    else if ( isset ($_REQUEST['type']) and $_REQUEST['type'] == "comint" )
    {
        $objcomint = new mct_CDbQuery;
        $objcomint->mct_setQuery("Select com.ID as ComID,"
                                ."    com.Name as ComName,"
                                ."    inter.ID as InterID,"
                                ."    inter.ipaddr as InterIP,"
                                ."    inter.index as InterIndex,"
                                ."    inter.fkCommunityID as fkcomID"
                                ."  FROM (tcommunity com"
                                ."      LEFT JOIN tinterface inter ON inter.fkCommunityID = com.ID)"
                                ."  WHERE inter.globalif = 0"
                                ."  ORDER BY com.name, inter.ipaddr, inter.index");
        if( $objcomint->mct_execute() == false ) //Abfrage ausf&uuml;hren
        {
            $objcomint->objReturn->mct_print(); //Falls Abfrage fehl schlug
            include("error.htm");
            $debug->mct_dump_it();
            $debug->mct_load_it();
            exit;
        }
        echo "<h4> &Uuml;bersicht Communitys und Interfaces </h4><p>";
        echo "<Table border='1'cellspacing='0' cellpadding='3'>";
        echo "<tr>"
            ."  <td class=level0><h4>ID</h4></td>"
            ."  <td class=level0><h4>Community</h4></td>"
            ."  <td class=level0><h4>Hostname / IP</h4></td>"
            ."  <td class=level0><h4>Index</h4></td>"
            ."</tr>";
        if( $objcomint->mct_getRecordCount() > 0 )
        {
            $bOK = false;   // Variable zur Erkennung vom objRow-Ende
            do
            {
                echo "<tr><td class=level4><b>".$objcomint->objRow->ComID."</b></td>"
                    ."  <td class=level4><b>".$objcomint->objRow->ComName."</b></td>"
                    ."  <td class=level4><b>".$objcomint->objRow->InterIP."</b></td>"
                    ."  <td class=level4><b>";
                if (strlen($objcomint->objRow->InterIndex) > 16)
                    {
                    $strInterIndexCut = substr($objcomint->objRow->InterIndex, 0, 16)."...";
                    }
                else
                    {
                    $strInterIndexCut = $objcomint->objRow->InterIndex;
                    }
                echo $strInterIndexCut."</b></td>"
                    ."</tr>";
                      $bOK = $objcomint->mct_getNext();
             }while($bOK);   // Kontrollvariable auf true pr&uuml;fen
        echo "</table>";
        }
    }
?>
</body>
</html>
<?php
    $debug->mct_dump_it();
    $debug->mct_load_it();
?>
