<?php
    include_once("../inc/mct_CDebug.class.php");
    include_once("../src/validlogin.inc.php");
    $debug = new mct_CDebug();

    if( ! $_SESSION["objUser"]->mct_isadmin() )
        mct_redirect("admin_failed.htm");
 ?>
<html>
<head>
    <title>MCT CFG Import</title>
    <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION["sitestyle"]["mct"]; ?>">
    <?php include_once("../inc/mct_javascr.inc.php"); ?>
</head>
<body>

<?php
    if( isset($_SESSION["objFoundInt"]))
        {$_SESSION["objFoundInt"]->mct_free();}
    if( file_exists($_POST['strCfg_ImpDir'].$_POST['strCfg_FileToRead']) == false )
    {
        echo "<h5>MCT CFG Import (Vorschau)</h5><hr><p>".
             "<img border='0' src='../img/failled.gif' width='188' height='186'></p>".
             "<h4>Das angegebene Config-File wurde nicht gefunden.<br>".
                  "Bitte &uuml;berpr&uuml;fen Sie den Dateinamen und den Pfad.</h4><p>".
             "<input class=\"button\" type=\"button\" name=\"Btn_Back\" value=\"Zur&uuml;ck\" onClick=\"FrameWnd('admin_cfg_import.php')\">";
        exit;
    }
    else
    {
        /////////////////////////
        // Ausgabe des Headers //
        /////////////////////////
        $objCfgSearch = new mct_CCfgHeaderSearch;
        // Lesen des Files
        $objCfgSearch->mct_getCfg_Header($_POST['strCfg_ImpDir'].$_POST['strCfg_FileToRead']);
        $_SESSION['CfgHeaderImp'] = $objCfgSearch;
        // Ausgabe in eine Tabelle
    }
?>
<!-- Vorschau globale Daten-->
<h5>MCT CFG Import (Vorschau)</h5>
<hr>
<h1>Globale Header-Daten</h1>
<p>
<form action="admin_config_neu.php?iMode=import&iName=<?php echo $_POST['strCfg_FileToRead']?>" method="POST">

<table border="1" cellspacing="0" cellpadding="3">
    <tr>
        <td><h4>Name:</h4></td>
        <td><?php echo $_POST['strCfg_FileToRead']; ?></td>
    </tr>
    <tr>
        <td><h4>Speicherort:</h4></td>
        <td><?php echo $_POST['strCfg_ImpDir']; ?></td>
    </tr>
    <tr>
        <td><h4>Workdir:</h4></td>
        <td><?php if($objCfgSearch->mct_getWorkDir() != "" and $objCfgSearch->mct_getWorkDir() != "-1")
                    echo $objCfgSearch->mct_getWorkDir();
                  else
                    echo "<font color='#FF0000'>keine Angaben gefunden</font>"; ?></td>
    </tr>
    <tr>
        <td><h4>Refresh:</h4></td>
        <td><?php if($objCfgSearch->mct_getRefresh() != "" and $objCfgSearch->mct_getRefresh() != "-1")
                    echo $objCfgSearch->mct_getRefresh();
                  else
                    echo "<font color='#FF0000'>keine Angaben gefunden</font>"; ?></td>
    </tr>
    <tr>
        <td><h4>Interval:</h4></td>
        <td><?php echo $objCfgSearch->mct_getInterval(); ?></td>
    </tr>
    <tr>
        <td><h4>WriteExpires</h4></td>
        <td><?php if($objCfgSearch->mct_getWriteExpires() != "" and $objCfgSearch->mct_getWriteExpires() != "-1")
                    echo $objCfgSearch->mct_getWriteExpires();
                  else
                    echo "<font color='#FF0000'>keine Angaben gefunden</font>"; ?></td>
    </tr>
    <tr>
        <td><h4>IconDir:</h4></td>
        <td><?php if($objCfgSearch->mct_getIconDir() != "" and $objCfgSearch->mct_getIconDir() != "-1")
                    echo $objCfgSearch->mct_getIconDir();
                  else
                    echo "<font color='#FF0000'>keine Angaben gefunden</font>"; ?></td>
    </tr>
</table>
<p>
<?php
    //////////////////////////////////////////
    // Ausgabe der globalen Interface Daten //
    //////////////////////////////////////////
    $objHeaderInt = new mct_CCfgHeaderIntSearch;
    // Lesen des Files
    $objHeaderInt->mct_getCfg_IntHeader($_POST['strCfg_ImpDir'].$_POST['strCfg_FileToRead']);
    $_SESSION['CfgHeaderIntImp'] = $objHeaderInt;
    // Ausgabe in eine Tabelle
?>
<h1>Globale Interface-Daten</h1>
<p>
<table border="1" cellspacing="0" cellpadding="3">
    <tr>
        <td><h4>MaxBytes:</h4></td>
        <td><?php if($objHeaderInt->mct_getMaxBytes() != "" and $objHeaderInt->mct_getMaxBytes() != "-1")
                    echo $objHeaderInt->mct_getMaxBytes();
                  else
                    echo "<font color='#FF0000'>keine Angaben gefunden</font>"; ?></td>
    </tr>
    <tr>
        <td><h4>Title:</h4></td>
        <td><?php if($objHeaderInt->mct_getTitle() != "")
                    echo strip_tags($objHeaderInt->mct_getTitle());
                  else
                    echo "<font color='#FF0000'>keine Angaben gefunden</font>"; ?></td>
    </tr>
    <tr>
        <td><h4>PageTop:</h4></td>
        <td><?php if($objHeaderInt->mct_getPageTop() != "")
                    echo strip_tags ($objHeaderInt->mct_getPageTop());
                  else
                    echo "<font color='#FF0000'>keine Angaben gefunden</font>"; ?></td>
    </tr>
    <tr>
        <td><h4>PageTopPre[^]:</h4></td>
        <td><?php if($objHeaderInt->mct_getPageTopPre() != "")
                    echo strip_tags($objHeaderInt->mct_getPageTopPre());
                  else
                    echo "<font color='#FF0000'>keine Angaben gefunden</font>"; ?></td>
    </tr>
    <tr>
        <td><h4>PageTopApp[$]:</h4></td>
        <td><?php if($objHeaderInt->mct_getPageTopApp() != "")
                    echo strip_tags($objHeaderInt->mct_getPageTopApp());
                  else
                    echo "<font color='#FF0000'>keine Angaben gefunden</font>"; ?></td>
    </tr>
    <tr>
        <td><h4>AddHead:</h4></td>
        <td><?php if($objHeaderInt->mct_getAddHead() != "")
                    echo strip_tags($objHeaderInt->mct_getAddHead());
                  else
                    echo "<font color='#FF0000'>keine Angaben gefunden</font>"; ?></td>
    </tr>
    <tr>
        <td><h4>AbsMax:</h4></td>
        <td><?php if($objHeaderInt->mct_getAbsMax() != "" and $objHeaderInt->mct_getAbsMax() != "-1")
                    echo $objHeaderInt->mct_getAbsMax();
                  else
                    echo "<font color='#FF0000'>keine Angaben gefunden</font>"; ?></td>
    </tr>
    <tr>
        <td><h4>Unscaled:</h4></td>
        <td><?php if($objHeaderInt->mct_getUnscaled() != "")
                    echo $objHeaderInt->mct_getUnscaled();
                  else
                    echo "<font color='#FF0000'>keine Angaben gefunden</font>"; ?></td>
    </tr>
    <tr>
        <td><h4>WithPeak:</h4></td>
        <td><?php if($objHeaderInt->mct_getWithPeak() != "")
                    echo $objHeaderInt->mct_getWithPeak();
                  else
                    echo "<font color='#FF0000'>keine Angaben gefunden</font>"; ?></td>
    </tr>
    <tr>
        <td><h4>Suppress:</h4></td>
        <td><?php if($objHeaderInt->mct_getSuppress() != "")
                    echo $objHeaderInt->mct_getSuppress();
                  else
                    echo "<font color='#FF0000'>keine Angaben gefunden</font>"; ?></td>
    </tr>
    <tr>
        <td><h4>Directory:</h4></td>
        <td><?php if($objHeaderInt->mct_getDirectory() != "")
                    echo $objHeaderInt->mct_getDirectory();
                  else
                    echo "<font color='#FF0000'>keine Angaben gefunden</font>"; ?></td>
    </tr>
    <tr>
        <td><h4>XSize:</h4></td>
        <td><?php if($objHeaderInt->mct_getXSize() != "" and $objHeaderInt->mct_getXSize() != "-1")
                    echo $objHeaderInt->mct_getXSize();
                  else
                    echo "<font color='#FF0000'>keine Angaben gefunden</font>"; ?></td>
    </tr>
    <tr>
        <td><h4>YSize:</h4></td>
        <td><?php if($objHeaderInt->mct_getYSize() != "" and $objHeaderInt->mct_getYSize() != "-1")
                    echo $objHeaderInt->mct_getYSize();
                  else
                    echo "<font color='#FF0000'>keine Angaben gefunden</font>"; ?></td>
    </tr>
    <tr>
        <td><h4>XZoom:</h4></td>
        <td><?php if($objHeaderInt->mct_getXZoom() != "" and $objHeaderInt->mct_getXZoom() != "-1")
                    echo $objHeaderInt->mct_getXZoom();
                  else
                    echo "<font color='#FF0000'>keine Angaben gefunden</font>"; ?></td>
    </tr>
    <tr>
        <td><h4>YZoom:</h4></td>
        <td><?php if($objHeaderInt->mct_getYZoom() != "" and $objHeaderInt->mct_getYZoom() != "-1")
                    echo $objHeaderInt->mct_getYZoom();
                  else
                    echo "<font color='#FF0000'>keine Angaben gefunden</font>"; ?></td>
    </tr>
    <tr>
        <td><h4>XScale:</h4></td>
        <td><?php if($objHeaderInt->mct_getXScale() != "" and $objHeaderInt->mct_getXScale() != "-1")
                    echo $objHeaderInt->mct_getXScale();
                  else
                    echo "<font color='#FF0000'>keine Angaben gefunden</font>"; ?></td>
    </tr>
    <tr>
        <td><h4>YScale:</h4></td>
        <td><?php if($objHeaderInt->mct_getYScale() != "" and $objHeaderInt->mct_getYScale() != "-1")
                    echo $objHeaderInt->mct_getYScale();
                  else
                    echo "<font color='#FF0000'>keine Angaben gefunden</font>"; ?></td>
    </tr>
    <tr>
        <td><h4>Options:</h4></td>
        <td><?php if($objHeaderInt->mct_getOptions() != "")
                    echo $objHeaderInt->mct_getOptions();
                  else
                    echo "<font color='#FF0000'>keine Angaben gefunden</font>"; ?></td>
    </tr>
    <tr>
        <td><h4>Colours:</h4></td>
        <td><?php if($objHeaderInt->mct_getColors() != "")
                    echo "<font color='#FF0000'>kein Import!</font>";
                  else
                    echo "<font color='#FF0000'>kein Import!</font>"; ?></td>
    </tr>
    <tr>
        <td><h4>Background:</h4></td>
        <td><?php if($objHeaderInt->mct_getBackground() != "")
                    echo "<font color='#FF0000'>kein Import!</font>";
                  else
                    echo "<font color='#FF0000'>kein Import!</font>"; ?></td>
    </tr>
    <tr>
        <td><h4>YLegend:</h4></td>
        <td><?php if($objHeaderInt->mct_getYLegend() != "")
                    echo $objHeaderInt->mct_getYLegend();
                  else
                    echo "<font color='#FF0000'>keine Angaben gefunden</font>"; ?></td>
    </tr>
    <tr>
        <td><h4>ShortLegend:</h4></td>
        <td><?php if($objHeaderInt->mct_getShortLegend() != "")
                    echo $objHeaderInt->mct_getShortLegend();
                  else
                    echo "<font color='#FF0000'>keine Angaben gefunden</font>"; ?></td>
    </tr>
    <tr>
        <td><h4>Legnend1:</h4></td>
        <td><?php if($objHeaderInt->mct_getLegend1() != "")
                    echo $objHeaderInt->mct_getLegend1();
                  else
                    echo "<font color='#FF0000'>keine Angaben gefunden</font>"; ?></td>
    </tr>
    <tr>
        <td><h4>Legend2:</h4></td>
        <td><?php if($objHeaderInt->mct_getLegend2() != "")
                    echo $objHeaderInt->mct_getLegend2();
                  else
                    echo "<font color='#FF0000'>keine Angaben gefunden</font>"; ?></td>
    </tr>
    <tr>
        <td><h4>Legend3:</h4></td>
        <td><?php if($objHeaderInt->mct_getLegend3() != "")
                    echo $objHeaderInt->mct_getLegend3();
                  else
                    echo "<font color='#FF0000'>keine Angaben gefunden</font>"; ?></td>
    </tr>
    <tr>
        <td><h4>Legend4:</h4></td>
        <td><?php if($objHeaderInt->mct_getLegend4() != "")
                    echo $objHeaderInt->mct_getLegend4();
                  else
                    echo "<font color='#FF0000'>keine Angaben gefunden</font>"; ?></td>
    </tr>
    <tr>
        <td><h4>LegendI:</h4></td>
        <td><?php if($objHeaderInt->mct_getLegendI() != "")
                    echo $objHeaderInt->mct_getLegendI();
                  else
                    echo "<font color='#FF0000'>keine Angaben gefunden</font>"; ?></td>
    </tr>
    <tr>
        <td><h4>LegendO:</h4></td>
        <td><?php if($objHeaderInt->mct_getLegendO() != "")
                    echo $objHeaderInt->mct_getLegendO();
                  else
                    echo "<font color='#FF0000'>keine Angaben gefunden</font>"; ?></td>
    </tr>
</table>
<p>
<input class="button" type="submit" name="submit" value="Import CFG"></input>
</form>

<form action="admin_import_if.php" method="POST">
<?php
    //////////////////////////////////////
    // Ausgabe der einzelnen Interfaces //
    //////////////////////////////////////
    $objFoundInt = new mct_CCfgIntSearch;
    $objFoundInt->mct_getCfg_Interface($_POST['strCfg_ImpDir'].$_POST['strCfg_FileToRead']);
    $_SESSION["objFoundInt"] = $objFoundInt;
    echo "<h1>Interfaces (".$objFoundInt->mct_getCfg_TargetQuantity().")</h1>";
    echo "<table border='1' cellspacing='0' cellpadding='3'>".
          "<tr>".
              "<td><h4>Int-Nr</h4></td>".
              "<td><h4>Hostname / IP</h4></td>".
              "<td><h4>Index</h4></td>".
              "<td><h4>Community</h4></td>".
              "<td><h4>Detail</h4></td>".
              "<td><h4>Import-SubLoc</h4></td>".
              "<td><h4>Import</h4></td>";
    $intid = 1;
    echo "</tr>";

    //Query auf Location
    $objSubloc = new mct_CDbQuery;
    $qry = "SELECT gc.ID as gcID, gc.Name as gcName, lc.ID as lcID, lc.Name as lcName, sc.ID as scID, sc.Name as scName"
          ."    FROM (tgloballocation gc"
          ."        LEFT JOIN tlocation lc ON lc.fkGlobalLocationID = gc.ID)"
          ."            LEFT JOIN tsublocation sc ON sc.fkLocationID = lc.ID"
          ."                WHERE sc.Name IS NOT NULL AND lc.Name IS NOT NULL"
          ."    ORDER BY gc.Name, lc.Name, sc.Name";
    $objSubloc->mct_setQuery($qry);
    if( $objSubloc->mct_execute() == false ) //Abfrage ausf&uuml;hren
    {
        $objSubloc->objReturn->mct_print(); //Falls Abfrage fehl schlug
        include("error.htm");
        $debug->mct_dump_it();
        $debug->mct_load_it();
        exit;
    }
    //Array mit Ergebnis des Querys abf&uuml;llen
    for( $i=0; $i < $objSubloc->mct_getRecordCount(); $i++ )
    {
        $arrslocid[$i] = $objSubloc->objRow->scID;
        $arrgcName[$i] = $objSubloc->objRow->gcName;
        $arrgcID[$i]   = $objSubloc->objRow->gcID;
        $arrlcName[$i] = $objSubloc->objRow->lcName;
        $arrlcID[$i]   = $objSubloc->objRow->lcID;
        $arrscName[$i] = $objSubloc->objRow->scName;
        $objSubloc->mct_getNext(); //N&auml;chsten Location-Pfad laden
    }

    for($intid = 1; $intid <= $objFoundInt->mct_getCfg_TargetQuantity(); $intid++)
    {
        echo "<tr>
              <td><b>".$intid."</b></td>
              <td>".$objFoundInt->mct_getInt_Ipaddr($intid - 1)."</td>
              <td>".$objFoundInt->mct_getInt_Index($intid - 1)."</td>
              <td>".$objFoundInt->mct_getInt_Community($intid - 1)."</td>
              <td><input id=\"Btn_intdet\"".$intid." class=\"button\" type=\"button\" value=\"Detail\" onClick=\"PopUpWnd('admin_intimp_detail.php?id=".$intid."','Int')\"></td>
              <td>";
        echo "<select size='1' name='frm_impsubloc".$intid."'>";

        for( $i=0; $i < $objSubloc->mct_getRecordCount(); $i++ )
        {
            echo "<option value = ".$arrslocid[$i]."-#-".$arrgcName[$i]."-".$arrlcName[$i]."-".$arrscName[$i].">"; // &Uuml;bergabe des Loation-Pfades mit IDs
            echo $arrgcName[$i]." - ".$arrlcName[$i]." - ".$arrscName[$i];
            echo "</option>";
        }

        echo "</select>";
        echo "</td>
              <td align='center'><input type='checkbox' name='frm_int_import";echo $intid; echo "'";echo " value='yes' checked></td>
         </tr>";
    }
    echo "</table>";
?>
<p>
<input class="button" type="submit" name="submit" value="Import Interfaces"></input>
</form>
</body>
</html>
<?php
    $debug->mct_dump_it();
    $debug->mct_load_it();
?>
