<?php
    include_once("../inc/mct_CDebug.class.php");
    include_once("../src/validlogin.inc.php");
    $debug = new mct_CDebug();

    if( ! $_SESSION["objUser"]->mct_isadmin() )
        mct_redirect("admin_failed.htm");

    $loctype = "";
    if($type == "global")  $loctype = "Globallocation";
    elseif($type == "local") $loctype = "Location";
    elseif($type == "sublocal") $loctype = "Sublocation";
    else mct_redirect("error.htm");
?>
<html>
    <head>
        <title><?php echo $loctype; ?> &auml;ndern</title>
        <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION["sitestyle"]["mct"]; ?>">
        <?php include_once("../inc/mct_javascr.inc.php"); ?>
    </head>
<body>
<script type="text/javascript">
<!--
    function checkEntries()
    {
        var x = '';
        if( document.form_loc.frm_name.value.length     < 1 ) x += '- Name -> Angabe erforderlich!\n';
        if( x != '' )
        {
            alert('Eingabefehler:\n' + x);
            return false;
        }
    }
//-->
</script>
<h5><?php echo $loctype; ?> &auml;ndern</h5>
<hr>
<form name="form_loc" action="admin_loc_action.php?pMode=change" method="POST" onSubmit="return checkEntries()">
<?php
    echo "<input name='type' value='" . $type . "' type='hidden'>";
    if( $type == "global" )
    {}
    else if ( $type == "local")
    {
        // Vorbereitung f&uuml;r Setzen von aktueller Location
        $objLocFk = new mct_CDbQuery();
        $objLocFk->mct_setQuery ("SELECT fkGlobalLocationID FROM tlocation WHERE ID = " . $_GET['frm_llocaendernid']);
        if ( $objLocFk->mct_execute() )
        {
            $locFk = $objLocFk->objRow->fkGlobalLocationID;
        }
        else
        {
            mct_redirect("error.htm");
            $objLocFk->mct_free();
        }
        $objGLocSet = new mct_CDbQuery();
        $objGLocSet->mct_setQuery ("SELECT ID, Name FROM tgloballocation WHERE ID = $locFk");
        if ( $objGLocSet->mct_execute() )
            $GLocName = $objGLocSet->objRow->Name;
        else
        {
            mct_redirect("error.htm");
            $objGLocSet->mct_free();
        }
        // Select mit Auswahl Globallocation
        $objDB = new mct_CDbQuery();
        $objDB->mct_setQuery("SELECT ID, Name FROM tgloballocation");
        if( $objDB->mct_execute() )
        {
            echo "<select name='frm_loc'>";
            for( $i = 0; $i < $objDB->mct_getRecordCount(); $i++ )
            {
                echo "<option value='" . $objDB->objRow->ID."'";
                if ($objDB->objRow->Name == $GLocName) echo " selected";
                echo ">" . $objDB->objRow->Name;

                echo "</option>";
                $objDB->mct_getNext();
            }
            echo "</select>";
        }
        else
        {
            mct_redirect("error.htm");
            $objDB->mct_free();
        }
    }
    else if ( $type == "sublocal")
    {
        // Vorbereitung f&uuml;r Setzen von aktueller Globallocation / Location
        $objLocFk = new mct_CDbQuery();
        $objLocFk->mct_setQuery ("SELECT fkLocationID FROM tsublocation WHERE ID = " . $_GET['frm_slocaendernid']);
        if ( $objLocFk->mct_execute() )
            $locFk = $objLocFk->objRow->fkLocationID;
        else
        {
            mct_redirect("error.htm");
            $objLocFk->mct_free();
        }
        $objLLocSet = new mct_CDbQuery();

        $objLLocSet->mct_setQuery ("SELECT ID, Name FROM tlocation WHERE ID = $locFk");
        if ( $objLLocSet->mct_execute() )
            $LLocID = $objLLocSet->objRow->ID;
        else
        {
            mct_redirect("error.htm");
            $objLLocSet->mct_free();
        }
        //Select mit Auswahl Globallocation / Location
        $objDB = new mct_CDbQuery();
        $objDB->mct_setQuery("SELECT lc.ID as LcID, lc.Name as LCName, gc.Name as GCName"
                             ."    FROM tlocation lc INNER JOIN tgloballocation gc ON gc.ID = lc.fkGlobalLocationID");
        if( $objDB->mct_execute() )
        {
            echo "<select name='frm_loc'>";
            for( $i = 0; $i < $objDB->mct_getRecordCount(); $i++ )
            {
                echo "<option value='" . $objDB->objRow->LcID . "'";
                if ($objDB->objRow->LcID == $LLocID) echo " selected";
                echo ">" . $objDB->objRow->GCName. " - " .$objDB->objRow->LCName;
                echo "</option>";
                $objDB->mct_getNext();
            }
            echo "</select>";
        }
        else
        {
            mct_redirect("error.htm");
            $objDB->mct_free();
        }
    }
    else
    {
        mct_redirect("error.htm");
        $objDB->mct_free();
    }
?>
<?php
    //Objekte je nach Anfrage abf&uuml;llen
    if ( $type == "global")
    {
        $objLocLoad = new mct_CLocation(1);
        $objLocLoad->mct_getfromdb(intval($_GET['frm_glocaendernid']));
        echo "<input type ='hidden' name ='locationID' value='". $_GET['frm_glocaendernid'] ."'>";
    }
    else if ( $type == "local")
    {
        $objLocLoad = new mct_CLocation(2);
        $objLocLoad->mct_getfromdb(intval($_GET['frm_llocaendernid']));
        echo "<input type ='hidden' name ='locationID' value='". $_GET['frm_llocaendernid'] ."'>";
    }
    else if ( $type == "sublocal")
    {
        $objLocLoad = new mct_CLocation(3);
        $objLocLoad->mct_getfromdb(intval($_GET['frm_slocaendernid']));
        echo "<input type ='hidden' name ='locationID' value='". $_GET['frm_slocaendernid'] ."'>";
    }
    else
    {
        mct_redirect("error.htm");
    }
?>
<p>
    <table border="0">
        <tr valign="top">
            <td><h4><?php echo $loctype; ?> Name:</h4></td>
            <td><input type="text" name="frm_name" size="60" value="<?php echo $objLocLoad->mct_getName(); ?>" maxlength="60"></td>
            <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_loc_name.htm','Help')"></td>
        </tr>
        <tr valign="top">
            <td><h4>Description:</h4></td>
            <td><input type="text" name="frm_descr" size="60" value="<?php echo $objLocLoad->mct_getDescription(); ?>" maxlength="60"></td>
            <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_loc_descr.htm','Help')"></td>
        </tr>
    </table>
    <p> <!-- Formular abschicken -->
    <input class="button" type="submit" name="submit" value="Jetzt &auml;ndern">
    <input class="button" type="reset" name="reset" value="Neu laden">
    <input class="button" id="Btn_Stammdaten" type="button" value= "Zu Stammdaten" onClick="FrameWnd('admin_stammdaten.php')">
</form>
</body>
</html>
<?php
    $debug->mct_dump_it();
    $debug->mct_load_it();
?>
