<?php
    include_once("../inc/mct_general.inc.php");
    include_once("../inc/mct_CUser.class.php");
    include_once("../inc/mct_func.inc.php");
    include_once("../inc/mct_CDbQuery.class.php");
    include_once("../inc/mct_CInterface.class.php");
    include_once("../inc/mct_CConfigFile.class.php");
    include_once("../src/validlogin.inc.php");

    if( ! $_SESSION["objUser"]->mct_isadmin() )
        mct_redirect("admin_failed.htm");
?>

<html>
  <head>
    <title>Locations Detail</title>
    <link rel="stylesheet" type="text/css" href="./<?php echo $_SESSION["sitestyle"]["mct"]; ?>">
    <?php include_once("../inc/mct_javascr.inc.php"); ?>
  </head>
<body>

<?php
  $loctype = "";
  //Bei Anfrage von Globallocation Details
  if($type == "global")
  {
    $loctype = "Globallocation";
    $objLocDet = new mct_CDbQuery; //Obj erstellen
    $qry = "SELECT Name, Description "
          ."    FROM tgloballocation "
          ."        WHERE ID = " . $_GET['frm_glocdetid']";
    $objLocDet->mct_setQuery($qry); //Abfrage vorbereiten
    if( $objLocDet->mct_execute() == false ) //Abfrage ausf&uuml;hren
    {
        $objLocDet->objReturn->mct_print(); //Falls Abfrage fehl schlug
        include("error.htm");
        exit;
    }
    else
    {
        echo "<h5>Details zu ".$loctype."</h5><hr>";
        echo "<table border='1'cellspacing='0' cellpadding='3'><tr>"
            ."<td><h4>".$loctype.":"."<h4></td>"
            ."<td><b>".$objLocDet->objRow->Name."</b></td></tr>"
            ."<tr>"
            ."<td><h4>Description:</h4></td>"
            ."<td><b>";
        if($objLocDet->objRow->Description == "")
          echo "&nbsp;";
        else echo $objLocDet->objRow->Description;
        echo "</b></td></tr></table><p>";
    }
  }
  //Bei Anfrage von Location Details
  elseif($type == "local")
  {
        $loctype = "Location";
        $objLocDet = new mct_CDbQuery; //Obj erstellen
        $qry = "SELECT Name, Description "
              ."    FROM tlocation "
              ."        WHERE ID = " . $_GET['frm_llocdetid']";
        $objLocDet->mct_setQuery($qry); //Abfrage vorbereiten
        if( $objLocDet->mct_execute() == false ) //Abfrage ausf&uuml;hren
        {
            $objLocDet->objReturn->mct_print(); //Falls Abfrage fehl schlug
            include("error.htm");
            exit;
        }
        else
        {
            echo "<h5>Details zu ".$loctype."</h5><hr>";
            echo "<table border='1'cellspacing='0' cellpadding='3'><tr>"
                ."<td><h4>".$loctype.":"."<h4></td>"
                ."<td><b>".$objLocDet->objRow->Name."</b></td></tr>"
                ."<tr>"
                ."<td><h4>Description:</h4></td>"
                ."<td><b>";
            if($objLocDet->objRow->Description == "")
              echo "&nbsp;";
            else echo $objLocDet->objRow->Description;

            echo "</b></td></tr></table>";
        }
  }
  //Bei Anfrage von Sublocation Details
  elseif($type == "sublocal")
  {
  $loctype = "Sublocation";
  $objLocDet = new mct_CDbQuery; //Obj erstellen
    $qry = "SELECT Name, Description "
          ."    FROM tsublocation "
          ."        WHERE ID = " . $_GET['frm_slocdetid']";
    $objLocDet->mct_setQuery($qry); //Abfrage vorbereiten
        if( $objLocDet->mct_execute() == false ) //Abfrage ausf&uuml;hren
        {
            $objLocDet->objReturn->mct_print(); //Falls Abfrage fehl schlug
            include("error.htm");
            exit;
        }
        else
        {
            echo "<h5>Details zu ".$loctype."</h5><hr>";
            echo "<table border='1'cellspacing='0' cellpadding='3'><tr>"
                ."<td><h4>".$loctype.":"."<h4></td>"
                ."<td><b>".$objLocDet->objRow->Name."</b></td></tr>"
                ."<tr>"
                ."<td><h4>Description:</h4></td>"
                ."<td><b>";
            if($objLocDet->objRow->Description == "")
              echo "Test&nbsp;";
            else
            echo $objLocDet->objRow->Description;
            echo "</b></td></tr></table>";
            echo "<p>";
            echo "<h4>Zugeordnete Interfaces</h4><p>";
            $objLocDetInt = new mct_CDbQuery; //Obj erstellen
            $qry = "SELECT `ID`, `Ipaddr`, `Index` "
                  ."    FROM tinterface "
                  ."        WHERE fkSubLocationID = " . $_GET['frm_slocdetid']";
            $objLocDetInt->mct_setQuery($qry); //Abfrage vorbereiten
                if( $objLocDetInt->mct_execute() == false ) //Abfrage ausf&uuml;hren
                {
                    $objLocDetInt->objReturn->mct_print(); //Falls Abfrage fehl schlug
                    include("error.htm");
                    exit;
                }
                else
                {
                echo "<table border='1'cellspacing='0' cellpadding='3'><tr>"
                    ."<td><h4>ID<h4></td>"
                    ."<td><h4>IP / Hostname<h4></td>"
                    ."<td><h4>Index</h4></td></tr>";
                    for($i = 0; $i < $objLocDetInt->mct_getRecordCount(); $i++ )
                    {
                        echo "<tr>"
                        ."<td><b>".$objLocDetInt->objRow->ID."</b></td>"
                        ."<td>".$objLocDetInt->objRow->Ipaddr."</td>"
                        ."<td>".$objLocDetInt->objRow->Index."</td></tr>";
                        $objLocDetInt->mct_getNext();
                    }
                }
            echo "</table>";
            echo "<p>";
        }
  }
  // Bei Fehler
  else
  {
     mct_redirect("error.htm");
  }
?>
<p>
<div align="center">
    <input class="button" type="button" value="close" name="close" onClick="JavaScript:window.close()">
</div>
</body>
</html>