<?php
    include_once("../inc/mct_CDebug.class.php");
    include_once("../src/validlogin.inc.php");
    $debug = new mct_CDebug();

    if( ! $_SESSION["objUser"]->mct_isadmin() )
        mct_redirect("admin_failed.htm");

    $loctype = "";
    if($type == "global")  $loctype = "Globallocation";
    elseif($type == "local") $loctype = "Location";
    elseif($type == "sublocal") $loctype = "Sublocation";
    else mct_redirect("error.htm");
?>
<html>
<head>
    <title><?php echo $loctype; ?> erfassen</title>
    <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION["sitestyle"]["mct"]; ?>">
    <?php include_once("../inc/mct_javascr.inc.php"); ?>
</head>
<body>
<script type="text/javascript">
<!--
    function checkEntries()
    {
        var x = '';
        if( document.form_loc.frm_name.value.length     < 1 ) x += '- Name -> Angabe erforderlich!\n';
        if( x != '' )
        {
            alert('Eingabefehler:\n' + x);
            return false;
        }
    }
//-->
</script>

<h5><?php echo $loctype; ?> erfassen</h5>
<hr>
<form name="form_loc" action="admin_loc_action.php?pMode=new" method="POST" onSubmit="return checkEntries()">
<?php
    echo "<input name='type' value='" . $type . "' type='hidden'>";
    if( $type == "local" || $type == "sublocal" )
    {
      $objDB = new mct_CDbQuery();
      $qry = "";
      // Wenn Typ = local dann globale Locations laden
      if( $type == "local" )
      {
          $qry = "SELECT ID, Name FROM tgloballocation";
      }
      // Wenn Typ = sublocal dann globale und lokale Locations laden
      elseif( $type == "sublocal" )
      {
        $qry = "SELECT lc.ID, lc.Name as LCName, gc.Name as GCName";
        $qry .= "    FROM tlocation lc ";
        $qry .= "        INNER JOIN tgloballocation gc ON gc.ID = lc.fkGlobalLocationID";
      }
      $objDB->mct_setQuery($qry);
      // Ausgabe des Selects mit den Locations
      if( $objDB->mct_execute() )
      {
        if( $objDB->mct_getRecordCount() <= 0 )
        {
            echo "Es befinden sich noch keine Globallocations oder Locations in der Datenbank...<br>";
            echo "Bitte erfassen Sie diese zuerst!";
            include("../src/error.htm");
            $debug->mct_dump_it();
            $debug->mct_load_it();
            exit;
        }

        echo "<select name='frm_loc'>";
        for( $i = 0; $i < $objDB->mct_getRecordCount(); $i++ )
        {
            // Wenn Typ = local dann Namen der globalen Locations laden
            if( $type == "local" ) $optionstring = $objDB->objRow->Name;
            // Wenn Typ = sublocal dann Namen der globalne und lokalen Locations laden
            else $optionstring = $objDB->objRow->GCName. " - " .$objDB->objRow->LCName;

            echo "<option value='" . $objDB->objRow->ID . "'>" . $optionstring . "</option>";
            $objDB->mct_getNext();
        }
        echo "</select>";
      }
      else mct_redirect("error.htm");
      $objDB->mct_free();
    }
?>
<p>
    <table border="0">
        <tr valign="top">
            <td><h4><?php echo $loctype; ?> Name:</h4></td>
            <td><input type="text" name="frm_name" size="60" value="Name" maxlength="60"></td>
            <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_loc_name.htm','Help')"></td>
        </tr>
        <tr valign="top">
            <td><h4>Description:</h4></td>
            <td><input type="text" name="frm_descr" size="60" value="" maxlength="60"></td>
            <td><image src="../img/tips.gif" onClick="PopUpWnd('../help/help_loc_descr.htm','Help')"></td>
        </tr>
    </table>
    <p> <!-- Formular abschicken -->
    <input class="button" type="submit" name="submit" value="Jetzt erfassen">
    <input class="button" type="reset" name="reset" value="Neu laden">
    <input class="button" id="Btn_Stammdaten" type="button" value= "Zu Stammdaten" onClick="FrameWnd('admin_stammdaten.php')">
</form>
</body>
</html>
<?php
    $debug->mct_dump_it();
    $debug->mct_load_it();
?>
