<?php
    include_once("../inc/mct_CDebug.class.php");
    include_once("../src/validlogin.inc.php");
    $debug = new mct_CDebug();

    if( ! $_SESSION["objUser"]->mct_isadmin() )
        mct_redirect("admin_failed.htm");
?>
<html>
<head>
    <title>Stammdaten</title>
    <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION["sitestyle"]["mct"]; ?>">
    <?php include_once("../inc/mct_javascr.inc.php"); ?>
</head>
<body>
<!-- Stammdaten erfassen -->
<h5>Stammdaten erfassen</h5>
<hr>
<h4>MCT Benutzer</h4><br>
<?php
    $objBen = new mct_CDbQuery; //Obj erstellen
    $objBen->mct_setQuery("SELECT `ID`,`Name`,`Password`,`Rights` FROM tuser ORDER BY `Name`"); //Abfrage vorbereiten
    if( $objBen->mct_execute() == false ) //Abfrage ausf&uuml;hren
    {
        $objBen->objReturn->mct_print(); //Falls Abfrage fehl schlug
        include("error.htm");
        $debug->mct_dump_it();
        $debug->mct_load_it();
        exit;
    }
    echo "<Table border='1'cellspacing='0' cellpadding='3'>";
    echo "<tr>"
         ."  <td class=level0><h4>ID</h4></td>"
         ."  <td class=level0><h4>Name</h4></td>"
         ."  <td class=level0><h4>Password</h4></td>"
         ."  <td class=level0><h4>Rights</h4></td>"
         ."  <td class=level0><h4>&Auml;ndern</h4></td>"
         ."  <td class=level0><h4>L&ouml;schen</h4></td>"
         ."</tr>";

    for( $i=0; $i < $objBen->mct_getRecordCount(); $i++ )
    {
        $level = "";
        if ( $objBen->objRow->Rights == 1)      $level = "User";
        else if ( $objBen->objRow->Rights == 2) $level = "Admin";
        else if ( $objBen->objRow->Rights == 3) $level = "Debug";
        echo "<tr><td class=level3><b>". $objBen->objRow->ID ."</b></td>"
             ."<td class=level3><b>". $objBen->objRow->Name ."</b></td>"
             ."<td class=level3><b>". $objBen->objRow->Password ."</b></td>"
             ."<td class=level3><b>". $objBen->objRow->Rights." (".$level.") "."</b></td>"
             ."<td align='center' class=level3>"
             ."   <input id=\"Btn_aendern\""
             ."    type=\"button\""
             ."    class=\"button\""
             ."    value=\"Go!\""
             ."    onClick=\"FrameWnd('admin_benutzer_aendern.php?frm_aendernid=".$objBen->objRow->ID."')\">"
             ."</td>"
             ."<td align='center' class=level3>"
             ."   <input id=\"Btn_loeschen\""
             ."    type=\"button\""
             ."    class=\"button\""
             ."    value=\"Go!\""
             ."    onClick=\"FrameWnd('admin_benutzer_loeschen.php?frm_loeschid=".$objBen->objRow->ID."')\">"
             ."</td></tr>";
        $objBen->mct_getNext();
    }
    echo "</table>";
?>
<p><input class="button" id="Btn_BenutzerNeu" type="button" value="Neuer Benutzer" onClick="FrameWnd('admin_benutzer_neu.php')"></p>
<h4>MCT Community</h4><br>
<?php
    $objCommunity = new mct_CDbQuery; //Obj erstellen
    $objCommunity->mct_setQuery("SELECT `ID`,`Name` FROM tcommunity ORDER BY `Name`"); //Abfrage vorbereiten
    if( $objCommunity->mct_execute() == false ) //Abfrage ausf&uuml;hren
    {
        $objCommunity->objReturn->mct_print(); //Falls Abfrage fehl schlug
        include("error.htm");
        $debug->mct_dump_it();
        $debug->mct_load_it();
        exit;
    }
    echo "<Table border='1'cellspacing='0' cellpadding='3'>";
    echo "<tr>"
         ."  <td class=level0><h4>ID</h4></td>"
         ."  <td class=level0><h4>Name</h4></td>"
         ."  <td class=level0><h4>L&ouml;schen</h4></td>"
         ."</tr>";
    for( $i=0; $i < $objCommunity->mct_getRecordCount(); $i++ )
    {
        echo "<tr><td class=level3><b>". $objCommunity->objRow->ID ."</b></td>"
             ."<td class=level3><b>".$objCommunity->objRow->Name ."</b></td>"
             ."<td align='center' class=level3>"
             ."  <input id=\"Btn_comloeschen\""
             ."    type=\"button\""
             ."    class=\"button\""
             ."    value=\"Go!\""
             ."    onClick=\"FrameWnd('admin_com_loeschen.php?frm_comloeschid=".$objCommunity->objRow->ID."')\">"
             ."</td></tr>";
        $objCommunity->mct_getNext();
    }
    echo "</table>";
  ?>
<p>
<input class="button" id="Btn_CommNeu" type="button" value="Neue Community" onClick="FrameWnd('admin_com_neu.php')">
<p>
<h4>Location</h4><br>
<?php
    $objLocation = new mct_CDbQuery; //Obj erstellen
    $qry = "SELECT gc.ID as gcID, gc.Name as gcName, lc.ID as lcID, lc.Name as lcName, sc.ID as scID, sc.Name as scName"
          ."    FROM (tgloballocation gc"
          ."        LEFT JOIN tlocation lc ON lc.fkGlobalLocationID = gc.ID)"
          ."            LEFT JOIN tsublocation sc ON sc.fkLocationID = lc.ID"
          ."    ORDER BY gc.Name, lc.Name, sc.Name";
    $objLocation->mct_setQuery($qry); //Abfrage vorbereiten
    if( $objLocation->mct_execute() == false ) //Abfrage ausf&uuml;hren
    {
        $objLocation->objReturn->mct_print(); //Falls Abfrage fehl schlug
        include("error.htm");
        $debug->mct_dump_it();
        $debug->mct_load_it();
        exit;
    }
    echo "<Table border='1'cellspacing='0' cellpadding='3'>";
    echo "<tr>"
         ."  <td class=level0><h4>Globallocation</h4></td>"
         ."  <td class=level0><h4>Location</h4></td>"
         ."  <td class=level0><h4>Sublocation</h4></td>"
         ."  <td class=level0><h4>&Auml;ndern</h4></td>"
         ."  <td class=level0><h4>L&ouml;schen</h4></td>"
         ."  <td class=level0><h4>Detail</h4></td>"
         ."</tr>";
    if( $objLocation->mct_getRecordCount() > 0 )
    {
        $bOK = false;   // Variable zur Erkennung vom objRow-Ende
        do
        {
            echo "<tr><td class=level1><h4>".$objLocation->objRow->gcName."</h4>"
                 ."   <td class=level1>&nbsp;</td>"
                 ."   <td class=level1>&nbsp;</td>"
                 ."   <td class=level1 align=center>"
                 ."       <input id=\"Btn_gaendern\""
                 ."        type=\"button\""
                 ."        class=\"button\""
                 ."        value=\"Go!\""
                 ."        onClick=\"FrameWnd('admin_loc_aendern.php?frm_glocaendernid=".$objLocation->objRow->gcID."&pMode=change&type=global')\">"
                 ."   </td>"
                 ."   <td class=level1 align=center>"
                 ."       <input id=\"Btn_gloeschen\""
                 ."        type=\"button\""
                 ."        class=\"button\""
                 ."        value=\"Go!\""
                 ."        onClick=\"FrameWnd('admin_loc_action.php?frm_glocloeschid=".$objLocation->objRow->gcID."&pMode=delete&type=global')\">"
                 ."   </td>"
                 ."   <td class=level1 align=center>"
                 ."       <input id=\"Btn_gdetail\""
                 ."        type=\"button\""
                 ."        class=\"button\""
                 ."        value=\"Go!\""
                 ."        onClick=\"PopUpWnd('loc_detail.php?frm_glocdetid=".$objLocation->objRow->gcID."&type=global','gloc')\">"
                 ."   </td>"
                 ."</tr>";
            // ID der Location merken
            $gcID = $objLocation->objRow->gcID;
            do
            {
                // Pr&uuml;fen, ob LocationID der Location immer noch zum aktuellen Records geh&ouml;rt
                if( $gcID != $objLocation->objRow->gcID )
                    break;  // Innerer DO-Loop verlassen, wenn es eine neue Location ist
                // Pr&uuml;fen, ob die SubLocation ID NULL ist (LEFT-JOIN)
                if( $objLocation->objRow->lcID == null )
                    $bOK = $objLocation->mct_getNext();
                else
                {
                    echo "<tr>"
                         ."   <td class=level2>&nbsp;</td>"
                         ."   <td class=level2><b>". $objLocation->objRow->lcName ."</b></td>"
                         ."   <td class=level2>&nbsp;</td>"
                         ."   <td class=level2 align=center>"
                         ."       <input id=\"Btn_laendern\""
                         ."        type=\"button\""
                         ."        class=\"button\""
                         ."        value=\"Go!\""
                         ."        onClick=\"FrameWnd('admin_loc_aendern.php?frm_llocaendernid=".$objLocation->objRow->lcID."&pMode=change&type=local')\">"
                         ."   </td>"
                         ."   <td class=level2 align=center>"
                         ."       <input id=\"Btn_lloeschen\""
                         ."        type=\"button\""
                         ."        class=\"button\""
                         ."        value=\"Go!\""
                         ."        onClick=\"FrameWnd('admin_loc_action.php?frm_llocloeschid=".$objLocation->objRow->lcID."&pMode=delete&type=local')\">"
                         ."   </td>"
                         ."   <td class=level2 align=center>"
                         ."       <input id=\"Btn_ldetail\""
                         ."        type=\"button\""
                         ."        class=\"button\""
                         ."        value=\"Go!\""
                         ."        onClick=\"PopUpWnd('loc_detail.php?frm_llocdetid=".$objLocation->objRow->lcID."&type=local','lloc')\">"
                         ."   </td>"
                         ."</tr>";
                    $lcID = $objLocation->objRow->lcID;
                    do
                    {
                        if( $lcID != $objLocation->objRow->lcID )
                           break;
                        if( $objLocation->objRow->scID != null )
                        {
                        echo "<tr>"
                             ."   <td class=level3>&nbsp;</td>"
                             ."   <td class=level3>&nbsp;</td>"
                             ."   <td class=level3><b>". $objLocation->objRow->scName ."</b></td>"
                             ."   <td class=level3 align=center>"
                             ."       <input id=\"Btn_saendern\""
                             ."        type=\"button\""
                             ."        class=\"button\""
                             ."        value=\"Go!\""
                             ."        onClick=\"FrameWnd('admin_loc_aendern.php?frm_slocaendernid=".$objLocation->objRow->scID."&pMode=change&type=sublocal')\">"
                             ."   </td>"
                             ."   <td class=level3 align=center>"
                             ."       <input id=\"Btn_sloeschen\""
                             ."        type=\"button\""
                             ."        class=\"button\""
                             ."        value=\"Go!\""
                             ."        onClick=\"FrameWnd('admin_loc_action.php?frm_slocloeschid=".$objLocation->objRow->scID."&pMode=delete&type=sublocal')\">"
                             ."   </td>"
                             ."   <td class=level3 align=center>"
                             ."       <input id=\"Btn_sdetail\""
                             ."        type=\"button\""
                             ."        class=\"button\""
                             ."        value=\"Go!\""
                             ."        onClick=\"PopUpWnd('loc_detail.php?frm_slocdetid=".$objLocation->objRow->scID."&type=sublocal','sloc')\">"
                             ."   </td>"
                             ."</tr>";
                        }
                    // N&auml;chsten Record holen und Return der Methode in Kontrollvariable speichern (false = hat keine Records mehr)
                    $bOK = $objLocation->mct_getNext();
                    }while($bOK);   // Kontrollvariable auf true pr&uuml;fen
                }
            }while($bOK);   // Kontrollvariable auf true pr&uuml;fen
        }while($bOK);   // Kontrollvariable auf true pr&uuml;fen
    }
    echo "</table>";
  ?>
<p>
<input class="button" id="Btn_GlobLocNeu" type="button" value="Neue Globallocation" onClick="FrameWnd('admin_loc_neu.php?type=global')">
<input class="button" id="Btn_LocNeu" type="button" value="Neue Location" onClick="FrameWnd('admin_loc_neu.php?type=local')">
<input class="button" id="Btn_SubLocNeu" type="button" value="Neue Sublocation" onClick="FrameWnd('admin_loc_neu.php?type=sublocal')">
</body>
</html>
<?php
    $debug->mct_dump_it();
    $debug->mct_load_it();
?>
