<?php
    include_once("../inc/mct_CDebug.class.php");
    include_once("../src/validlogin.inc.php");
    $debug = new mct_CDebug();

    if( ! $_SESSION["objUser"]->mct_isadmin() )
        mct_redirect("admin_failed.htm");
?>
<html>
<head>
    <title>Task &auml;ndern</title>
    <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION["sitestyle"]["mct"]; ?>">
    <?php include_once("../inc/mct_javascr.inc.php"); ?>
</head>
<body>
<h1>MCT Task &auml;ndern</h1>
<hr>
<?php
    $objTaskAend = new mct_CTask;
    $objTaskAend->mct_getfromdb(intval($_GET['frm_changeid']));

    $returnb = 1;
    if($_POST['input3'] == "") $returnb = -1;
    else $objTaskAend->mct_setStarttime($_POST['input3']);  //Starttime pr&uuml;fen
    $objTaskAend->mct_setOdw($_POST['radio_ausf']); //Ausf&uuml;hrung setzen
    if($_POST['radio_mrtg'] == "mrtgtask") //Wenn MRTG-Task, dann...
    {
        $objTaskAend->mct_setTasktyp($_POST['radio_mrtg']);  //Art des Tasks
        if($_POST['frm_cfg'] == "") $returnb = -1;
        else $objTaskAend->mct_setCfgname($_POST['frm_cfg']);
        if($_POST['frm_cfgpfad'] == "") $returnb = -1;
        else $objTaskAend->mct_setCfgpfad($_POST['frm_cfgpfad']);
        if($_POST['frm_perlpfad'] == "") $returnb = -1;
        else $objTaskAend->mct_setPerlpfad($_POST['frm_perlpfad']);
        if($_POST['frm_mrtgpfad'] == "") $returnb = -1;
        else $objTaskAend->mct_setMrtgpfad($_POST['frm_mrtgpfad']);

    }
    else
    {
        if($_POST['frm_prgname'] == "") $returnb = -1;
        else $objTaskAend->mct_setPrgname($_POST['frm_prgname']);
        if($_POST['frm_prgpfad'] == "") $returnb = -1;
        else $objTaskAend->mct_setPrgpfad($_POST['frm_prgpfad']);
        $objTaskAend->mct_setParameter($_POST['frm_parameter']);
    }

    if($_POST['radio_ausf'] == "once") {}
    else if($_POST['radio_ausf'] == "daily")
        $objTaskAend->mct_setIntervalday(intval($_POST['frm_intervalday']));
    else
    {
        $WDays = "";
        if( isset($_POST['frm_intervalwmo']) ) $WDays .= $_POST['frm_intervalwmo'] . ",";
        if( isset($_POST['frm_intervalwdi']) ) $WDays .= $_POST['frm_intervalwdi'] . ",";
        if( isset($_POST['frm_intervalwmi']) ) $WDays .= $_POST['frm_intervalwmi'] . ",";
        if( isset($_POST['frm_intervalwdo']) ) $WDays .= $_POST['frm_intervalwdo'] . ",";
        if( isset($_POST['frm_intervalwfr']) ) $WDays .= $_POST['frm_intervalwfr'] . ",";
        if( isset($_POST['frm_intervalwsa']) ) $WDays .= $_POST['frm_intervalwsa'] . ",";
        if( isset($_POST['frm_intervalwso']) ) $WDays .= $_POST['frm_intervalwso'] . ",";

        $objTaskAend->mct_setIntervalweek(intval($_POST['frm_intervalweek']));
        if( strlen($WDays) > 0 )
        {
            // Letztes Komma abschneiden
            $WDays = substr($WDays, 0, strlen($WDays)-1);
            $objTaskAend->mct_setWday($WDays);
        }
        else $returnb = -1;
    }
    if( isset($_POST['frm_logcheck']) )
        $objTaskAend->mct_setLogact(1);
    else $objTaskAend->mct_setLogact(0);
    $objTaskAend->mct_setLogpfad($_POST['frm_logpfad']);
    $objTaskAend->mct_setLogname($_POST['frm_logname']);
    $objTaskAend->mct_setCreator($_SESSION["objUser"]->mct_getName());
    $objTaskAend->mct_setComment($_POST['frm_comment']);
    $objTaskAend->mct_setAccount($_POST['frm_account']);
    $objTaskAend->mct_setPwd($_POST['frm_pwd']);
    $objTaskAend->mct_setWorkpath($_POST['frm_workpath']);

    if( $returnb > 0 )
    {
        $taskwasactive = false;
        if($objTaskAend->mct_getTaskstatus($objTaskAend->mct_getName()))
        {
            $taskwasactive = true;
            $objTaskAend->mct_delTask($objTaskAend->mct_getName());
        }

        $bsuccess = $objTaskAend->mct_writedb();
        // Pr&uuml;fen, ob Schreiben geklappt hat
        if( $bsuccess && ! $taskwasactive )
        {
            echo "<h4>Der Task ".$_POST['frm_taskname']." wurde erfolgreich ge&auml;ndert</h4><p>"
                 ."<img border='0' src='../img/ok.gif' width='188' height='186'><p>";
            echo "<input id=\"Btn_zurueck\" class=\"button\" type=\"button\" value= \"Zu Task &Uuml;bersicht\" onClick=\"FrameWnd('admin_task.php')\">";
        }
        // Pr&uuml;fen, ob er task wieder aktiv geschaltet werden muss
        else if( $bsuccess && $taskwasactive )
        {
            if( $objTaskAend->mct_addtask() )
            {
                echo "<h4>Der Task ".$_POST['frm_taskname']." wurde erfolgreich ge&auml;ndert</h4><p>"
                     ."<img border='0' src='../img/ok.gif' width='188' height='186'><p>";
                echo "<input id=\"Btn_zurueck\" class=\"button\" type=\"button\" value= \"Zu Task &Uuml;bersicht\" onClick=\"FrameWnd('admin_task.php')\">";
            }
            else
            {
                echo "<h4>Beim &Auml;ndern des Tasks ist ein Fehler aufgetreten.<br>"
                     ."   Bitte &uuml;berpr&uuml;fen Sie die Angaben</h4><p>"
                     ."<img border='0' src='../img/failled.gif' width='188' height='186'><p>"
                     ."<input id=\"Btn_zurueck\" class=\"button\" type=\"button\"' value= \"Zur&uuml;ck\" onClick=\"FrameWnd('admin_task_aendern.php?frm_aendernid=". $_GET['frm_changeid'] ."')\">";
            }
        }
        else
        {
            echo "<h4>Beim schreiben des Task in die Datenbank ist ein Fehler aufgetreten.</h4><p>"
                 ."<img border='0' src='../img/failled.gif' width='188' height='186'><p>"
                 ."<input id=\"Btn_zurueck\" class=\"button\" type=\"button\"' value= \"Zur&uuml;ck\" onClick=\"FrameWnd('admin_task_aendern.php?frm_aendernid=". $_GET['frm_changeid'] ."')\">";
        }
    }
    else
    {
        echo "<h4>Beim &Auml;ndern des Tasks ist ein Fehler aufgetreten.<br>"
             ."   Bitte &uuml;berpr&uuml;fen Sie die Angaben</h4><p>"
             ."<img border='0' src='../img/failled.gif' width='188' height='186'><p>"
             ."<input id=\"Btn_zurueck\" class=\"button\" type=\"button\"' value= \"Zur&uuml;ck\" onClick=\"FrameWnd('admin_task_aendern.php?frm_aendernid=". $_GET['frm_changeid'] ."')\">";
    }
?>
</body>
</html>
<?php
    $debug->mct_dump_it();
    $debug->mct_load_it();
?>

