<?php
    include_once("../inc/mct_general.inc.php");
    include_once("../inc/mct_CUser.class.php");
    include_once("../inc/mct_func.inc.php");
    include_once("../inc/mct_CTask.class.php");
    include_once("../src/validlogin.inc.php");

    if( ! $_SESSION["objUser"]->mct_isadmin() )
        mct_redirect("admin_failed.htm");
?>
<html>
<head>
    <title>Task Detail</title>
    <link rel="stylesheet" type="text/css" href="./<?php echo $_SESSION["sitestyle"]["mct"]; ?>">
    <?php include_once("../inc/mct_javascr.inc.php"); ?>
</head>
<body>
<?php
    $objTaskdet = new mct_CTask;
    if( $objTaskdet->mct_getfromdb($id) == false )
        echo "<h4>Fehler beim Lesen der Details</h4>";
    echo "<h5>Details zu Task ".$id."</h5>
    <hr>";
    echo "<table border='1' cellspacing='0' cellpadding='3'>";

    if($objTaskdet->mct_getName() != "")
        echo "<tr><td><h4>Taskname:</h4></td><td>".$objTaskdet->mct_getName()."</td></tr>";

    if($objTaskdet->mct_getStarttime() != "")
        echo "<tr><td><h4>Start-Datum / Zeit:</h4></td><td>".$objTaskdet->mct_getStarttime()."</td></tr>";

    if($objTaskdet->mct_getCreator() != "")
        echo "<tr><td><h4>Creator:</h4></td><td>".$objTaskdet->mct_getCreator()."</td></tr>";

    if($objTaskdet->mct_getAccount() != "")
        echo "<tr><td><h4>Account:</h4></td><td>".$objTaskdet->mct_getAccount()."</td></tr>";

    echo "<tr><td><h4>Passwort:</h4></td><td>*******</td></tr>";

    if($objTaskdet->mct_getOdw() != "")
        echo "<tr><td><h4>Ausf&uuml;hrung:</h4></td><td>".$objTaskdet->mct_getOdw()."</td></tr>";

    if($objTaskdet->mct_getTasktyp() != "")
        echo "<tr><td><h4>Tasktyp:</h4></td><td>".$objTaskdet->mct_getTasktyp()."</td></tr>";

    if($objTaskdet->mct_getIntervalday() != "" and $objTaskdet->mct_getIntervalday() > 0)
        echo "<tr><td><h4>Intervall:</h4></td><td>".$objTaskdet->mct_getIntervalday()." Min</td></tr>";

    if($objTaskdet->mct_getIntervalweek() != "" and $objTaskdet->mct_getIntervalweek() > 0)
        echo "<tr><td><h4>Intervall:</h4></td><td>".$objTaskdet->mct_getIntervalweek()." Min</td></tr>";

    if($objTaskdet->mct_getWday() != "")
        echo "<tr><td><h4>Wochentage:</h4></td><td>".$objTaskdet->mct_getWday()."</td></tr>";

    if($objTaskdet->mct_getPerlpfad() != "")
        echo "<tr><td><h4>Perl-Pfad:</h4></td><td>".$objTaskdet->mct_getPerlpfad()."</td></tr>";

    if($objTaskdet->mct_getMrtgpfad() != "")
        echo "<tr><td><h4>MRTG-Pfad:</h4></td><td>".$objTaskdet->mct_getMrtgpfad()."</td></tr>";

    if($objTaskdet->mct_getCfgname() != "")
        echo "<tr><td><h4>CFG Name:</h4></td><td>".$objTaskdet->mct_getCfgname()."</td></tr>";

    if($objTaskdet->mct_getCfgpfad() != "")
        echo "<tr><td><h4>CFG Pfad:</h4></td><td>".$objTaskdet->mct_getCfgpfad()."</td></tr>";

    if($objTaskdet->mct_getLogact() > 0)
        echo "<tr><td><h4>Log</h4></td><td>Aktiviert</td></tr>";
    else echo "<tr><td><h4>Log</h4></td><td>Inaktiv".$objTaskdet->mct_getLogact()."</td></tr>";

    if($objTaskdet->mct_getLogname() != "")
        echo "<tr><td><h4>Log-Name:</h4></td><td>".$objTaskdet->mct_getLogname()."</td></tr>";

    if($objTaskdet->mct_getLogpfad() != "")
        echo "<tr><td><h4>Log-Pfad:</h4></td><td>".$objTaskdet->mct_getLogpfad()."</td></tr>";

    if($objTaskdet->mct_getPrgname() != "")
        echo "<tr><td><h4>Programm Name:</h4></td><td>".$objTaskdet->mct_getPrgname()."</td></tr>";

    if($objTaskdet->mct_getPrgpfad() != "")
        echo "<tr><td><h4>Programm Pfad:</h4></td><td>".$objTaskdet->mct_getPrgpfad()."</td></tr>";

    if($objTaskdet->mct_getParameter() != "")
        echo "<tr><td><h4>Parameter:</h4></td><td>".$objTaskdet->mct_getParameter()."</td></tr>";

    if($objTaskdet->mct_getWorkpath() != "")
        echo "<tr><td><h4>Workpath:</h4></td><td>".$objTaskdet->mct_getWorkpath()."</td></tr>";

    if($objTaskdet->mct_getComment() != "")
        echo "<tr><td><h4>Comment:</h4></td><td>".$objTaskdet->mct_getComment()."</td></tr>";

    echo "</tr></table>";
?>
<p><div align="center">
<input class="button" type="button" value="close" name="close" onClick="JavaScript:window.close()">
</div></p>
</body>
</html>
