<?php
    include_once("../inc/mct_CDebug.class.php");
    include_once("../src/validlogin.inc.php");
?>

<HTML>
<head>
      <title>Debug</title>
      <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION["sitestyle"]["mct"]; ?>">
      <?php include_once("../inc/mct_javascr.inc.php"); ?>
</head>
<body>
<h1>
    Debug-Mode&nbsp;&nbsp;&nbsp;
    <a href="javascript:location.reload()" class="dotnet">Reload</a>
</h1>

<?php
    if( isset($_SESSION["Debug_Object"]) )
    {
        $debug = $_SESSION["Debug_Object"];

        echo "<a href='debug.php?load=Stack' class='dotnet'>Stack</a>&nbsp;";
        if( $debug->mct_getProcessIWE() )
        {
            echo "<a href='debug.php?load=IWE' class='dotnet'>I/W/E</a>&nbsp;";
        }
        echo "<a href='debug.php?load=QUERIES' class='dotnet'>Queries</a>&nbsp;";
        if( $debug->mct_getProcessQueryResult() )
        {
            echo "<a href='debug.php?load=QUERYRESULTS' class='dotnet'>Query-Results</a>&nbsp;";
        }
        if( $debug->mct_getProcessSession() )
        {
            echo "<a href='debug.php?load=SESSION' class='dotnet'>Session</a>&nbsp;";
        }
        echo "<a href='debug.php?load=REQUEST' class='dotnet'>Request</a>&nbsp;";
        if( $debug->mct_getProcessGetPostCookie() )
        {
            echo "<a href='debug.php?load=GET' class='dotnet'>Get</a>&nbsp;";
            echo "<a href='debug.php?load=POST' class='dotnet'>Post</a>&nbsp;";
            echo "<a href='debug.php?load=COOKIE' class='dotnet'>Cookie</a>&nbsp;";
        }
        if( $debug->mct_getProcessExtended() )
        {
            echo "<a href='debug.php?load=FILES' class='dotnet'>Files</a>&nbsp;";
            echo "<a href='debug.php?load=Includes' class='dotnet'>Includes</a>&nbsp;";
            echo "<a href='debug.php?load=ENVIRONMENT' class='dotnet'>Environment</a>&nbsp;";
            echo "<a href='debug.php?load=SERVER' class='dotnet'>Server</a>&nbsp;";
            echo "<a href='debug.php?load=Functions' class='dotnet'>Functions</a>&nbsp;";
            echo "<a href='debug.php?load=Classes' class='dotnet'>Classes</a>&nbsp;";
            echo "<a href='debug.php?load=Extended' class='dotnet'>Extended</a>&nbsp;";
        }
        echo "<a href='debug.php?load=MINISQL' class='dotnet'>miniSQL</a>&nbsp;";
        echo "<br><br><br>";

        // check for needed MCT Extensions
        if( $debug->mct_getProcessIWE() && $debug->mct_getProcessExtended() )
        {
            if( !in_array("snmp", $debug->arrLoadedExtensions) )
                $debug->mct_add_warning("MCT: Needed Extension <b>php_snmp.dll</b> is not loaded! Check your PHP.ini", __FILE__, __LINE__);
            if( !in_array("mcrypt", $debug->arrLoadedExtensions) )
                $debug->mct_add_warning("MCT: Needed Extension <b>php_mcrypt.dll</b> is not loaded! Check your PHP.ini", __FILE__, __LINE__);
        }

        $load = "";
        // check for loaded Site-Parameter
        if( isset($_GET['load']) && strlen($_GET['load']) > 0 )
            $load = $_GET['load'];
        else $load = "Stack";

        //--- Stack ---------------------------------------
        if( $load == "Stack" ) $debug->mct_print_stack();

        //--- IWE -----------------------------------------
        elseif( $load == "IWE" ) $debug->mct_print_iwe();

        //--- Includes ------------------------------------
        elseif( $load == "Includes" ) $debug->mct_print_includes();

        //--- ENVIRONMENT ---------------------------------
        elseif( $load == "ENVIRONMENT" ) $debug->mct_print_httpenvvars();

        //--- QUERIES -------------------------------------
        elseif( $load == "QUERIES" ) $debug->mct_print_queries();

        //--- QUERYRESULTS --------------------------------
        elseif( $load == "QUERYRESULTS" ) $debug->mct_print_queryresults();

        //--- SESSION -------------------------------------
        elseif( $load == "SESSION" ) $debug->mct_print_session();

        //--- SERVER --------------------------------------
        elseif( $load == "SERVER" ) $debug->mct_print_server();

        //--- GET -----------------------------------------
        elseif( $load == "GET" ) $debug->mct_print_get();

        //--- POST ----------------------------------------
        elseif( $load == "POST" ) $debug->mct_print_post();

        //--- REQUEST -------------------------------------
        elseif( $load == "REQUEST" ) $debug->mct_print_request();

        //--- COOKIE --------------------------------------
        elseif( $load == "COOKIE" ) $debug->mct_print_cookie();

        //--- FILES ---------------------------------------
        elseif( $load == "FILES" ) $debug->mct_print_files();

        //--- Functions -----------------------------------
        elseif( $load == "Functions" ) $debug->mct_print_definedfunctions();

        //--- Classes -------------------------------------
        elseif( $load == "Classes" ) $debug->mct_print_declearedclasses();

        //--- Extended ------------------------------------
        elseif( $load == "Extended" ) $debug->mct_print_extended();

        //--- MINISQL -------------------------------------
        elseif( $load == "MINISQL" )
        {
            $sql = "";  // default SQL
            // Check for existing sql and fill variable
            if( isset($_POST['frm_sql']) && strlen($_POST['frm_sql']) > 0 )
                $sql = $_POST['frm_sql'];

            // Write Header and SQL-Textfild
            echo "<h4>miniSQL</h4>";
            echo "<table border='0'>";
            echo "<tr valign='top'>";
            echo "<td>";
            echo "<form action='debug.php?load=MINISQL' method='POST'>";
            echo "<textarea rows='6' cols='40' name='frm_sql'>" . $sql . "</textarea>";
            echo "<br>";
            echo "<input type='submit' name='submit' value='Execute'>";
            echo "</form>";
            echo "</td>";

            // Write/Process SQL-Result
            echo "<td>";
            if( strlen($sql) > 0 )
            {
                // Create Query-Object
                $qry = new mct_CDbQuery;
                // Fill Query-Property
                $qry->mct_setQuery($sql);
                // Execute SQL
                if( $qry->mct_execute() )
                {
                    echo "&nbsp;" . $qry->nRecordCount . " Rows affecded!<p>";
                    // check RecordCount
                    if( $qry->nRecordCount > 0 && is_object($qry->objRow) )
                    {
                        $bColor = true;
                        $arrKey = array_keys(get_object_vars($qry->objRow));
                        // Write new Table
                        echo "<table width='100%' cellspacing='0' cellpadding='3'>";
                        echo "<tr bgcolor='#8F8F8F'>";
                        for( $i=0; $i < count($arrKey); $i++ )
                            echo "<td><b>" . $arrKey[$i] . "</b></td>";
                        echo "</tr>";

                        do
                        {
                            // Get Values and Keys
                            $arrVar = array_values(get_object_vars($qry->objRow));

                            // Set Colors
                            if( $bColor ) $strColor="#EFEFEF";
                            else  $strColor="#CFCFCF";

                            // Write DataLines
                            echo "<tr valign='top' bgcolor='" . $strColor . "'>";
                            for( $i=0; $i < count($arrVar); $i++ )
                                echo "<td>" . htmlentities($arrVar[$i]) . "</td>";
                            echo "</tr>";

                            $bColor = !$bColor;
                        } while( $qry->mct_getNext() );
                        echo "</table>";
                    }
                }
                else
                {
                    // Execution faild - so print Return-Object
                    $qry->objReturn->mct_print();
                }
            }
            echo "</td>";
            echo "</tr>";
            echo "</table>";
        }

        //--- UNKNOWN -------------------------------------
        else echo "Debug_Object set but unknown load-Parameter!";
    }
    else echo "Debug_Object not set!";
?>
</body>
</HTML>
