<?php
    include_once("../inc/mct_CDebug.class.php");
    include_once("../src/validlogin.inc.php");
    $debug = new mct_CDebug();
?>
<html>
<head>
    <title>Globallocation w&auml;hlen</title>
    <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION["sitestyle"]["mct"]; ?>">
    <?php include_once("../inc/mct_javascr.inc.php"); ?>
</head>
<body>
<h5>Interface aus Globallocation w&auml;hlen</h5>
<hr>
<p>
<!-- Globallocation w&auml;hlen -->
<form action="interface_aendern.php" method="POST">
    <table border="0">
        <tr valign="top">
            <td>
                <?php
                     $objDB = new mct_CDbQuery; //Neues Objekt Globallocations anzeigen
                     $objDB->mct_setQuery("SELECT `ID`,`Name` FROM tgloballocation ORDER BY `Name`");
                     if( $objDB->mct_execute() == false )
                     {
                         $objDB->objReturn->mct_print();
                         include("error.htm");
                         $debug->mct_dump_it();
                         $debug->mct_load_it();
                         exit;
                     }
                     echo "<select size='1' name='frm_gloc'>";
                     for( $i=0; $i < $objDB->mct_getRecordCount(); $i++ )
                     {
                         echo "<option value='" . $objDB->objRow->ID . "' ";
                         if( isset($_POST['frm_gloc']) && $_POST['frm_gloc'] > -1 )
                         {
                             if( $_POST['frm_gloc'] == $objDB->objRow->ID )
                                echo "selected";
                         }
                         echo ">";
                         //Ausgabe der Globallocation in Select
                         echo $objDB->objRow->Name;
                         echo "</option>";
                         $objDB->mct_getNext();
                     }
                     echo "</select>";
                ?>
            </td>
            <td><h4>Globalloaction ausw&auml;hlen</h4></td>
         </tr>
    </table>
    <p>
    <input id="frm_glocladen"
           class="button"
           type="submit" value="Globallocation laden">
</form>
<p>
<!-- Globallocation w&auml;hlen Ende-->
<?php
////////////////////////
// Location &Uuml;bersicht //
////////////////////////
if( isset($_POST['frm_gloc']) && $_POST['frm_gloc'] > -1 )
  {
    $objLocation = new mct_CDbQuery; //Obj erstellen
    $qry = "SELECT gc.ID as gcID, gc.Name as gcName,"
           ." lc.ID as lcID, lc.Name as lcName,"
           ." sc.ID as scID, sc.Name as scName,"
           ." inter.ID as interID, inter.Name as interName, inter.Index as interIndex"
           ."    FROM ((tgloballocation gc"
           ."        LEFT JOIN tlocation lc ON lc.fkGlobalLocationID = gc.ID)"
           ."            LEFT JOIN tsublocation sc ON sc.fkLocationID = lc.ID)"
           ."                LEFT JOIN tinterface inter ON inter.fkSubLocationID = sc.ID"
           ."                    WHERE gc.ID = " . $_POST['frm_gloc']
           ."    ORDER BY gc.Name, lc.Name, sc.Name, inter.Name";
    $objLocation->mct_setQuery($qry); //Abfrage vorbereiten
    if( $objLocation->mct_execute() == false ) //Abfrage ausf&uuml;hren
    {
        $objLocation->objReturn->mct_print(); //Falls Abfrage fehl schlug
        include("error.htm");
        $debug->mct_dump_it();
        $debug->mct_load_it();
        exit;
    }
    // Tabellenkopf erstellen
    echo "<Table border='1'cellspacing='0' cellpadding='3'>";
    echo "<tr>"
              ."<td class=level0><h4>Globallocation</h4></td>"
              ."<td class=level0><h4>Location</h4></td>"
              ."<td class=level0><h4>Sublocation</h4></td>"
              ."<td class=level0><h4>Interfaces</h4></td>"
              ."<td class=level0><h4>&Auml;ndern</h4></td>"
              ."<td class=level0><h4>Detail</h4></td>"
          ."</tr>";
    // Eintr&auml;ge der Globallocations in Tabelle einf&uuml;gen
    if( $objLocation->mct_getRecordCount() > 0 )
    {
        $bOK = false;   // Variable zur Erkennung vom objRow-Ende
        do
        {
            echo "<tr><td class=level1><h4>".$objLocation->objRow->gcName."</h4>"
                      ."<td class=level1>&nbsp;</td>"
                      ."<td class=level1>&nbsp;</td>"
                      ."<td class=level1>&nbsp;</td>"
                      ."<td class=level1>&nbsp;</td>"
                      ."<td class=level1 align=center>"
                      ."  <input id=\"Btn_gdetail\""
                      ."     type=\"button\""
                      ."     class=\"button\""
                      ."     value=\"Go!\""
                      ."     onClick=\"PopUpWnd('loc_detail.php?frm_glocdetid=".$objLocation->objRow->gcID."&type=global','gloc')\">"
                      ."</td></tr>";
            // ID der Location merken
            $gcID = $objLocation->objRow->gcID;
            // Wenn Location vorhanden, dann diese einf&uuml;llen
            do
            {
                // Pr&uuml;fen, ob LocationID der Location immer noch zum aktuellen Record geh&ouml;rt
                if( $gcID != $objLocation->objRow->gcID )
                    break;  // Innerer DO-Loop verlassen, wenn es eine neue Location ist
                // Pr&uuml;fen, ob die SubLocation ID NULL ist (LEFT-JOIN)
                if( $objLocation->objRow->lcID == null )
                    $bOK = $objLocation->mct_getNext();
                else
                {
                    echo "<tr>"
                              ."<td class=level2>&nbsp;</td>"
                              ."<td class=level2><b>". $objLocation->objRow->lcName ."</b></td>"
                              ."<td class=level2>&nbsp;</td>"
                              ."<td class=level2>&nbsp;</td>"
                              ."<td class=level2>&nbsp;</td>"
                              ."<td class=level2 align=center>"
                              ."    <input id=\"Btn_ldetail\""
                              ."     type=\"button\""
                              ."     class=\"button\""
                              ."     value=\"Go!\""
                              ."     onClick=\"PopUpWnd('loc_detail.php?frm_llocdetid=".$objLocation->objRow->lcID."&type=local','lloc')\">"
                              ."</td></tr>";
                    // Location-ID merken
                    $lcID = $objLocation->objRow->lcID;
                    // Wenn Sublocation vorhanden, dann diese einf&uuml;llen
                    do
                    {
                        // Pr&uuml;fen ob SublocationID der Sublocation immmer noch zum aktuellen Record geh&ouml;rt
                        if( $lcID != $objLocation->objRow->lcID )
                            break;
                        if( $objLocation->objRow->scID == null )
                            $bOK = $objLocation->mct_getNext();
                        else
                        {
                            echo "<tr>"
                                  ."<td class=level3>&nbsp;</td>"
                                  ."<td class=level3>&nbsp;</td>"
                                  ."<td class=level3><b>". $objLocation->objRow->scName ."</b></td>"
                                  ."<td class=level3>&nbsp;</td>"
                                  ."<td class=level3>&nbsp;</td>"
                                  ."<td class=level3 align=center>"
                                  ."  <input id=\"Btn_sdetail\""
                                  ."     type=\"button\""
                                  ."     class=\"button\""
                                  ."     value=\"Go!\""
                                  ."     onClick=\"PopUpWnd('loc_detail.php?frm_slocdetid=".$objLocation->objRow->scID."&type=sublocal','sloc')\">"
                                  ."</td></tr>";
                            // Sublocation-ID merken
                            $scID = $objLocation->objRow->scID;
                              do
                              {
                                  if( $scID != $objLocation->objRow->scID )
                                     break;
                                  if( $objLocation->objRow->interID == null )
                                  $bOK = $objLocation->mct_getNext();
                                  else
                                  {
                                      echo "<tr>"
                                            ."<td class=level4>&nbsp;</td>"
                                            ."<td class=level4>&nbsp;</td>"
                                            ."<td class=level4>&nbsp;</td>"
                                            ."<td class=level4><b>". $objLocation->objRow->interName . " - ";
                                      if (strlen($objLocation->objRow->interIndex) > 16)
                                          $strInterIndexCut = substr($objLocation->objRow->interIndex, 0, 16)."...";
                                      else $strInterIndexCut = $objLocation->objRow->interIndex;
                                      echo $strInterIndexCut."</b></td>"
                                            ."<td class=level4 align=center >"
                                            ."  <input id=\"Btn_iaendern\""
                                            ."    type=\"button\""
                                            ."    class=\"button\""
                                            ."    value=\"Go!\""
                                            ."    onClick=\"FrameWnd('interface_laden.php?frm_interid=".$objLocation->objRow->interID."&frm_locationpath=".$objLocation->objRow->scID."')\"></td>"
                                            ."<td class=level4 align=center>"
                                            ."  <input id=\"Btn_idetail\""
                                            ."    type=\"button\""
                                            ."    class=\"button\""
                                            ."    value=\"Go!\""
                                            ."    onClick=\"PopUpWnd('int_detail.php?frm_intdetid=". $objLocation->objRow->interID."&frm_intdetname=" . $objLocation->objRow->interName . "','inter')\"></td>"
                                          ."</tr>";
                                      // N&auml;chsten Record holen und Return der Methode in Kontrollvariable speichern (false = hat keine Records mehr)
                                      $bOK = $objLocation->mct_getNext();
                                  }
                              }while($bOK);
                        }
                    }while($bOK);   // Kontrollvariable auf true pr&uuml;fen
                }
            }while($bOK);   // Kontrollvariable auf true pr&uuml;fen
        }while($bOK);   // Kontrollvariable auf true pr&uuml;fen
    }
    echo "</table>";
  }
?>
</body>
</html>
<?php
    $debug->mct_dump_it();
    $debug->mct_load_it();
?>
